/**
 * @preserve
 * LIGHTSTREAMER - www.lightstreamer.com
 * Lightstreamer Web Client
 * Version 8.2.0-beta3 build 1791.100.10
 * Copyright (c) Lightstreamer Srl. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0
 *   See http://www.apache.org/licenses/LICENSE-2.0
 * Contains: LightstreamerClient, Subscription, ConnectionSharing, LogMessages, 
 *   ConsoleAppender, SimpleLoggerProvider, PromisePolyfill
 */

;(function() {

var lightstreamerExports = (function (exports) {
	'use strict';

	var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

	function createCommonjsModule(fn, module) {
		return module = { exports: {} }, fn(module, module.exports), module.exports;
	}

	var jsonpatch_min = createCommonjsModule(function (module, exports) {
	/* @preserve
	 * JSONPatch.js
	 *
	 * A Dharmafly project written by Thomas Parslow
	 * <tom@almostobsolete.net> and released with the kind permission of
	 * NetDev.
	 *
	 * Copyright 2011-2013 Thomas Parslow. All rights reserved.
	 * Permission is hereby granted,y free of charge, to any person obtaining a copy
	 * of this software and associated documentation files (the "Software"), to
	 * deal in the Software without restriction, including without limitation the
	 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
	 * sell copies of the Software, and to permit persons to whom the Software is
	 * furnished to do so, subject to the following conditions:
	 *
	 * The above copyright notice and this permission notice shall be included in
	 * all copies or substantial portions of the Software.
	 *
	 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
	 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
	 * IN THE SOFTWARE.
	 *
	 * Implements the JSON Patch IETF RFC 6902 as specified at:
	 *
	 *   http://tools.ietf.org/html/rfc6902
	 *
	 * Also implements the JSON Pointer IETF RFC 6901 as specified at:
	 *
	 *   http://tools.ietf.org/html/rfc6901
	 *
	 */
	!function(root,factory){factory(module.exports);}(commonjsGlobal,function(exports){function InvalidPatch(message){Error.call(this,message),this.message=message;}function PatchApplyError(message){Error.call(this,message),this.message=message;}function clone(o){var cloned,key;if(isArray(o))return o.slice();if(null===o)return o;if("object"==typeof o){cloned={};for(key in o)Object.hasOwnProperty.call(o,key)&&(cloned[key]=o[key]);return cloned}return o}function deepEqual(a,b){var key;if(a===b)return !0;if(typeof a!=typeof b)return !1;if("object"!=typeof a)return !1;var aIsArray=isArray(a),bIsArray=isArray(b);if(aIsArray!==bIsArray)return !1;if(!aIsArray){for(key in a)if(Object.hasOwnProperty(a,key)&&(!Object.hasOwnProperty(b,key)||!deepEqual(a[key],b[key])))return !1;for(key in b)if(Object.hasOwnProperty(b,key)&&!Object.hasOwnProperty(a,key))return !1;return !0}if(a.length!=b.length)return !1;for(var i=0;i<a.length;i++)return deepEqual(a[i],b[i])}function validateOp(operation){var i,required;if(!operation.op)throw new InvalidPatch("Operation missing!");if(!_operationRequired.hasOwnProperty(operation.op))throw new InvalidPatch("Invalid operation!");if(!("path"in operation))throw new InvalidPatch("Path missing!");for(required=_operationRequired[operation.op],i=0;i<required.length;i++)if(!(required[i]in operation))throw new InvalidPatch(operation.op+" must have key "+required[i])}function compileOperation(operation,mutate){validateOp(operation);var op=operation.op,path=new JSONPointer(operation.path),value=operation.value,from=operation.from?new JSONPointer(operation.from):null;switch(op){case"add":return function(doc){return path.add(doc,value,mutate)};case"remove":return function(doc){return path.remove(doc,mutate)};case"replace":return function(doc){return path.replace(doc,value,mutate)};case"move":if(path.subsetOf(from))throw new InvalidPatch("destination must not be a child of source");return function(doc){var value=from.get(doc),intermediate=from.remove(doc,mutate);return path.add(intermediate,value,mutate)};case"copy":return function(doc){var value=from.get(doc);return path.add(doc,value,mutate)};case"test":return function(doc){if(!deepEqual(path.get(doc),value))throw new PatchApplyError("Test operation failed. Value did not match.");return doc}}}var apply_patch,JSONPatch,JSONPointer,_operationRequired,isArray;isArray=Array.isArray||function(obj){return "[object Array]"==Object.prototype.toString.call(obj)},exports.apply_patch=apply_patch=function(doc,patch){return new JSONPatch(patch).apply(doc)},exports.InvalidPatch=InvalidPatch,InvalidPatch.prototype=new Error,exports.PatchApplyError=PatchApplyError,PatchApplyError.prototype=new Error,exports.JSONPointer=JSONPointer=function(pathStr){var i,split,path=[];if(split=pathStr.split("/"),""!==split[0])throw new InvalidPatch("JSONPointer must start with a slash (or be an empty string)!");for(i=1;i<split.length;i++)path[i-1]=split[i].replace(/~1/g,"/").replace(/~0/g,"~");this.path=path,this.length=path.length;},JSONPointer.prototype._get_segment=function(index,node){var segment=this.path[index];if(isArray(node))if("-"===segment)segment=node.length;else{if(!segment.match(/^[0-9]*$/))throw new PatchApplyError("Expected a number to segment an array");segment=parseInt(segment,10);}return segment},JSONPointer.prototype._action=function(doc,handler,mutate){function follow_pointer(node,index){var segment,subnode;if(mutate||(node=clone(node)),segment=that._get_segment(index,node),index==that.path.length-1)node=handler(node,segment);else{if(isArray(node)){if(node.length<=segment)throw new PatchApplyError("Path not found in document")}else{if("object"!=typeof node)throw new PatchApplyError("Path not found in document");if(!Object.hasOwnProperty.call(node,segment))throw new PatchApplyError("Path not found in document")}subnode=follow_pointer(node[segment],index+1),mutate||(node[segment]=subnode);}return node}var that=this;return follow_pointer(doc,0)},JSONPointer.prototype.add=function(doc,value,mutate){return 0===this.length?value:this._action(doc,function(node,lastSegment){if(isArray(node)){if(lastSegment>node.length)throw new PatchApplyError("Add operation must not attempt to create a sparse array!");node.splice(lastSegment,0,clone(value));}else node[lastSegment]=clone(value);return node},mutate)},JSONPointer.prototype.remove=function(doc,mutate){return 0===this.length?void 0:this._action(doc,function(node,lastSegment){if(!Object.hasOwnProperty.call(node,lastSegment))throw new PatchApplyError("Remove operation must point to an existing value!");return isArray(node)?node.splice(lastSegment,1):delete node[lastSegment],node},mutate)},JSONPointer.prototype.replace=function(doc,value,mutate){return 0===this.length?value:this._action(doc,function(node,lastSegment){if(!Object.hasOwnProperty.call(node,lastSegment))throw new PatchApplyError("Replace operation must point to an existing value!");return isArray(node)?node.splice(lastSegment,1,clone(value)):node[lastSegment]=clone(value),node},mutate)},JSONPointer.prototype.get=function(doc){var value;return 0===this.length?doc:(this._action(doc,function(node,lastSegment){return value=node[lastSegment],node},!0),value)},JSONPointer.prototype.subsetOf=function(otherPointer){if(this.length<=otherPointer.length)return !1;for(var i=0;i<otherPointer.length;i++)if(otherPointer.path[i]!==this.path[i])return !1;return !0},_operationRequired={add:["value"],replace:["value"],test:["value"],remove:[],move:["from"],copy:["from"]},exports.JSONPatch=JSONPatch=function(patch,mutate){this._compile(patch,mutate);},JSONPatch.prototype._compile=function(patch,mutate){var i,_this=this;if(this.compiledOps=[],"string"==typeof patch&&(patch=JSON.parse(patch)),!isArray(patch))throw new InvalidPatch("Patch must be an array of operations");for(i=0;i<patch.length;i++){var compiled=compileOperation(patch[i],mutate);_this.compiledOps.push(compiled);}},exports.JSONPatch.prototype.apply=function(doc){var i;for(i=0;i<this.compiledOps.length;i++)doc=this.compiledOps[i](doc);return doc};});
	});

	"undefined"==typeof Promise&&function(){function a(w,y){xc[yc]=w;xc[yc+1]=y;yc+=2;2===yc&&(we?we(k):oi());}function b(w){return "function"===typeof w}function c(){return function(){process.nextTick(k);}}function d(){var w=0,y=new Rf(k),F=document.createTextNode("");y.observe(F,{characterData:!0});return function(){F.data=w=++w%2;}}function e(){var w=new MessageChannel;w.port1.onmessage=k;return function(){w.port2.postMessage(0);}}function f(){return function(){setTimeout(k,1);}}function k(){for(var w=0;w<
	yc;w+=2)(0, xc[w])(xc[w+1]),xc[w]=void 0,xc[w+1]=void 0;yc=0;}function g(){}function l(w,y,F,M){try{w.call(y,F,M);}catch(ia){return ia}}function p(w,y,F){a(function(M){var ia=!1,ea=l(F,y,function(Ga){ia||(ia=!0,y!==Ga?q(M,Ga):D(M,Ga));},function(Ga){ia||(ia=!0,J(M,Ga));},"Settle: "+(M.Ew||" unknown promise"));!ia&&ea&&(ia=!0,J(M,ea));},w);}function t(w,y){1===y.Pa?D(w,y.$a):2===y.Pa?J(w,y.$a):V(y,void 0,function(F){q(w,F);},function(F){J(w,F);});}function q(w,y){if(w===y)J(w,new TypeError("You cannot resolve a promise with itself"));
	else if("function"===typeof y||"object"===typeof y&&null!==y)if(y.constructor===w.constructor)t(w,y);else{try{var F=y.then;}catch(M){Cd.error=M,F=Cd;}F===Cd?J(w,Cd.error):void 0===F?D(w,y):b(F)?p(w,y,F):D(w,y);}else D(w,y);}function G(w){w.Ck&&w.Ck(w.$a);A(w);}function D(w,y){void 0===w.Pa&&(w.$a=y,w.Pa=1,0!==w.ui.length&&a(A,w));}function J(w,y){void 0===w.Pa&&(w.Pa=2,w.$a=y,a(G,w));}function V(w,y,F,M){var ia=w.ui,ea=ia.length;w.Ck=null;ia[ea]=y;ia[ea+1]=F;ia[ea+2]=M;0===ea&&w.Pa&&a(A,w);}function A(w){var y=
	w.ui,F=w.Pa;if(0!==y.length){for(var M,ia,ea=w.$a,Ga=0;Ga<y.length;Ga+=3)M=y[Ga],ia=y[Ga+F],M?xa(F,M,ia,ea):ia(ea);w.ui.length=0;}}function X(){this.error=null;}function xa(w,y,F,M){var ia=b(F);if(ia){try{var ea=F(M);}catch(pi){xe.error=pi,ea=xe;}if(ea===xe){var Ga=!0;var qi=ea.error;ea=null;}else var Sf=!0;if(y===ea){J(y,new TypeError("A promises callback cannot return that same promise."));return}}else ea=M,Sf=!0;void 0===y.Pa&&(ia&&Sf?q(y,ea):Ga?J(y,qi):1===w?D(y,ea):2===w&&J(y,ea));}function sb(w,y){try{y(function(F){q(w,
	F);},function(F){J(w,F);});}catch(F){J(w,F);}}function fb(w,y){this.ms=w;this.$f=new w(g);this.qs(y)?(this.ls=y,this.si=this.length=y.length,this.ks(),0===this.length?D(this.$f,this.$a):(this.length=this.length||0,this.js(),0===this.si&&D(this.$f,this.$a))):J(this.$f,this.rs());}function ma(w){this.pd=ri++;this.$a=this.Pa=void 0;this.ui=[];if(g!==w){if(!b(w))throw new TypeError("You must pass a resolver function as the first argument to the promise constructor");if(!(this instanceof ma))throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.");
	sb(this,w);}}var Tf=Array.isArray?Array.isArray:function(w){return "[object Array]"===Object.prototype.toString.call(w)},yc=0,we,Dd=("undefined"!==typeof window?window:void 0)||{},Rf=Dd.MutationObserver||Dd.WebKitMutationObserver;Dd="undefined"!==typeof process&&"[object process]"==={}.toString.call(process);var si="undefined"!==typeof Uint8ClampedArray&&"undefined"!==typeof importScripts&&"undefined"!==typeof MessageChannel,xc=Array(1E3);var oi=Dd?c():Rf?d():si?e():f();var Cd=new X,xe=new X;fb.prototype.qs=
	function(w){return Tf(w)};fb.prototype.rs=function(){return Error("Array Methods must be provided an Array")};fb.prototype.ks=function(){this.$a=Array(this.length);};fb.prototype.js=function(){for(var w=this.length,y=this.$f,F=this.ls,M=0;void 0===y.Pa&&M<w;M++)this.hs(F[M],M);};fb.prototype.hs=function(w,y){var F=this.ms;"object"===typeof w&&null!==w?w.constructor===F&&void 0!==w.Pa?(w.Ck=null,this.Dk(w.Pa,y,w.$a)):this.ss(F.resolve(w),y):(this.si--,this.$a[y]=w);};fb.prototype.Dk=function(w,y,F){var M=
	this.$f;void 0===M.Pa&&(this.si--,2===w?J(M,F):this.$a[y]=F);0===this.si&&D(M,this.$a);};fb.prototype.ss=function(w,y){var F=this;V(w,void 0,function(M){F.Dk(1,y,M);},function(M){F.Dk(2,y,M);});};var ri=0;ma.all=function(w){return (new fb(this,w)).$f};ma.race=function(w){function y(Ga){q(M,Ga);}function F(Ga){J(M,Ga);}var M=new this(g);if(!Tf(w))return J(M,new TypeError("You must pass an array to race.")),M;for(var ia=w.length,ea=0;void 0===M.Pa&&ea<ia;ea++)V(this.resolve(w[ea]),void 0,y,F);return M};ma.resolve=
	function(w){if(w&&"object"===typeof w&&w.constructor===this)return w;var y=new this(g);q(y,w);return y};ma.reject=function(w){var y=new this(g);J(y,w);return y};ma.Gw=function(w){we=w;};ma.Fw=function(w){a=w;};ma.Cw=a;ma.prototype={constructor:ma,then:function(w,y){var F=this.Pa;if(1===F&&!w||2===F&&!y)return this;var M=new this.constructor(g),ia=this.$a;if(F){var ea=arguments[F-1];a(function(){xa(F,M,ea,ia);});}else V(this,M,w,y);return M},"catch":function(w){return this.then(null,w)}};(function(){if("undefined"!==
	typeof global)var w=global;else if("undefined"!==typeof self)w=self;else try{w=Function("return this")();}catch(F){throw Error("polyfill failed because global object is unavailable in this environment");}var y=w.Promise;if(!y||"[object Promise]"!==Object.prototype.toString.call(y.resolve())||y.Kw)ma.all=ma.all,ma.race=ma.race,ma.reject=ma.reject,ma.resolve=ma.resolve,ma.prototype.constructor=ma.prototype.constructor,ma.prototype.then=ma.prototype.then,w.Promise=ma;})();}.call(window);
	var h=function(){function a(b){this.name="IllegalStateException";this.message=b;}a.prototype={toString:function(){return ["[",this.name,this.message,"]"].join("|")}};return a}(),m=function(){var a="undefined"!==typeof window&&"undefined"!==typeof navigator&&"undefined"!==typeof document,b="undefined"!==typeof importScripts,c="object"==typeof process&&(/node(\.exe)?$/.test(process.execPath)||process.node&&process.v8||process.versions&&process.versions.node&&process.versions.v8);if(a&&!document.getElementById)throw new h("Not supported browser");
	var d={ba:function(){return a},cb:function(){return !c&&(a||b)},pe:function(){return !a&&c},ej:function(){return !a&&!c&&b},mu:function(){return !a&&!c&&!b},Es:function(){if(!this.ba())throw new h("Trying to load a browser-only module on non-browser environment");}};d.isBrowserDocument=d.ba;d.isBrowser=d.cb;d.isNodeJS=d.pe;d.isWebWorker=d.ej;d.browserDocumentOrDie=d.Es;return d}(),n=function(){var a=/^\s*([\s\S]*?)\s*$/,b=/,/g,c=/\./g,d={Ca:function(){return (new Date).getTime()},Cc:function(e){return Math.round(Math.random()*
	(e||1E3))},trim:function(e){return e.replace(a,"$1")},Gt:function(e,f){if(e){if(!e.replace)return e;f?(e=e.replace(c,""),e=e.replace(b,".")):e=e.replace(b,"");return new Number(e)}return 0},isArray:function(e){return e&&e.join&&"function"==typeof e.join},ff:function(e,f,k){if(!m.ba())return !1;"undefined"!=typeof e.addEventListener?e.addEventListener(f,k,!1):"undefined"!=typeof e.attachEvent&&e.attachEvent("on"+f,k);return !0},$q:function(e,f,k){if(!m.ba())return !1;"undefined"!=typeof e.removeEventListener?
	e.removeEventListener(f,k,!1):"undefined"!=typeof e.detachEvent&&e.detachEvent("on"+f,k);return !0}};d.getTimeStamp=d.Ca;d.randomG=d.Cc;d.trim=d.trim;d.getNumber=d.Gt;d.isArray=d.isArray;d.addEvent=d.ff;d.removeEvent=d.$q;return d}(),r={Rp:!0,af:1E3,Pn:200,ds:1E4,Ir:1,mi:0,xw:2,Wm:3,On:4,Vm:5,nc:"N",Gr:200,tn:"MAIN",pi:"wbridge",ji:"fbridge",$r:1,Zr:2,We:"1791.100.10",on:"8.2.0-beta3",Lr:"javascript",Mr:"javascript_client",qn:"pcYgxn8m8 feOojyA1U681f4gpAeP4hwLri8LBV853f64CKk",ug:!m.ba()||"http:"!=
	document.location.protocol&&"https:"!=document.location.protocol?"file:":document.location.protocol,Ab:"lightstreamer.stream",$e:"lightstreamer.protocol",oc:"lightstreamer.session",tk:"lightstreamer.requests",ko:"lightstreamer.subscriptions",Vr:"lightstreamer.messages",di:"lightstreamer.actions",Sb:"lightstreamer.sharing",ww:"lightstreamer.crosstab",Aw:"lightstreamer.stats",yw:"lightstreamer.mpn",Jr:"lightstreamer.heartbeat",Kr:"lightstreamer.internal",Zd:"Lightstreamer_",rg:"lightstreamer",lb:"UNORDERED_MESSAGES",
	Dg:{length:-1,toString:function(){return "[UNCHANGED]"}},CONNECTING:"CONNECTING",ei:"CONNECTED:",ao:"STREAM-SENSING",cf:"WS-STREAMING",Xe:"HTTP-STREAMING",eo:"STALLED",$d:"WS-POLLING",zb:"HTTP-POLLING",Xd:"DISCONNECTED",oi:"DISCONNECTED:WILL-RETRY",ni:"DISCONNECTED:TRYING-RECOVERY",Eg:"WS",Yd:"HTTP",bs:"RAW",en:"DISTINCT",qg:"COMMAND",un:"MERGE",li:"MASTER",xk:"TLCP-2.4.0"},aa=function(){function a(p){var t=f;return function(){null===t&&(t=-1<k.indexOf(p));return t}}function b(p){var t=f;return function(){if(null===
	t){t=!0;for(var q=0;q<p.length;q++)t=t&&p[q]();}return t}}function c(p,t){var q=f,G=f;return function(D,J){null===q&&(G=(q=p())?t():null);return q?D&&G?!0===J?G<=D:!1===J?G>=D:G==D:!0:!1}}function d(p){var t=f;return function(){if(null===t){var q=p.exec(k);if(q&&2<=q.length)return q[1]}return null}}function e(p){return function(){return !p()}}var f=m.cb()?null:!1,k=m.cb()?navigator.userAgent.toLowerCase():null,g=f,l={cq:a("rekonq"),Dl:a("webkit"),bq:a("playstation 3"),dj:c(a("chrome/"),d(/chrome\/([0-9]+)/g)),
	Yp:function(){null===g&&(g=document.childNodes&&!document.all&&!navigator.taintEnabled&&!navigator.Hw);return g},qu:c(a("konqueror"),d(/konqueror\/([0-9.]+)/g)),Gf:function(p,t){return c(a("msie"),d(/msie\s([0-9]+)[.;]/g))(p,t)||c(a("rv:11.0"),function(){return "11"})(p,t)?!0:!1},$p:a("edge"),aq:c(a("firefox"),d(/firefox\/(\d+\.?\d*)/)),qe:c(function(){return "undefined"!=typeof opera},function(){if(opera.version){var p=opera.version();p=p.replace(/[^0-9.]+/g,"");return parseInt(p)}return 7})};l.cj=
	b([a("android"),l.Dl,e(l.dj)]);l.ru=b([l.qe,a("opera mobi")]);l.Zp=c(b([a("safari"),function(p){var t=f;return function(){if(null===t){t=!1;for(var q=0;q<p.length;q++)t=t||p[q]();}return t}}([a("ipad"),a("iphone"),a("ipod"),b([e(l.cj),e(l.dj),e(l.cq)])])]),d(/version\/(\d+\.?\d*)/));l.isProbablyRekonq=l.cq;l.isProbablyChrome=l.dj;l.isProbablyAWebkit=l.Dl;l.isProbablyPlaystation=l.bq;l.isProbablyAndroidBrowser=l.cj;l.isProbablyOperaMobile=l.ru;l.isProbablyApple=l.Zp;l.isProbablyAKhtml=l.Yp;l.isProbablyKonqueror=
	l.qu;l.isProbablyIE=l.Gf;l.isProbablyEdge=l.$p;l.isProbablyFX=l.aq;l.isProbablyOldOpera=l.qe;return l}(),ba=function(){function a(){this.data=[];}a.prototype={add:function(b){this.data.push(b);},remove:function(b){b=this.find(b);if(0>b)return !1;this.data.splice(b,1);return !0},contains:function(b){return 0<=this.find(b)},find:function(b){for(var c=0;c<this.data.length;c++)if(this.data[c]===b)return c;return -1},forEach:function(b){for(var c=0;c<this.data.length;c++)b(this.data[c]);},Ik:function(){return [].concat(this.data)},
	V:function(){this.data=[];}};a.prototype.add=a.prototype.add;a.prototype.remove=a.prototype.remove;a.prototype.forEach=a.prototype.forEach;a.prototype.asArray=a.prototype.Ik;a.prototype.clean=a.prototype.V;return a}(),u=function(){function a(q,G,D,J,V){return function(){q[G]||(q[D]=!0,J.forEach(function(A){try{if(A[V])A[V]();else A();}catch(X){}}),"preunloading"!=G&&J.V(),q[G]=!0,q[D]=!1);}}function b(q,G){setTimeout(function(){if(q[G])q[G]();else q();},0);}function c(q,G,D,J){setTimeout(function(){D?
	J?q.apply(D,J):q.apply(D):J?q.apply(null,J):q();},G);}function d(){g=!0;}var e=new ba,f=new ba,k=new ba,g=!1,l={Ah:"onloadDone",Pq:"onloadInprogress",$h:"unloaded",Pm:"unloading",Uq:"preunloading"},p={},t;for(t in l)p[l[t]]=t;l={Ah:!1,Pq:!1,$h:!1,Pm:!1,Uq:!1,Vp:function(){return this.Ah},Fa:function(){return this.$h},Fl:function(){return this.Pm},Fo:function(q){this.ou()?f.add(q):b(q,"onloadEvent");},gf:function(q){this.pu()?e.add(q):b(q,"unloadEvent");},Fk:function(q){k.add(q);this.Uq&&b(q,"preUnloadEvent");},
	pv:function(q){f.remove(q);},Sj:function(q){e.remove(q);},mm:function(q){k.remove(q);},ou:function(){return !(this.Ah||this.Pq)},pu:function(){return !(this.$h||this.Pm)},As:function(){n.ff(window,"unload",this.Ls);n.ff(window,"beforeunload",this.Cs);if(document&&"undefined"!=typeof document.readyState){if("COMPLETE"==document.readyState.toUpperCase()){this.zi();return}c(this.bp,1E3,this);}else if(this.Tp()){this.zi();return}if(!n.ff(window,"load",this.Pj))this.zi();else if(aa.qe()){var q=!1;aa.qe(9,!1)&&
	(q=!0,n.ff(document,"DOMContentLoaded",d));c(this.ap,1E3,this,[q]);}},zi:function(){c(this.Pj,0);},bp:function(){this.Ah||("COMPLETE"==document.readyState.toUpperCase()?this.Pj():c(this.bp,1E3,this));},ap:function(q){this.Ah||(g||!q&&this.Tp()?this.Pj():c(this.ap,1E3,this,[q]));},Tp:function(){return "undefined"!=typeof document.getElementsByTagName&&"undefined"!=typeof document.getElementById&&(null!=document.getElementsByTagName("body")[0]||null!=document.body)}};l.Pj=a(l,p.onloadDone,p.onloadInprogress,
	f,"onloadEvent");l.Ls=a(l,p.unloaded,p.unloading,e,"unloadEvent");l.Cs=a(l,p.preunloading,p.preunloading,k,"preUnloadEvent");m.ba()?l.As():l.zi();l.addOnloadHandler=l.Fo;l.addUnloadHandler=l.gf;l.addBeforeUnloadHandler=l.Fk;l.removeOnloadHandler=l.pv;l.removeUnloadHandler=l.Sj;l.removeBeforeUnloadHandler=l.mm;l.isLoaded=l.Vp;l.isUnloaded=l.Fa;l.isUnloading=l.Fl;return l}(),v={Fr:u,toString:function(){return "[Lightstreamer "+this.library+" client version "+this.version+" build "+this.build+"]"},la:function(a,
	b,c,d){a=(d||"_")+a;this[a]||(this[a]={});this[a][b]=c;return "Lightstreamer."+a+"."+b},Ui:function(a,b,c){a=(c||"_")+a;return this[a]&&this[a][b]},Lp:function(a,b,c){a=(c||"_")+a;return this[a]?this[a][b]:null},Qk:function(a,b,c){a=(c||"_")+a;if(this[a]&&this[a][b]){delete this[a][b];for(var d in this[a])return;delete this[a];}},Is:function(a,b){a=(b||"_")+a;this[a]&&delete this[a];},jj:{},Ho:function(a,b){var c=this.jj;c[a]||(c[a]=[]);c[a].push(b);},qv:function(a,b){var c=this.jj[a];if(c){for(var d=
	0;d<c.length;d++)c[d]==b&&c.splice(d,1);0==c.length&&delete c[a];}},Vt:function(a){return this.jj[a]&&(a=this.jj[a])&&0<a.length?a[0]:null}};m.ba()&&(window.OpenAjax&&window.OpenAjax.hub&&window.OpenAjax.hub.registerLibrary("Lightstreamer","http://www.lightstreamer.com/",v.version),window.Lightstreamer=v);v.library=r.Lr;v.version=r.on;v.build=r.We;
	var x=function(){function a(){}function b(A,X){return A.time===X.time?A.em-X.em:A.time-X.time}function c(){J=!1;e();}function d(){if(t)clearInterval(t);else if(m.ba()&&"undefined"!=typeof postMessage){D=function(){try{window.postMessage("Lightstreamer.run",G);}catch(X){try{window.postMessage("Lightstreamer.run",G);}catch(xa){}}};var A=function(X){("Lightstreamer.run"==X.data&&"*"==G||X.origin==G)&&c();};n.ff(window,"message",A);J||(J=!0,D());0==J&&(n.$q(window,"message",A),D=a);}else m.pe()&&"undefined"!=
	typeof process&&process.nextTick&&(D=function(){process.nextTick(c);});t=setInterval(e,50);}function e(){if(u.$h)clearInterval(t);else{var A=g;g=n.Ca();g<A&&(g=A);if(0<k.length)for(f&&(k.sort(b),f=!1);0<k.length&&k[0].time<=g&&!u.$h;)A=k.shift(),A.vf&&(V.aa(A),A.step&&p.push(A));for(0>=k.length&&(q=0);0<p.length;)A=p.shift(),A.step&&(A.em=q++,V.wi(A,A.step,!0));g>=l&&(l=g+108E5,k=[].concat(k));}}var f=!1,k=[],g=n.Ca(),l=g+108E5,p=[],t=null,q=0,G=!m.ba()||"http:"!=document.location.protocol&&"https:"!=
	document.location.protocol?"*":document.location.protocol+"//"+document.location.hostname+(document.location.port?":"+document.location.port:""),D=a,J=!1,V={toString:function(){return ["[","Executor",50,k.length,"]"].join("|")},Ht:function(){return k.length},sb:function(A,X,xa){return {vf:A,context:X||null,Ac:xa||null,em:q++}},wi:function(A,X,xa){A.step=xa?X:null;A.time=g+parseInt(X);if(isNaN(A.time))try{throw Error();}catch(sb){throw A="Executor error for time: "+X,sb.stack&&(A+=" "+sb.stack),A;}k.push(A);
	f=!0;},Jg:function(A,X,xa,sb){return this.u(A,X,xa,sb,!0)},Pe:function(A){A&&(A.vf=null,A.step=null);},u:function(A,X,xa,sb,fb){A=this.sb(A,xa,sb);this.wi(A,X,fb);0!=X||J||(J=!0,D());return A},oq:function(A,X,xa){A.Ac[X]=xa;},nq:function(A,X){A.Ac=X;},Qs:function(A,X){A.time+=X;f=!0;},aa:function(A,X){try{var xa=X||A.Ac;A.context?xa?A.vf.apply(A.context,xa):A.vf.apply(A.context):xa?A.vf.apply(null,xa):A.vf();}catch(sb){}}};m.ej()?setTimeout(d,1):d();V.getQueueLength=V.Ht;V.packTask=V.sb;V.addPackedTimedTask=
	V.wi;V.addRepetitiveTask=V.Jg;V.stopRepetitiveTask=V.Pe;V.addTimedTask=V.u;V.modifyTaskParam=V.oq;V.modifyAllTaskParams=V.nq;V.delayTask=V.Qs;V.executeTask=V.aa;return V}(),ca=function(){function a(d){this.Bm(d);}function b(){return !1}var c={error:b,warn:b,info:b,debug:b,fatal:b,isDebugEnabled:b,isInfoEnabled:b,isWarnEnabled:b,isErrorEnabled:b,isFatalEnabled:b};a.prototype={Bm:function(d){this.Za=d||c;},zu:function(d){this.iu()&&(d+=this.re(arguments,1),this.fatal(d));},fatal:function(d,e){this.Za.fatal(d,
	e);},iu:function(){return !this.Za.fh||this.Za.fh()},g:function(d){this.$i()&&(d+=this.re(arguments,1),this.error(d));},kh:function(d,e){this.$i()&&(e=this.re([e||"",d],0),this.error(e,d));},error:function(d,e){this.Za.error(d,e);},$i:function(){return !this.Za.eh||this.Za.eh()},Ga:function(d){this.gq()&&(d+=this.re(arguments,1),this.warn(d));},warn:function(d,e){this.Za.warn(d,e);},gq:function(){return !this.Za.hh||this.Za.hh()},j:function(d){this.Up()&&(d+=this.re(arguments,1),this.info(d));},info:function(d,
	e){this.Za.info(d,e);},Up:function(){return !this.Za.aj||this.Za.aj()},a:function(d){this.h()&&(d+=this.re(arguments,1),this.debug(d));},debug:function(d,e){this.Za.debug(d,e);},h:function(){return !this.Za.Zi||this.Za.Zi()},re:function(d,e){var f=" ";for(e=e?e:0;e<d.length;e++)try{var k=d[e];null===k?f+="NULL":0>k.length?f+="*":null!=k.charAt?f+=k:void 0!==k.message?(f+=k.message,k.stack&&(f+="\n"+k.stack+"\n")):k[0]==k?f+=k:n.isArray(k)?(f+="(",f+=this.re(k),f+=")"):f+=k;f+=" ";}catch(g){f+="??? ";}return f}};
	a.prototype.debug=a.prototype.debug;a.prototype.isDebugLogEnabled=a.prototype.h;a.prototype.logDebug=a.prototype.a;a.prototype.info=a.prototype.info;a.prototype.isInfoLogEnabled=a.prototype.Up;a.prototype.logInfo=a.prototype.j;a.prototype.warn=a.prototype.warn;a.prototype.isWarnEnabled=a.prototype.hh;a.prototype.logWarn=a.prototype.Ga;a.prototype.error=a.prototype.error;a.prototype.isErrorEnabled=a.prototype.eh;a.prototype.logError=a.prototype.g;a.prototype.logErrorExc=a.prototype.kh;a.prototype.fatal=
	a.prototype.fatal;a.prototype.isFatalEnabled=a.prototype.fh;a.prototype.logFatal=a.prototype.zu;return a}(),z=function(){function a(b){this.name="IllegalArgumentException";this.message=b;}a.prototype={toString:function(){return ["[",this.name,this.message,"]"].join("|")}};return a}(),B=function(){var a={},b=null,c={Pd:function(d){if(d&&!d.Zg)throw new z("The given object is not a LoggerProvider");b=d;for(var e in a)b?a[e].Bm(b.Zg(e)):a[e].Bm(null);},o:function(d){a[d]||(a[d]=b?new ca(b.Zg(d)):new ca);
	return a[d]},resolve:function(d){return d}};c.setLoggerProvider=c.Pd;c.getLoggerProxy=c.o;c.resolve=c.resolve;return c}(),C=function(){var a=B.o("weswit.test"),b=0,c={},d={VOID:c,tt:function(){return b},Ms:function(e,f,k){if(e.length!=f.length)return this.Zb(),a.g(B.resolve(456),e,f),!1;if(k)for(g=0;g<e.length;g++){if(e[g]!=f[g])return a.g(B.resolve(459),e[g],f[g]),this.Zb(),!1}else{k={};for(var g=0;g<e.length;g++)k[e[g]]=1;for(g=0;g<f.length;g++)if(k[f[g]])k[f[g]]++;else return a.g(B.resolve(457),
	f[g]),this.Zb(),!1;for(g in k)if(1==k[g])return a.g(B.resolve(458),k[g]),this.Zb(),!1}return !0},Vd:function(e,f,k,g,l){return this.verify(e,f,k,g,!1,l)},ow:function(e,f,k){return this.verify(e,f,k,null,!0)},pw:function(e){return null===e?(this.Zb(),a.g(B.resolve(460),e),!1):!0},Kc:function(e,f,k){if(!0===k)k=e===f;else if(k)k=k(e,f);else if(isNaN(e))k=e==f;else{k=e&&e.charAt?e.charAt(0):null;var g=f&&f.charAt?f.charAt(0):null;k="."==k||" "==k||"0"==k||"."==g||" "==g||"0"==g?String(e)==String(f):e==
	f;}return k?!0:(this.Zb(),a.g(B.resolve(461),e,f),!1)},ci:function(e,f,k){return (k?e===f:e==f)?(this.Zb(),a.g(B.resolve(462),e,f),!1):!0},Ya:function(e){return e?!0:(this.Zb(),a.g(B.resolve(463)),!1)},kk:function(e){return e?(this.Zb(),a.g(B.resolve(464)),!1):!0},ma:function(){a.g(B.resolve(465));this.Zb();return !1},Zb:function(){b++;},verify:function(e,f,k,g,l,p){var t=!1,q=null,G=null;try{q=k!==c?e[f].apply(e,k):e[f]();}catch(D){t=!0,G=D;}e=l?"succes":"failure";return l!=t?(this.Zb(),a.g(B.resolve(466),
	e,"for",f,k,g,G),!1):l||g===c?!0:this.Kc(q,g,p)}};d.getFailures=d.tt;d.fail=d.ma;d.verifyNotOk=d.kk;d.verifyOk=d.Ya;d.verifyDiffValue=d.ci;d.verifyNotNull=d.pw;d.verifyValue=d.Kc;d.verifyException=d.ow;d.verifySuccess=d.Vd;d.compareArrays=d.Ms;return d}(),E=function(){function a(g,l){g=parseInt(g,10);if(isNaN(g))throw Error(l);return g}var b=/\./g,c=/-/g,d=1,e=1,f=1,k={Xp:function(){return m.cb()?!1===navigator.onLine:!1},No:function(){try{return "undefined"!=typeof localStorage&&null!==localStorage&&
	localStorage.getItem&&localStorage.setItem?(localStorage.setItem("__canUseLocalStorage_test__","true"),localStorage.removeItem("__canUseLocalStorage_test__"),!0):!1}catch(g){return !1}},je:function(){try{return document.domain}catch(g){return ""}},yl:function(){if(!m.ba())return !0;try{return -1<document.location.host.indexOf("[")?!0:k.je()==document.location.hostname}catch(g){return !1}},tc:function(g){if("undefined"!=typeof g){if(!0===g||!1===g)return !0===g;if(null!=g){if("number"==typeof g||g instanceof
	Number)return Number(g);if(n.isArray(g)){for(var l=[],p=0;p<g.length;p++)l[p]=this.tc(g[p]);return l}if("string"==typeof g||g instanceof String)return String(g);if(-1===g.length)return r.Dg;if(isNaN(g)&&"number"==typeof g)return NaN;l={};for(p in g)l[this.tc(p)]=this.tc(g[p]);return l}}return null},Ta:function(g,l){g=g||{};if(l)for(var p in l)g[p]=l[p];return g},rm:function(g){return g.replace(b,"_").replace(c,"__")},ne:function(g){var l={},p;for(p in g)l[g[p]]=p;return l},yi:function(g){if(g&&!g.pop){for(var l=
	[],p=0;p<g.length;p++)l.push(g[p]);return l}return g},fv:function(g){if(!g)return [];for(var l={eu:0,next:function(){return g.charAt(this.eu++)}},p=/^\s*Expires/i,t=[],q=l.next();q;){for(var G="",D="";q&&";"!=q&&","!=q;)D+=q,q=l.next();D=D.trim();G+=D;";"==q&&(G+="; ",q=l.next());for(;q&&","!=q;){for(D="";q&&";"!=q&&","!=q;)D+=q,q=l.next();if(D.match(p))for(console.assert(","==q),D+=q,q=l.next();q&&";"!=q&&","!=q;)D+=q,q=l.next();D=D.trim();G+=D;";"==q&&(G+="; ",q=l.next());}t.push(G);q=l.next();}return t},
	ec:function(){return d++},Iu:function(){return e++},qh:function(){return f++},defer:function(){var g,l,p=new Promise(function(t,q){g=t;l=q;});p.resolve=g;p.reject=l;return p},gv:function(g){var l=g.indexOf(",")+1;C.Ya(2==l);var p=g.indexOf(",",l)+1;if(0>=p)throw Error("Missing subscription field");var t=g.indexOf(",",p)+1;if(0>=t)throw Error("Missing item field");C.Ya("U,"==g.substring(0,l));a(g.substring(l,p-1),"Invalid subscription");a(g.substring(p,t-1),"Invalid item");l={length:-1};p=[];var q=
	t-1;for(C.Ya(","==g.charAt(q));q<g.length;){t=g.indexOf("|",q+1);-1==t&&(t=g.length);q=g.substring(q+1,t);if(""==q)p.push(l);else if("#"==q.charAt(0)){if(1!=q.length)throw Error("Wrong field quoting");p.push(null);}else if("$"==q.charAt(0)){if(1!=q.length)throw Error("Wrong field quoting");p.push("");}else if("^"==q.charAt(0))if("P"==q.charAt(1))q=k.ai(q.substring(2)),q=new String(q),q.ku=!0,p.push(q);else for(q=a(q.substring(1),"Invalid field count");0<q--;)p.push(l);else q=k.ai(q),p.push(q);q=t;}return p},
	ai:decodeURIComponent};return k}(),Inheritance=function(){function a(c,d,e){if(d)return e?d.apply(c,e):d.apply(c)}var b={Inheritance:function(c,d,e,f){for(var k in d.prototype)if(!c.prototype[k])c.prototype[k]=d.prototype[k];else if(f){a:{var g=void 0;var l=d.prototype;for(g in l)if(l[k]==l[g]&&k!=g)break a;g=null;}if(g){if(c.prototype[g]&&c.prototype[g]!==c.prototype[k]&&d.prototype[g]!==d.prototype[g])throw new h("Can't solve alias collision, try to minify the classes again ("+g+", "+k+")");c.prototype[g]=
	c.prototype[k];}}e||(c.prototype._super_=d,c.prototype._callSuperConstructor=b._callSuperConstructor,c.prototype._callSuperMethod=b._callSuperMethod);return c},_callSuperMethod:function(c,d,e){return a(this,c.prototype._super_.prototype[d],e)},_callSuperConstructor:function(c,d){a(this,c.prototype._super_,d);}};return b.Inheritance}(),da=function(){function a(){}function b(d,e,f){var k=new Number(d);if(isNaN(k))throw new z("The given value is not valid. Use a number");if(!f&&k!=Math.round(k))throw new z("The given value is not valid. Use an integer");
	if(e){if(0>d)throw new z("The given value is not valid. Use a positive number or 0");}else if(0>=d)throw new z("The given value is not valid. Use a positive number");return k}function c(d,e){if(!0===d||!1===d||e&&!d)return !0===d;throw new z("The given value is not valid. Use true or false");}a.prototype.ua=b;a.prototype.Tc=c;a.prototype.checkPositiveNumber=b;a.prototype.checkBool=c;return a}();B.o(r.di);B.o(r.Sb);
	function fa(a){this.va="Bean";this.parent=null;this.de=!1;if(a){var b=this.od,c;for(c in b)H(this,c,a[b[c]]);}}function ha(a,b){var c=a.od[b];!a.parent||!a.parent.sq||a.rq&&a.rq[c]||a.parent.sq(b,a);}function H(a,b,c){var d=a.od[b],e=a[d];a[d]=E.tc(c);a.parent&&a.de&&a.hf(b);e!=a[d]&&ha(a,b);}function ja(a,b,c){var d=a.od[b];c!=a[d]&&(a[d]=c,a.hf(b),ha(a,b));}function ka(a,b){for(var c in a.od)b(c,a[a.od[c]]);}
	fa.prototype={hf:function(a){var b=this.od[a];return this.parent&&this.parent.hf&&!this.parent.hf(this.va,a,E.tc(this[b]))?!1:!0}};Inheritance(fa,da,!1,!0);var la={},na={Sg:"connectionRequested",rd:"clientsCount"};na=E.ne(na);function oa(a){this.Sg=!1;this.rd=0;this.rq=la;this.od=na;this._callSuperConstructor(oa,arguments);this.va="Configuration";}oa.prototype={};Inheritance(oa,fa);var pa=B.o(r.oc);function qa(a){ra(this,a);}function ra(a,b){a.ob=b;a.Eu=b;a.oh=Math.max(6E4,b);a.qm=0;}
	function sa(a,b){ra(a,b);pa.h()&&pa.debug("Reset currentRetryDelay: "+a.ob);}function ta(a){9<=a.qm&&a.ob<a.oh&&(a.ob*=2,a.ob>a.oh&&(a.ob=a.oh),pa.h()&&pa.debug("Increase currentRetryDelay: "+a.ob));a.qm++;}qa.prototype={};var ua=B.o(r.oc);function va(a){wa(this,a);}function wa(a,b){a.Cb=b;a.Du=b;a.nh=Math.max(6E4,b);a.Wk=0;}function ya(a,b){wa(a,b);ua.h()&&ua.debug("Reset currentConnectTimeout: "+a.Cb);}
	function za(a){9<=a.Wk&&a.Cb<a.nh&&(a.Cb*=2,a.Cb>a.nh&&(a.Cb=a.nh),ua.h()&&ua.debug("Increase currentConnectTimeout: "+a.Cb));a.Wk++;}va.prototype={};var Aa={};Aa[r.Xe]=!0;Aa[r.$d]=!0;Aa[r.zb]=!0;Aa[r.cf]=!0;Aa[r.Eg]=!0;Aa[r.Yd]=!0;
	var Ba={Zk:"contentLength",Xi:"idleTimeout",na:"keepaliveInterval",vb:"requestedMaxBandwidth",Hh:"realMaxBandwidth",Ce:"pollingInterval",Dc:"reconnectTimeout",kg:"stalledTimeout",kc:"retryDelay",uf:"firstRetryMaxDelay",kd:"slowingEnabled",Db:"forcedTransport",Qh:"serverInstanceAddressIgnored",cp:"cookieHandlingRequired",xa:"reverseHeartbeatInterval",gd:"sessionRecoveryTimeout",Em:"spinFixTimeout",ek:"spinFixEnabled",Um:"xDomainStreamingEnabled",Ci:"corsXHREnabled",Oi:"forceBindTimeout",Jm:"switchCheckTimeout",
	bh:"httpExtraHeaders",Wi:"httpExtraHeadersOnSessionCreationOnly",Kd:"remoteAdapterStatusObserver",ob:"currentRetryDelay",Eu:"minRetryDelay",oh:"maxRetryDelay",qm:"retryAttempt",Cb:"currentConnectTimeout",Du:"minConnectTimeout",nh:"maxConnectTimeout",Wk:"connectAttempt"};Ba=E.ne(Ba);
	function I(){this.Zk=4E6;this.Xi=19E3;this.na=0;this.vb=-1;this.Ce=0;this.Dc=3E3;this.kg=2E3;this.kc=4E3;ra(this,this.kc);wa(this,this.kc);this.uf=100;this.kd=!1;this.Db=null;this.cp=this.Qh=!1;this.xa=0;this.Em=5E3;this.bh=this.ek=null;this.Wi=!1;this.gd=15E3;this.Ci=this.Um=!0;this.Oi=2E3;this.Jm=4E3;this.Kd={};this.od=Ba;this._callSuperConstructor(I,arguments);this.va="ConnectionOptions";}function Ca(a,b){return a.bh?b?!0:!a.Wi:!1}function Da(a,b){return !b&&a.Wi?null:a.Mp()}
	I.prototype={Cv:function(a){ja(this,"contentLength",this.ua(a));},pt:function(){return this.Zk},lr:function(a){ja(this,"idleTimeout",this.ua(a,!0));},Np:function(){return this.Xi},mr:function(a){ja(this,"keepaliveInterval",this.ua(a,!0));},Op:function(){return this.na},Pv:function(a){a="unlimited"==(new String(a)).toLowerCase()?0:this.ua(a,!1,!0);ja(this,"requestedMaxBandwidth",a);},Mt:function(){return 0>=this.vb?"unlimited":this.vb},It:function(){return this.Hh},nr:function(a){ja(this,"pollingInterval",
	this.ua(a,!0));},Pp:function(){return this.Ce},Nv:function(a){ja(this,"reconnectTimeout",this.ua(a));},Jt:function(){return this.Dc},Zv:function(a){ja(this,"stalledTimeout",this.ua(a));},Zt:function(){return this.kg},Bv:function(){},ot:function(){return String(this.xl())},Fv:function(){},ud:function(){return this.Cb},qr:function(a){a=this.ua(a);ja(this,"retryDelay",a);sa(this,a);ya(this,a);},xl:function(){return this.kc},Gv:function(a){ja(this,"firstRetryMaxDelay",this.ua(a));},wt:function(){return this.uf},
	Wv:function(a){ja(this,"slowingEnabled",this.Tc(a));},tu:function(){return this.kd},Iv:function(a){if(null!==a&&!Aa[a])throw new z("The given value is not valid. Use one of: HTTP-STREAMING, HTTP-POLLING, WS-STREAMING, WS-POLLING, WS, HTTP or null");ja(this,"forcedTransport",a);},zt:function(){return this.Db},Tv:function(a){ja(this,"serverInstanceAddressIgnored",this.Tc(a));},su:function(){return this.Qh},Dv:function(a){ja(this,"cookieHandlingRequired",this.Tc(a));},qb:function(){return this.cp},rr:function(a){ja(this,
	"reverseHeartbeatInterval",this.ua(a,!0));},Ti:function(){return this.xa},Jv:function(a){if(a){var b="",c;for(c in a)b+=c+"\n"+a[c]+"\n";ja(this,"httpExtraHeaders",b);}else ja(this,"httpExtraHeaders",null);},Mp:function(){if(!this.bh)return this.bh;for(var a={},b=this.bh.split("\n"),c=0;c<b.length-1;c+=2)a[b[c]]=b[c+1];return a},Kv:function(a){ja(this,"httpExtraHeadersOnSessionCreationOnly",this.Tc(a));},ju:function(){return this.Wi},Vv:function(a){ja(this,"sessionRecoveryTimeout",this.ua(a,!0));},Ut:function(){return this.gd},
	bw:function(a){ja(this,"xDomainStreamingEnabled",this.Tc(a));},wu:function(){return this.Um},Ev:function(a){ja(this,"corsXHREnabled",this.Tc(a));},gu:function(){return this.Ci},Hv:function(a){ja(this,"forceBindTimeout",this.ua(a));},yt:function(){return this.Oi},$v:function(a){ja(this,"switchCheckTimeout",this.ua(a));},$t:function(){return this.Jm},Yv:function(a){ja(this,"spinFixTimeout",this.ua(a));},Yt:function(){return this.Em},Xv:function(a){ja(this,"spinFixTimeout",null===this.Dw?null:this.Tc(a));},
	Xt:function(){return this.ek}};I.prototype.setContentLength=I.prototype.Cv;I.prototype.getContentLength=I.prototype.pt;I.prototype.setIdleTimeout=I.prototype.lr;I.prototype.getIdleTimeout=I.prototype.Np;I.prototype.setKeepaliveInterval=I.prototype.mr;I.prototype.getKeepaliveInterval=I.prototype.Op;I.prototype.setRequestedMaxBandwidth=I.prototype.Pv;I.prototype.getRequestedMaxBandwidth=I.prototype.Mt;I.prototype.getRealMaxBandwidth=I.prototype.It;I.prototype.setPollingInterval=I.prototype.nr;
	I.prototype.getPollingInterval=I.prototype.Pp;I.prototype.setReconnectTimeout=I.prototype.Nv;I.prototype.getReconnectTimeout=I.prototype.Jt;I.prototype.setStalledTimeout=I.prototype.Zv;I.prototype.getStalledTimeout=I.prototype.Zt;I.prototype.setConnectTimeout=I.prototype.Bv;I.prototype.getConnectTimeout=I.prototype.ot;I.prototype.setCurrentConnectTimeout=I.prototype.Fv;I.prototype.getCurrentConnectTimeout=I.prototype.ud;I.prototype.setRetryDelay=I.prototype.qr;I.prototype.getRetryDelay=I.prototype.xl;
	I.prototype.setFirstRetryMaxDelay=I.prototype.Gv;I.prototype.getFirstRetryMaxDelay=I.prototype.wt;I.prototype.setSlowingEnabled=I.prototype.Wv;I.prototype.isSlowingEnabled=I.prototype.tu;I.prototype.setForcedTransport=I.prototype.Iv;I.prototype.getForcedTransport=I.prototype.zt;I.prototype.setServerInstanceAddressIgnored=I.prototype.Tv;I.prototype.isServerInstanceAddressIgnored=I.prototype.su;I.prototype.setCookieHandlingRequired=I.prototype.Dv;I.prototype.isCookieHandlingRequired=I.prototype.qb;
	I.prototype.setReverseHeartbeatInterval=I.prototype.rr;I.prototype.getReverseHeartbeatInterval=I.prototype.Ti;I.prototype.setHttpExtraHeaders=I.prototype.Jv;I.prototype.getHttpExtraHeaders=I.prototype.Mp;I.prototype.setHttpExtraHeadersOnSessionCreationOnly=I.prototype.Kv;I.prototype.isHttpExtraHeadersOnSessionCreationOnly=I.prototype.ju;I.prototype.setSessionRecoveryTimeout=I.prototype.Vv;I.prototype.getSessionRecoveryTimeout=I.prototype.Ut;I.prototype.setXDomainStreamingEnabled=I.prototype.bw;
	I.prototype.isXDomainStreamingEnabled=I.prototype.wu;I.prototype.setCorsXHREnabled=I.prototype.Ev;I.prototype.isCorsXHREnabled=I.prototype.gu;I.prototype.setForceBindTimeout=I.prototype.Hv;I.prototype.getForceBindTimeout=I.prototype.yt;I.prototype.setSwitchCheckTimeout=I.prototype.$v;I.prototype.getSwitchCheckTimeout=I.prototype.$t;I.prototype.setSpinFixTimeout=I.prototype.Yv;I.prototype.getSpinFixTimeout=I.prototype.Yt;I.prototype.setSpinFixEnabled=I.prototype.Xv;I.prototype.getSpinFixEnabled=I.prototype.Xt;
	I.prototype.setRetryTimeout=I.prototype.qr;I.prototype.getRetryTimeout=I.prototype.xl;I.prototype.setIdleMillis=I.prototype.lr;I.prototype.getIdleMillis=I.prototype.Np;I.prototype.setKeepaliveMillis=I.prototype.mr;I.prototype.getKeepaliveMillis=I.prototype.Op;I.prototype.setPollingMillis=I.prototype.nr;I.prototype.getPollingMillis=I.prototype.Pp;I.prototype.setReverseHeartbeatMillis=I.prototype.rr;I.prototype.getReverseHeartbeatMillis=I.prototype.Ti;Inheritance(I,fa);Inheritance(I,qa,!0);
	Inheritance(I,va,!0);var Ea=B.o(r.$e),Fa="LS_cid="+r.qn+"&",Ha=/^[a-z][a-z0-9-]+$/,Ia=/^((?:[a-z][a-z.0-9-]+).(?:[a-z][a-z-]+))(?![\w.])/,Ja=/^((?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?))(?![d])/,Ka=/^[a-f0-9:]+$/;
	function La(a){a=a.toLowerCase();var b=0==a.indexOf("http://")?7:0==a.indexOf("https://")?8:-1;if(-1==b)return "The given server address has not a valid scheme";var c=a.lastIndexOf(":");c=c>b?c:a.length;a:{var d=a.indexOf("://");var e=a.indexOf(":",d+1);if(-1>=e)e=null;else{if(-1<a.indexOf("]")){e=a.indexOf("]:");if(-1>=e){e=null;break a}e+=1;}else if(e!=a.lastIndexOf(":")){e=null;break a}d=a.indexOf("/",d+3);e=-1<d?a.substring(e,d):a.substring(e);}}if(null!=e&&isNaN(e.substring(1)))return "The given server address has not a valid port";
	e=a.indexOf("/",b);e=e<c?e:c;if("["==a.charAt(b)){if(a=a.substring(b+1,a.lastIndexOf("]")),!Ka.test(a))return "The given server address is not a valid IPv6"}else if(a=a.substring(b,e),-1<a.indexOf(".")){if(!Ia.test(a)&&!Ja.test(a))return "The given server address is not a valid URL"}else if(!Ha.test(a))return "The given server address is not a valid machine name";return !0}
	function Ma(a){var b={},c=a.indexOf("://");-1!=c?(b.$j=a.substring(0,c),a=a.substring(c+3)):b.$j=null;c=a.indexOf("/");-1!=c?(b.path=a.substring(c),a=a.substring(0,c)):b.path=null;c=a.indexOf(":");-1>=c?c=-1:-1<a.indexOf("]")?(c=a.indexOf("]:"),c=-1>=c?-1:c+2):c=c!=a.lastIndexOf(":")?-1:c+1;-1!=c?(b.port=a.substring(c),b.host=a.substring(0,c-1)):(b.port=null,b.host=a);return b}
	function Na(a,b){var c=Ma(a);a=Ma(b);b=null!=a.$j?a.$j:c.$j;c=null!=a.port?a.port:c.port;var d=a.path;a=a.host;null!=b&&(a=b+"://"+a);null!=c&&(a+=":"+c);null!=d&&(a+=d);"/"!=a.substring(a.length-1)&&(a+="/");return a}function Oa(a,b){a={LS_op:"destroy",LS_session:a,LS_reqId:E.ec()};b&&(a.LS_cause=b);Ea.a(B.resolve(475));return a}function Pa(a,b){var c={LS_op:"force_rebind",LS_reqId:E.ec()};a&&(c.LS_cause=a);null==b||isNaN(b)||(c.LS_polling_millis=b);Ea.a(B.resolve(476));return c}
	function Qa(a){return {LS_op:"constrain",LS_requested_max_bandwidth:0<a.vb?a.vb:"unlimited",LS_reqId:E.ec()}}function Ra(a,b,c){return b||null!=c&&0==c.indexOf(".txt")||""==c?a?"create_session"+c:"bind_session"+c:"STREAMING_IN_PROGRESS"}var Sa={Je:"serverAddress",ef:"adapterSet",og:"user",password:"password",Od:"serverInstanceAddress",hg:"serverSocketName",sessionId:"sessionId",mf:"clientIp"};Sa=E.ne(Sa);
	var Ta=!m.cb()||"http:"!=location.protocol&&"https:"!=location.protocol?null:location.protocol+"//"+location.hostname+(location.port?":"+location.port:"")+"/";function Ua(){this.Je=Ta;this.sessionId=this.hg=this.Od=this.password=this.og=this.ef=null;this.od=Sa;this._callSuperConstructor(Ua,arguments);this.va="ConnectionDetails";}
	Ua.prototype={sr:function(a){if(null===a)a=Ta;else{"/"!=a.substr(a.length-1)&&(a+="/");var b=La(a);if(!0!==b)throw new z(b);}ja(this,"serverAddress",a);},Rt:function(){return this.Je},ir:function(a){ja(this,"adapterSet",a);},gt:function(){return this.ef},aw:function(a){ja(this,"user",a);},au:function(){return this.og},Mv:function(a){ja(this,"password",a);},St:function(){return this.Od},Tt:function(){return this.hg},Fb:function(){return this.sessionId},it:function(){return this.mf}};
	Ua.prototype.setServerAddress=Ua.prototype.sr;Ua.prototype.getServerAddress=Ua.prototype.Rt;Ua.prototype.setAdapterSet=Ua.prototype.ir;Ua.prototype.getAdapterSet=Ua.prototype.gt;Ua.prototype.setUser=Ua.prototype.aw;Ua.prototype.getUser=Ua.prototype.au;Ua.prototype.setPassword=Ua.prototype.Mv;Ua.prototype.getServerInstanceAddress=Ua.prototype.St;Ua.prototype.getServerSocketName=Ua.prototype.Tt;Ua.prototype.getSessionId=Ua.prototype.Fb;Ua.prototype.getClientIp=Ua.prototype.it;Inheritance(Ua,fa);
	function Va(a,b){return b.Rm?b.Hk?function(){try{var c=this.target[a].apply(this.target,[this.wb].concat(E.yi(arguments)));return Promise.resolve(c)}catch(d){return Promise.reject(d)}}:function(){try{var c=this.target[a].apply(this.target,arguments);return Promise.resolve(c)}catch(d){return Promise.reject(d)}}:b.Hk?function(){try{this.target[a].apply(this.target,[this.wb].concat(E.yi(arguments)));}catch(c){console.error(c);}}:function(){try{this.target[a].apply(this.target,arguments);}catch(c){console.error(c);}}}
	function Wa(a,b,c){this.Rm=a;this.Hk=b;this.dr=c||!1;}var Xa=new Wa(!1,!1),Ya=new Wa(!0,!1,2E3),Za=new Wa(!1,!0),methods={vq:Xa,Ko:Za,Lo:Za,Sq:Ya,Vh:new Wa(!0,!0),Ve:Za,nd:Za,Xg:Za,Fp:Xa,To:Xa,Mo:Za},$a=B.o(r.Sb);function ab(a){this.client=a;this.Ob=!1;this.wb=-1;this.Xb=null;this.xp="local";}ab.methods=methods;function bb(a,b){$a.j(B.resolve(477),a.xp,b);a.Xb=b;}
	ab.prototype={le:function(){return this.Xb},S:function(){this.client=null;},wh:function(a,b,c){H("ConnectionDetails"==a?this.client.Tb:"ConnectionOptions"==a?this.client.Bb:this.client.oa,b,c);},xe:function(a){this.wb=a;this.Ob&&this.ak(a);},ak:function(){this.Ob=!1;this.client.ak();},Lb:function(a){this.wb=a;this.Ob=!0;this.client.wv();},Tf:function(a,b){$a.j(B.resolve(478),this.Xb+" is dead");this.client&&(this.ak(-1),this.client.Xs(a,b));},Pk:function(){var a=this;this.Sq().then(function(){},function(){a.client&&
	a.Tf();});},yq:function(){this.Pk();x.u(this.Pk,1E3,this);},Cd:function(a,b){this.client.vv(a,b);},yh:function(a){this.client.Jk(a);},dd:function(a,b,c,d,e){cb(this.client.Xa,a,b,c,d,e);},Wf:function(a,b,c){db(this.client.Xa,a,b,c);},hc:function(a){eb(this.client.Xa,a);},wq:function(a,b){this.client.Xa.Ad(a,b);},zh:function(a,b){gb(this.client.Xa,a,b);},zq:function(a,b,c){this.client.Xa.Bd(a,b,c);},uq:function(a,b){this.client.Xa.zd(a,b);},bd:function(a){var b=this.client.P;b.fireEvent("onDiscarded",b.Eb(a),
	[b.Gd[a]]);b.V(a);},Bq:function(a,b,c){var d=this.client.P;d.fireEvent("onDeny",d.Eb(a),[d.Gd[a],b,c]);d.V(a);},cd:function(a,b){var c=this.client.P,d=c.Eb(a);32!=b&&33!=b&&c.fireEvent("onError",d,[c.Gd[a]]);c.V(a);},Aq:function(a){var b=this.client.P;b.fireEvent("onProcessed",b.Eb(a),[b.Gd[a]]);b.V(a);},Cq:function(a){var b=this.client.P;b.Eb(a)&&(b.Eh[a]=!0);},ping:function(){if(null===this.client)throw"net";return !0},fc:function(){this.client.fc();},ye:function(a,b){hb(this.client.Xa,a,b);}};
	for(var ib in methods)ab.prototype[ib]=Va(ib,methods[ib]);function Request(a,b,c,d,e,f){for(;a&&"/"==a.substring(a.length-1);)a=a.substring(0,a.length-1);this.Vb=a;jb(this,b);this.setData(c);this.Mc=d||"POST";this.fe=e||!1;this.td=f||null;}function jb(a,b){for(;b&&"/"==b.substring(0,1);)b=b.substring(1);a.Fg=b;}function kb(a){return a.Fg?a.Vb+"/"+a.Fg:a.Vb}function lb(a){return !(0==a.Vb.indexOf("http://")||0==a.Vb.indexOf("https://")||0==a.Vb.indexOf("file:///"))}
	function mb(a,b){return m.cb()&&b.indexOf(":")==b.length-1?lb(a)?location.protocol==b:0==a.Vb.indexOf(b):!1}function nb(a){var b=m.ej()?location.hostname:E.je(),c=location.protocol;if(!m.cb())return !1;if(lb(a))return m.ej()?location.hostname==b:E.je()==b;if(c){if(!mb(a,c))return !1;if("file:"==c)return ""==b}b=b.replace(".",".");return (new RegExp("^https?://(?:[a-z][a-z0-9-]+.)*"+b+"(?:/|$|:)","i")).test(a.Vb)}
	Request.prototype={toString:function(){return ["[",this.Vb,this.Fg,this.ae,this.Mc,"]"].join("|")},setData:function(a){this.ae=a;},getFile:function(){return this.Fg},getData:function(){return this.ae},clone:function(){return new Request(this.Vb,this.Fg,this.ae,this.Mc,this.fe,this.td)},Ea:function(){return m.cb()?!nb(this):!0},Da:function(){return m.cb()?!mb(this,location.protocol):!0}};var ob=new Request("about:blank"),pb=B.o(r.tk);
	function qb(a,b,c,d,e){this.request=a;this.mv=b;this.Zq=d;this.Ig=c;this.Ge=e;}qb.prototype={toString:function(){var a=pb.h()?JSON.stringify(this.request):this.request;return ["[|ControlRequest",this.Zq,this.Ig,this.Ge,a,"]"].join("|")},Qi:function(){return this.mv},getKey:function(){return this.Zq}};function rb(){}
	rb.prototype={toString:function(){return "[Encoder]"},encode:function(a,b,c){for(c=c?"":"\r\n";0<a.bc();){var d=a.Li(),e=d.Qi(),f=d.Ig;if(e&&e.Vd())e.sh(),a.shift();else return a=d.request,4==f?c+this.jl(a,e,b):6==f?c+this.Ji(a,e,b):8==f?c+this.hl(a,e,b):5==f?c+this.il(a,e,b):c+this.gl(a,e,b)}return null},expand:function(a,b){var c="";if(a)for(var d in a)d!==b&&(c+=d+"="+a[d]+"&");return c},sf:function(a,b){a=this.expand(a);return a+=this.expand(b)},Ki:function(a,b,c){var d=this.expand(a,c);d+=this.expand(b,
	c);a[c]?d+=c+"="+a[c]:b&&(d+=c+"="+b[c]);return "LS_unq="+d.length+"&"+d},Sm:function(a){return a?a:"\n"},xf:function(){return ".txt?LS_protocol="+r.xk},vl:function(){return 0},wl:function(){return 2},gl:function(a,b,c,d){return this.sf(a,d,c)},Ji:function(a,b,c,d){return this.sf(a,d,c)},hl:function(a,b,c,d){return this.sf(a,d,c)},il:function(a,b,c,d){return this.sf(a,d,c)},jl:function(a,b,c,d){return this.Ki(a,d,"LS_message",c)}};
	var tb=1,ub={jl:"encodeMessageRequest",gl:"encodeControlRequest",Ji:"encodeDestroyRequest",hl:"encodeHeartbeatRequest",il:"encodeLogRequest"};ub=E.ne(ub);function vb(){}
	vb.prototype={jl:function(a,b,c,d){d=E.Ta(d,{LS_session:c});return this._callSuperMethod(vb,ub.encodeMessageRequest,[a,b,c,d])},gl:function(a,b,c,d){d=E.Ta(d,{LS_session:c});return this._callSuperMethod(vb,ub.encodeControlRequest,[a,b,c,d])},Ji:function(a,b,c,d){return this._callSuperMethod(vb,ub.encodeDestroyRequest,[a,b,c,d])},hl:function(a,b,c,d){c&&(d=E.Ta(d,{LS_session:c}));d=E.Ta(d,{LS_unique:tb++});return this._callSuperMethod(vb,ub.encodeHeartbeatRequest,[a,b,c,d])},il:function(a,b,c,d){c&&
	(d=E.Ta(d,{LS_session:c}));d=E.Ta(d,{LS_unique:tb++});return this._callSuperMethod(vb,ub.encodeLogRequest,[a,b,c,d])},expand:function(a,b){var c="";if(a)for(var d in a)c=d!==b?c+(d+"="+a[d]+"&"):c+(d+"="+encodeURIComponent(a[d])+"&");return c},Ki:function(a,b,c){a=this.expand(a,c);return a+=this.expand(b,c)}};Inheritance(vb,rb);function wb(){return !1}function xb(){return !0}var yb=new vb;function zb(){for(var a in{za:!0})this.Bk=a;this.va=zb;}
	zb.Oc=function(a,b){for(var c in b)a[c]=!0===b[c]?xb:!1===b[c]?wb:b[c];};zb.Oc(zb,{Yc:!1,Ea:!1,Da:!1,Nc:!1,qd:!1,Kf:!1,Rc:!1});zb.prototype={ta:function(){},za:function(){return !1},ke:function(){return yb}};zb.Nw=function(){};zb.Iw=function(){};var Ab=B.o("assertions");function Bb(a,b){a||this.ma(b);}function Cb(a){null==a&&this.ma("Item index out of range");}function Db(a,b){C.Ya(a)||null!=b&&Ab.g(b);}function Eb(a,b){C.kk(a)||null!=b&&Ab.g(b);}function Fb(a,b,c){C.Kc(a,b,null)||null!=c&&Ab.g(c);}
	function Gb(){this.Nf=-1;this.Dh={};this.Gd={};this.Eh={};this.Kj=0;this.W=void 0;this.Gh=new ba;}function Hb(a){a.Gh.forEach(function(b){a.fireEvent("onAbort",b.listener,[b.yd,!1]);});a.Gh.V();}function Ib(a,b){a.fireEvent("onAbort",a.Eb(b),[a.Gd[b],a.Eh[b]]);a.V(b);}function Jb(a){Hb(a);var b=[],c;for(c in a.Dh)b.push(c);b.sort(function(d,e){return d-e});for(c=0;c<b.length;c++)Ib(a,b[c]);Fb(a.Kj,0,"Unexpected pending messages");a.Nf=-1;a.Dh={};a.Gd={};a.Eh={};a.Kj=0;}
	function Kb(a){a.Gh.forEach(function(b){a.Xg(b.yd,b.N,b.listener,b.timeout);});a.Gh.V();}Gb.prototype={Wh:function(a){this.W=a;},Eb:function(a){return this.Dh[a]},V:function(a){delete this.Dh[a];delete this.Gd[a];delete this.Eh[a];this.Kj--;},Xg:function(a,b,c,d){var e=null;c&&(this.Nf++,this.Dh[this.Nf]=c,this.Gd[this.Nf]=a,this.Eh[this.Nf]=!1,this.Kj++,e=this.Nf);this.W.Xg(a,b,e,d);},fireEvent:function(a,b,c){b&&b[a]&&x.u(b[a],0,b,c);}};
	function Lb(a){a.Sc=[];for(var b=2,c=a.length;b<c;b++)a[b]?-1==a[b].length?a[b]=r.Dg:a.Sc.push(b-1):a.Sc.push(b-1);return a}var Mb=B.o(r.ko);function Nb(a){this.Gu=0;this.yb={};this.Se={};this.ft=1;this.tb={};this.Bc={};this.pb=null;this.b=a;this.c=0;}function cb(a,b,c,d,e,f){Ob(a,b,function(){this.Wu(c,d,e,f);});}function db(a,b,c,d){Ob(a,b,function(){this.uv(c,d);});}function eb(a,b){Ob(a,b,function(){});}function gb(a,b,c){Ob(a,b[0],function(){this.update(Lb(b),c,!1);});}
	function hb(a,b,c){Ob(a,b,function(){this.Rg(c);});}function Pb(a,b){if(a.pb&&a.pb.Ob&&b.nu()){var c=b.pd;Mb.a(B.resolve(484));var d=a.pb.Vh(b.Kt());a.tb[c]?Mb.a(B.resolve(485),c):(Eb(a.tb[c],"Promise unexpected (1)"),Eb(a.Bc[c],"Promise unexpected (2)"));a.tb[c]=d;a.Bc[c]=0;b.Yu();Mb.a(B.resolve(486),b);Qb(a,c,function(e){Mb.a(B.resolve(487),b);a.yb[c]?(b.$u(e),a.Se[e]=c):a.pb&&a.pb.Ve(e);});}}function Rb(a,b){var c=++a.Gu;Mb.j(B.resolve(479),b);b.Ku(c,++a.ft,a);a.yb[c]=b;Pb(a,b);}
	function Sb(a,b){if(a.pb&&a.pb.Ob){var c=b.Jc;(b.fq()||b.Hf())&&c&&(a.pb.Ve(c),delete a.Se[c]);}Mb.j(B.resolve(480),b);c=b.pd;b.Vu();delete a.yb[c];}
	function Qb(a,b,c){Db(a.tb[b],"Promise not found (1)");0!==a.Bc[b]&&Db(a.Bc[b],"Promise not found (2)");var d=a.tb[b];a.Bc[b]++;var e=a.c;d.then(function(f){a.tb[b]!=d?Mb.a(B.resolve(488),b):(Db(a.tb[b],"Promise not found (3)"),Db(a.Bc[b],"Promise not found (4)"),1<a.Bc[b]?a.Bc[b]--:(delete a.tb[b],delete a.Bc[b]),null!=f&&e==a.c&&c(f));},function(){a.tb[b]!=d?Mb.a(B.resolve(489),b):(delete a.tb[b],delete a.Bc[b]);});}
	function Ob(a,b,c){var d=a.Se[b];if(d){var e=a.yb[d];if(a.tb[d]){Mb.a(B.resolve(493),e);var f=a;Qb(a,d,function(l){Mb.a(B.resolve(494),p);Fb(l,b,"Wrong table number");if(f.Se[b]==d){var p=f.yb[d];p&&c.apply(p);}});}else e&&c.apply(e);}else{Mb.a(B.resolve(496),b);f=a;e=0;for(var k in a.tb){var g=a.yb[k];g&&(g.Jc?C.ci(g.Jc,b,null)||Ab.g("Unexpected table number"):(function(l){Qb(f,l,function(p){p==b&&(Mb.a(B.resolve(497),b),f.Se[b]==l&&(p=f.yb[l])&&c.apply(p));});}(k),e++));}Mb.a(B.resolve(498),e);}}
	Nb.prototype={toString:function(){return "[SubscriptionsHandler]"},Wh:function(a){this.pb=a;},nd:function(a,b){if(this.pb&&this.pb.Ob&&a.cc()){Db(a.cc(),"Inactive subscription");var c=a.pd;if(this.tb[c]){Mb.a(B.resolve(481),a);var d=this;Qb(this,c,function(e){Mb.a(B.resolve(482),a);d.pb.nd(e,b);});}else Mb.a(B.resolve(483),a),this.pb.nd(a.Jc,b);}},Bd:function(a,b,c){Ob(this,a,function(){this.mh(b,c);});},Ad:function(a,b){Ob(this,a,function(){this.kl(b);});},zd:function(a,b){Ob(this,a,function(){this.Ks(b);});}};
	var Tb=function(){function a(){this._callSuperConstructor(a);}function b(){this.Sp();}b.prototype={Sp:function(){this.Xh=new a;this.xr=!1;},addListener:function(c){c&&!this.Xh.contains(c)&&(c={f:c,kq:!0},this.Xh.add(c),this.dl("onListenStart",[this],c,!0));},removeListener:function(c){c&&(c=this.Xh.remove(c))&&this.dl("onListenEnd",[this],c,!0);},Yg:function(){return this.Xh.Ik()},nw:function(c){this.xr=!0===c;},dl:function(c,d,e,f){this.xr?this.lp(c,d,e,!0):x.u(this.lp,0,this,[c,d,e,f]);},lp:function(c,
	d,e,f){if(e&&e.f[c]&&(f||e.kq))try{d?e.f[c].apply(e.f,d):e.f[c].apply(e.f);}catch(k){}},dispatchEvent:function(c,d){var e=this;this.Xh.forEach(function(f){e.dl(c,d,f,!1);});}};b.prototype.initDispatcher=b.prototype.Sp;b.prototype.addListener=b.prototype.addListener;b.prototype.removeListener=b.prototype.removeListener;b.prototype.getListeners=b.prototype.Yg;b.prototype.useSynchEvents=b.prototype.nw;b.prototype.dispatchEvent=b.prototype.dispatchEvent;a.prototype={remove:function(c){c=this.find(c);if(0>
	c)return !1;var d=this.data[c];d.kq=!1;this.data.splice(c,1);return d},find:function(c){for(var d=0;d<this.data.length;d++)if(this.data[d].f==c)return d;return -1},Ik:function(){var c=[];this.forEach(function(d){c.push(d.f);});return c}};Inheritance(a,ba);return b}(),Ub=B.o(r.$e),Vb=!1;function Wb(a){Xb(this,a);}
	function Xb(a,b){v.la(b,"LS_e",function(c,d,e,f,k,g){Yb(a,c,d,e,f,k,g);});v.la(b,"LS_t",function(){});v.la(b,"LS_u",function(c,d,e){a.zh(c,d,e);});v.la(b,"LS_v",function(c,d){a.zh(c,d,!0);});v.la(b,"LS_o",function(c,d){a.Bd(c,d);});v.la(b,"LS_n",function(c,d){a.Ad(c,d);});v.la(b,"LS_s",function(c,d){d.length?a.zd(c,d):Yb(a,6,c,d);});v.la(b,"LS_l",function(c,d,e,f,k){a.ea(c,d,e,f,k);});v.la(b,"LS_w",function(c,d,e,f,k,g,l){Zb(a)&&(4==c?a.l.uj(e,d):5==c?$b(a)&&a.l.wj(e,d):8==c?$b(a)&&a.l.hc(e):6==c?$b(a)&&
	a.l.dd(e,f,k,g+1,l+1):9==c?$b(a)&&a.l.ye(e,d,f):Ub.a(B.resolve(511),c));});v.la(b,"setTimeout",function(c,d){setTimeout(c,d);});v.la(b,"alert",function(c){"undefined"!=typeof alert?alert(c):"undefined"!=typeof console&&console.log(c);});v.la(b,"LS_svrname",function(c){a.$l(c);});v.la(b,"LS_MPNREG",function(c,d){$b(a)&&a.l.ca.Yb.Tu(c,d);});v.la(b,"LS_MPNOK",function(c,d){$b(a)&&a.l.ca.Yb.Zu(c,d);});v.la(b,"LS_MPNDEL",function(c){$b(a)&&a.l.ca.Yb.av(c);});}
	function Yb(a,b,c,d,e,f,k){if(Zb(a))if(1==b)a=a.l,ac.h()&&ac.a(B.resolve(649)),b=c=a.Ua(),null==e||a.Cf||(b=e=Na(b,e)),a.U=b,c!=a.U&&(a.f.xh(c),a.f.yj(a.U)),f&&(a.X?H(a.b,"idleTimeout",f):H(a.b,"keepaliveInterval",f)),2==a.c?(null!=a.sessionId&&a.sessionId!=d&&(K.j(B.resolve(650),d,a.sessionId),a.reset()),a.sessionId=d):(C.Kc(a.sessionId,d)||K.g(B.resolve(651)),a.Ie||(C.ma(),K.g(B.resolve(644),a),a.Dc=null),f=n.Ca()-a.Ie,e=a.ud(),a.Dc=(f>e?e:f)+e),f=a.Pb,a.X||(f.La=null,f.Bf=!1),f.Rj=n.Ca(),H(a.M,
	"sessionId",d),H(a.M,"serverInstanceAddress",a.U),a.ra(),3==a.c?a.hb.gb?(d=a.hb,d.gb=!1,d.jc=-1):(a.f.Lb(k),a.Kk&&(a.jf(),a.Kk=!1)):(bc(a.f,k),a.f.we(),a.we());else if(2==b)k=a.l,ac.h()&&ac.a(B.resolve(653)),k.Ul(d);else if(3==b)cc(a.l,"syncerror");else if(4==b){k=30;if(null!=d){k=d;if(41==k){d=a.l;ac.h()&&ac.a(B.resolve(647));d.ea("error41",{sd:!0});return}if(48==k){cc(a.l,"expired");return}if(0<k&&30>k||39<k)k=39;}d="The session has been forcibly closed by the Server";null!=e&&(d=e);a.ea(k,c,null,
	d);}else 5==b?(k=a.l,ac.h()&&ac.a(B.resolve(646),d),k.Ma=d,H(k.b,"realMaxBandwidth","unmanaged"==d?"unlimited":d)):6==b?(k=a.l,ac.h()&&ac.a(B.resolve(652)),f=k.Pb,a=f.i,C.Ya(3==a.c||8==a.c||9==a.c||10==a.c)||dc.g(B.resolve(681)),f.i.X||(ec(f,1E3*d)?f.b.kd&&(f=f.i,f.Hc||f.jd||(d=f.f,f.K==d.L&&(f=fc[d.status],gc.j(B.resolve(769),hc(d.status),hc(f)),f?(d.ka(f),ic(d,"slow"),d.i.fd(d.L)):(C.ma(),gc.g(B.resolve(770),hc(d.status),d.i))))):(d=f.i,ac.h()&&ac.a(B.resolve(645)),d.ra(),8==d.c&&(d.pg=1))),k.ra()):
	7==b?(a.l.Fb()!=a.bl&&(a.Ra=null),k=a.l.O,null==a.Ra?(a.Ra=d,a.bl=a.l.Fb(),a.Ra>k&&(C.ma(),Ub.g(B.resolve(507),d,k),a.l.If=!0)):a.Ra!=d?(C.ma(),Ub.g(B.resolve(508),d,a.Ra),a.l.If=!0):d!=k&&(C.ma(),Ub.g(B.resolve(509),d,k),a.l.If=!0)):jc(a.l,"Unsupported Server version");}function Zb(a){a=!Vb&&!u.Fa()&&null!=a.l;Ub.h()&&Ub.a(B.resolve(502),a);return a}
	function $b(a){a.l.Fb()!=a.bl&&(a.Ra=null);var b=a.l.O;Ub.a(B.resolve(503),b);if(null!=a.Ra){C.Ya(a.Ra<=b)||Ub.g(B.resolve(504),a.Ra);a.Ra++;if(a.Ra<=b)return Ub.a(B.resolve(505),a.Ra),!1;a.l.O++;b=a.l.O;C.Kc(a.Ra,b)||Ub.g(B.resolve(506),a.Ra);return !0}a.l.O++;return !0}
	Wb.prototype={kf:function(a){Ub.a(B.resolve(501),a);this.l=a;this.l.Fb()!=this.bl&&(this.Ra=null);},zh:function(a,b,c){2>b.length?Zb(this)&&(a=this.l,ac.h()&&ac.a(B.resolve(648)),a.ra(),a.f.fc()):Zb(this)&&$b(this)&&this.l.Ij(b,c||!1);},Ad:function(a,b){Zb(this)&&$b(this)&&this.l.Ad(b);},zd:function(a,b){Zb(this)&&$b(this)&&this.l.zd(b);},Bd:function(a,b){Zb(this)&&$b(this)&&this.l.Bd(b);},ea:function(a,b,c,d,e){if(null!=c&&isNaN(c)){if(Zb(this))if(C.Kc(c.substring(0,3),"MSG")||Ub.g(B.resolve(510),c),
	c=c.substr(3),e)this.l.cd(c,a,d,b);else if($b(this))if(39==a)for(a=parseInt(d),b=parseInt(b),a=b-a+1;a<=b;a++)this.l.bd(c,a);else 38==a?this.l.bd(c,b):0>=a?this.l.vj(c,a,d,b):this.l.cd(c,a,d,b);}else if(null!=c)Zb(this)&&this.l.Hj(c,a,d);else if(Zb(this))if(b=this.l,a===b.b.Kd.mq)kc(),b.ea("metadata.adapter.disconnected",{sd:!0,Ee:b.b.Kd.Ee});else switch(a){case 20:cc(b,"syncerror");break;case 4:cc(b,"recovery.error");break;case 5:kc();b.gg=!0;b.ea("server.busy",{sd:!0,tv:!0});break;case 40:case 41:case 48:cc(b,
	"error"+a);break;default:b.yc(a,d);}},$l:function(a){this.l.$l(a);}};function lc(a){this.yd=a;this.ml=a.split(",");this.parse();}function mc(a,b){if(b>=a.ml.length)throw Error("Field "+b+" does not exist");return a.ml[b]}function L(a,b){a=mc(a,b);a=parseInt(a,10);if(isNaN(a))throw Error("Not an integer field");return a}function nc(a,b){a=mc(a,b);a=parseFloat(a);if(isNaN(a))throw Error("Not a float field");return a}
	lc.prototype={toString:function(){return this.yd},parse:function(){switch(mc(this,0)){case "U":this.I=L(this,1);this.eb=L(this,2);this.Qm=E.gv(this.yd);break;case "PROBE":break;case "REQOK":"REQOK"!==this.yd&&(this.B=L(this,1));break;case "REQERR":this.B=L(this,1);this.s=L(this,2);this.J=E.ai(mc(this,3));break;case "SUBOK":this.I=L(this,1);this.vh=L(this,2);this.uh=L(this,3);break;case "SUBCMD":this.I=L(this,1);this.vh=L(this,2);this.uh=L(this,3);this.Jl=L(this,4);this.Tk=L(this,5);break;case "CONF":this.I=
	L(this,1);var a=mc(this,3);if("filtered"!==a&&"unfiltered"!==a)throw Error("Unknown CONF mode");a=mc(this,2);this.frequency="unlimited"===a?a:nc(this,2);break;case "UNSUB":this.I=L(this,1);break;case "CONOK":this.sessionId=mc(this,1);this.cr=L(this,2);this.na=L(this,3);this.Od=mc(this,4);break;case "SERVNAME":this.hg=mc(this,1);break;case "CLIENTIP":this.mf=mc(this,1);break;case "CONS":a=mc(this,1);this.Hh="unlimited"===a||"unmanaged"===a?a:nc(this,1);break;case "CONERR":case "ERROR":case "END":this.s=
	L(this,1);this.J=E.ai(mc(this,2));break;case "WSOK":case "NOOP":break;case "EOS":case "CS":this.I=L(this,1);this.eb=L(this,2);break;case "OV":this.I=L(this,1);this.eb=L(this,2);this.mh=L(this,3);break;case "MSGDONE":this.N=mc(this,1);"*"===this.N&&(this.N=r.lb);this.D=L(this,2);break;case "MSGFAIL":this.N=mc(this,1);"*"===this.N&&(this.N=r.lb);this.D=L(this,2);this.s=L(this,3);this.J=E.ai(mc(this,4));break;case "MPNREG":this.deviceId=mc(this,1);this.Ek=mc(this,2);break;case "MPNOK":this.I=mc(this,
	1);this.Be=mc(this,2);break;case "MPNDEL":this.Be=mc(this,1);break;case "LOOP":this.Au=L(this,1);break;case "PROG":this.D=L(this,1);break;case "SYNC":this.gk=1E3*L(this,1);break;default:throw Error("Unknown message "+this.yd);}}};function oc(a,b){this.query=a;this.type=b;}oc.prototype.toString=function(){var a=this.query,b=" ",c;for(c in a)b+=c+"="+a[c]+" ";return b};
	function pc(){if(0==arguments.length)this.gb=!1,this.jc=-1;else{Bb(2==arguments.length,"Recovery error (1)");var a=arguments[0],b=arguments[1];b.gb?a?(this.gb=!0,this.jc=b.jc):(this.gb=!1,this.jc=-1):a?(this.gb=!0,this.jc=Date.now()):(Bb(-1==b.jc,"Recovery error (4)"),this.gb=!1,this.jc=-1);}Bb(this.gb?-1!=this.jc:-1==this.jc,"Recovery error (2)");}function qc(a,b){return a.gb?(Bb(-1!=a.jc,"Recovery error (5)"),b-(Date.now()-a.jc)):b}pc.prototype={};var rc={sf:"encodeRequest",Ki:"encodeUnqRequest"};
	rc=E.ne(rc);function sc(a){this.uw=a;}function tc(a,b,c){a=a.uw.gp;null==a?b=E.Ta(b,{LS_session:c}):Fb(a,c,"Unexpected session ID");return b}
	sc.prototype={toString:function(){return "[WSEncoder]"},vl:function(a){return a.length+2},xf:function(){return ""},sf:function(a,b,c){b=tc(this,b,c);return this._callSuperMethod(sc,rc.encodeRequest,[a,b,c])},Ki:function(a,b,c,d){b=tc(this,b,d);return this._callSuperMethod(sc,rc.encodeUnqRequest,[a,b,c,d])},Ji:function(a,b,c,d){return this._callSuperMethod(sc,rc.encodeRequest,[a,d,c])}};Inheritance(sc,rb);var uc=B.o(r.oc),vc=B.o(r.Ab),wc=null;m.pe()&&(wc=null);var zc=r.xk+".lightstreamer.com";
	function Ac(a){this._callSuperConstructor(Ac);this.da=E.qh();vc.h()&&vc.a(B.resolve(512),this.da);this.A=!1;this.sa=this.Jj=this.Wa=this.Wg=null;this.zc=this.Xf=!1;this.Ph=null;this.cm=!1;this.gp=null;this.lk=a;this.va=Ac;this.vw=new sc(this);}null==Ac.name&&(Ac.name="WebSocketConnection");var Bc=!1,Cc={};Ac.ie=function(a){a?Cc[a]=!0:Bc=!0;};Ac.er=function(a){a?delete Cc[a]:(Bc=!1,Cc={});};Ac.hu=function(){for(var a in Cc)return !0;return Bc};
	function Dc(a){a=0==a.indexOf("http://")?a.replace("http://","ws://"):a.replace("https://","wss://");if(wc){var b="";(void 0).forEach(function(d){""!==b&&(b+="; ");b+=d.name+"="+d.value;});var c={};0<b.length&&(c.headers={Cookie:b});return new wc(a,zc,c)}if("undefined"!=typeof WebSocket)return new WebSocket(a,zc);if("undefined"!=typeof MozWebSocket)return new MozWebSocket(a,zc);Ac.ie();return null}
	zb.Oc(Ac,{Yc:function(a){if(Bc||a&&Cc[a])return !1;a=null;"undefined"!=typeof WebSocket?a=WebSocket:"undefined"!=typeof MozWebSocket&&(a=MozWebSocket);return a&&2==a.prototype.CLOSED?!1:wc||a},Ea:!0,Da:function(){return !m.cb()||"https:"!=location.protocol},Nc:function(){return !0},qd:!1,Kf:!0,Rc:!1});
	function Ec(a,b,c,d,e,f){if(a.A)vc.g(B.resolve(515));else if(Bc)return !1;a.zc=!1;a.Ph=b.Vb;a.Wa=c;try{a.sa=Dc(a.Ph);}catch(k){return vc.a(B.resolve(516),k),!1}uc.h()&&uc.debug("Status timeout in "+a.lk.ud()+" [currentConnectTimeoutWS]");x.u(a.bv,a.lk.ud(),a,[a.Wa]);a.sa.onmessage=function(k){a.Yl(k,c,d);};a.sa.onerror=function(){a.Wa!=c||u.Fa()||(vc.g(B.resolve(526),a.da),a.zc|=!a.Xf,x.aa(e,["wsc.unknown",a.Wa,!0,a.zc,!1]));};a.sa.onclose=function(k){if(a.Wa==c&&!u.Fa())if(k=k?k.code:-1,vc.a(B.resolve(528),
	k,a.Xf),1E3==k||1001==k)x.nq(f,[a.Wa,!0]),x.wi(f,300),a.Va();else if(1011==k){a.zc|=!a.Xf;var g=a.Wa;a.Va();x.aa(e,["wsc.server",g,!0,a.zc,!0]);}else a.zc|=!a.Xf,g=a.Wa,a.Va(),x.aa(e,["wsc."+k,g,!0,a.zc,!1]);};a.sa.onopen=function(){if(m.pe()){var k=a.sa.headers;k["set-cookie"]&&E.fv(k["set-cookie"]);}a.Wa!=c||u.Fa()||(a.cm=!0,vc.a(B.resolve(527)),a.Jj&&Fc(a));};return !0}
	function Fc(a,b){var c=a.Gg(a.Jj,b);C.Ya(null!==c)||vc.g(B.resolve(524),b);c&&(a.A=!0,b=a.lk,b.Yf==a.Wa&&(Gc.a(B.resolve(674)),b.Pc(),b.Oa=4));}
	Ac.prototype={toString:function(){return ["[|WebSocketConnection",this.A,this.Wa,this.Wg,null!=this.sa&&1==this.sa.readyState,"]"].join("|")},ta:function(){if(this.sa){vc.a(B.resolve(513));this.Wa=null;if(this.sa)try{this.sa.close(1E3);}catch(a){vc.a(B.resolve(514),a);}this.Va();}},bv:function(a){if(a==this.Wa&&this.sa&&!this.cm)try{uc.a(B.resolve(517)),za(this.lk.b),this.sa.close(1E3);}catch(b){vc.a(B.resolve(518));}},za:function(a,b){if(this.A)return vc.g(B.resolve(519)),null;if(Bc)return !1;this.Jj=a;
	this.Wg=b;vc.a(B.resolve(520),kb(a));null!=this.sa&&1==this.sa.readyState&&Fc(this,b);return !0},Gg:function(a,b){if(null==this.sa||1!=this.sa.readyState)return null;b&&(this.Wg=b);vc.h()&&vc.a(B.resolve(522),this.da,a.getFile(),a.getData());try{this.sa.send(a.getFile()+"\r\n"+a.getData());}catch(c){return vc.g(B.resolve(523),c),!1}return !0},Yl:function(a,b,c){this.Wa!=b||u.Fa()||(vc.h()&&vc.a(B.resolve(525),this.da,a.data),this.Xf=!0,x.aa(c,[a.data,this.Wg]));},Va:function(){this.cm=this.A=!1;this.Jj=
	this.Wa=null;this.Xf=!1;this.Ph=this.sa=null;},ke:function(){return this.vw}};Inheritance(Ac,zb);function Hc(a,b,c,d,e,f){this.Ia=new WebSocket(a,b);this.Ia.onopen=c;this.Ia.onmessage=d;this.Ia.onclose=e;this.Ia.onerror=f;}Hc.prototype.send=function(a){this.Ia.send(a);};Hc.prototype.close=function(){this.Ia.onopen=null;this.Ia.onmessage=null;this.Ia.onclose=null;this.Ia.onerror=null;this.Ia.close();};function Ic(a){try{window.removeEventListener("online",a);}catch(b){}}function Jc(){this.Vq=0;}
	function Kc(a,b,c){if(c)c=b.length;else{c=b.lastIndexOf("\r\n");if(0>c)return null;c+=2;}b=b.substring(a.Vq,c);a.Vq=c;return b}Jc.prototype={};var Lc=B.o(r.Ab),Mc=m.cb()?2:3,Nc=!0,Oc;m.pe()&&(Oc=null);function Pc(){this._callSuperConstructor(Pc);this.da=E.qh();Lc.h()&&Lc.a(B.resolve(530),this.da);this.A=!1;this.Mb=this.ga=this.rc=this.R=null;this.Fm=!1;this.va=Pc;}null==Pc.name&&(Pc.name="XSXHRConnection");var Qc=null;
	zb.Oc(Pc,{Yc:function(){if(null!==Qc)return Qc;aa.Gf(9,!0)?Qc=!1:"undefined"!=typeof XMLHttpRequest?"undefined"!=typeof(new XMLHttpRequest).withCredentials?Qc=!0:m.mu()&&(Qc=!0):!m.cb()&&Oc&&(Qc=!0);null===Qc&&(Qc=!1);return Qc},Kf:function(){return !aa.qe()&&!aa.bq()},Ea:!0,Da:!0,Nc:function(){return m.pe()?!0:"file:"!=r.ug?!0:m.ba()?!1:!0},qd:!1,Rc:!0});function Rc(a){return function(){x.aa(a);}}
	Pc.prototype={toString:function(){return ["[|XSXHRConnection",this.A,this.R,this.rc,"]"].join("|")},ta:function(){if(this.A){Lc.h()&&Lc.a(B.resolve(531),this.da);this.R=null;if(this.ga)try{this.ga.abort();}catch(a){Lc.a(B.resolve(532));}this.Va();}},za:function(a,b,c,d,e){if(this.A)return null;this.ga=Oc?new Oc:new XMLHttpRequest;this.Mb=new Jc;c=x.sb(this.Yl,this,[b,c,e,d]);this.ga.onreadystatechange=Rc(c);this.R=b;this.rc=null;Lc.h()&&Lc.a(B.resolve(533),this.da,a.getFile(),a.getData());try{this.ga.open(a.Mc,
	kb(a),!0);this.ga.withCredentials=a.fe;var f=a.td;if(f)for(var k in f)this.ga.setRequestHeader(k,f[k]);this.ga.setRequestHeader("Content-Type","application/x-www-form-urlencoded");this.ga.send(a.getData());this.A=!0;}catch(g){return Lc.g(B.resolve(534),this.da,g),!1}return !0},Yl:function(a,b,c,d){this.R!=a||u.Fa()||(a=null,this.Ff()&&b&&(3==this.ga.readyState?a=Kc(this.Mb,this.ga.responseText,!1):4==this.ga.readyState&&(a=Kc(this.Mb,this.ga.responseText,!0)),Lc.h()&&a&&Lc.a(B.resolve(535),this.da,
	a),null!=a&&x.aa(b,[a,this.R])),4==this.ga.readyState&&(this.Ff()||(this.Fm?(d&&(Lc.h&&Lc.a(B.resolve(536),this.da),x.aa(d,["status0",this.R,!1,Nc,!1])),Nc=!Nc,this.Fm=!1):b&&x.aa(b,[null,this.R])),Lc.h&&Lc.a(B.resolve(537),this.da),4!=this.ga.readyState&&""!=a||!c||x.u(this.Sf,100,this,[this.R,c]),this.Va()));},Sf:function(a,b){x.aa(b,[a]);},Va:function(){this.A=!1;this.R=null;this.ga&&(delete this.ga.onreadystatechange,delete this.ga);},Ff:function(){try{if(null===this.rc){if(this.ga.readyState<Mc)return !1;
	this.rc=200<=this.ga.status&&299>=this.ga.status;0==this.ga.status&&(this.Fm=!0);}return this.rc}catch(a){return Lc.a(B.resolve(538),this.da,a),!1}}};Inheritance(Pc,zb);var Sc=B.o(r.Ab);function Tc(){this._callSuperConstructor(Tc);this.A=!1;this.Ja=this.Mb=this.R=null;this.Mj=0;this.va=Tc;}null==Tc.name&&(Tc.name="IEXSXHRConnection");var Uc=null;zb.Oc(Tc,{Yc:function(){return null!==Uc?Uc:Uc="undefined"!=typeof XDomainRequest?!0:!1},Kf:!0,Ea:!0,Da:!1,Nc:!1,qd:!1,Rc:!1});
	function Vc(a){return function(){x.aa(a);}}
	Tc.prototype={toString:function(){return ["[|IEXSXHRConnection",this.A,this.R,"]"].join("|")},ta:function(){if(this.A){Sc.a(B.resolve(539));this.R=null;if(this.Ja)try{this.Ja.abort();}catch(a){Sc.a(B.resolve(540));}this.Va();}},za:function(a,b,c,d,e){if(this.A)return null;this.Mj=0;this.Ja=new XDomainRequest;this.Mb=new Jc;e=x.sb(this.sv,this,[b,c,e]);var f=x.sb(this.Io,this,[b,d,"xdr.err"]);d=x.sb(this.Io,this,[b,d,"xdr.timeout"]);c=x.sb(this.Wq,this,[b,c,!1]);this.Ja.onload=Vc(e);this.Ja.onerror=Vc(f);
	this.Ja.ontimeout=Vc(d);this.Ja.onprogress=Vc(c);this.R=b;Sc.h()&&Sc.a(B.resolve(541),a.getFile(),a.getData());try{this.Ja.open(a.Mc,kb(a)),this.Ja.send(a.getData()),this.A=!0;}catch(k){return Sc.g(B.resolve(542),k),!1}return !0},Io:function(a,b,c){this.R!=a||u.Fa()||(Sc.a(B.resolve(543)),x.aa(b,[c,a,!1,0==this.Mj,!1]));},Wq:function(a,b,c){this.R!=a||u.Fa()||(this.Mj++,b&&(a=c?Kc(this.Mb,String(this.Ja.responseText),!0):Kc(this.Mb,String(this.Ja.responseText),!1),Sc.h()&&Sc.a(B.resolve(544),a),null!=
	a&&x.aa(b,[a,this.R])));},sv:function(a,b,c){this.R!=a||u.Fa()||(this.Wq(a,b,!0),this.Va(),Sc.a(B.resolve(545)),c&&x.u(this.Sf,100,this,[c,a]));},Sf:function(a,b){x.aa(a,[b]);},Va:function(){this.A=!1;this.Mb=this.R=null;this.Mj=0;this.Ja&&(this.Ja.onload=null,this.Ja.onerror=null,this.Ja.ontimeout=null,this.Ja=this.Ja.onprogress=null);}};Inheritance(Tc,zb);function Wc(){this._callSuperConstructor(Wc);}zb.Oc(Wc,{Yc:!1,Ea:!1,Da:!1,Nc:!1,qd:!1,Rc:!1});
	Wc.prototype={za:function(a,b,c){c&&x.u(this.se,1E3,this,[c,b]);return !0},se:function(a,b){x.aa(a,["",b]);}};Inheritance(Wc,zb);
	var Xc=function(){var a=aa.Dl()&&aa.dj(32,!0)?null:"about:blank",b={},c={ep:function(d,e){if(!m.ba())return null;var f=document.getElementsByTagName("BODY")[0];if(!f)return null;e=e||a;var k=document.createElement("iframe");k.style.visibility="hidden";k.style.height="0px";k.style.width="0px";k.style.display="none";k.name=d;k.id=d;aa.Gf()||aa.qe()?(k.src=e,f.appendChild(k)):(f.appendChild(k),k.src=e);try{if(k.contentWindow){try{k.contentWindow.name=d;}catch(g){}b[d]=k.contentWindow;return b[d]}return document.frames&&
	document.frames[d]?(b[d]=document.frames[d],b[d]):null}catch(g){return null}},me:function(d,e,f){e&&!b[d]&&this.ep(d,f);return b[d]||null},el:function(d){if(b[d]){try{document.getElementsByTagName("BODY")[0].removeChild(document.getElementById(d));}catch(e){}delete b[d];}},ar:function(){for(var d in b)try{document.getElementsByTagName("BODY")[0].removeChild(document.getElementById(d));}catch(e){}b={};}};c.createFrame=c.ep;c.getFrameWindow=c.me;c.disposeFrame=c.el;c.removeFrames=c.ar;u.gf(c.ar);return c}();
	function Yc(){}Yc.prototype={vl:function(){return 15},wl:function(a){return a?encodeURIComponent(a).length-a.length:0},Sm:function(a){return "LS_querystring="+encodeURIComponent(a)}};Inheritance(Yc,vb);function Zc(){}Zc.prototype={toString:function(){return "[LegacyEncoder]"},xf:function(){return ".html"},Sm:function(a){return a}};Inheritance(Zc,Yc);var $c=new Zc,ad=B.o(r.Ab);function bd(a){this._callSuperConstructor(bd);a&&(this.target=E.rm(a),Xc.me(a,!0));this.A=!1;this.va=bd;this.ij=0;}
	zb.Oc(bd,{Yc:function(){return m.ba()},Ea:!0,Da:!0,Nc:!0,qd:!0,Rc:!1});
	bd.prototype={toString:function(){return ["[|FormConnection",this.target,"]"].join("|")},ta:function(){ad.a(B.resolve(546));this.A=!1;this.ij++;},za:function(a,b,c,d){if(this.A)return null;this._callSuperMethod(bd,this.Bk,[a,b,c,d]);try{this.ij++;var e=document.getElementsByTagName("BODY")[0];if(e){b={};b.Vc=document.createElement("FORM");try{b.Vc.acceptCharset="utf-8";}catch(k){}b.Vc.style.display="none";b.Nj=document.createElement("INPUT");b.Nj.type="hidden";b.Nj.name="LS_querystring";b.Vc.appendChild(b.Nj);
	e.appendChild(b.Vc);var f=b;}else f=null;if(!f)return !1;ad.h()&&ad.a(B.resolve(547),a.getFile(),a.getData());f.Vc.method=a.Mc;f.Vc.target=this.target;f.Vc.action=kb(a);f.Nj.value=a.getData();f.Vc.submit();x.u(this.Ss,1E3,this,[f.Vc,this.ij]);this.A=!0;}catch(k){return ad.g(B.resolve(548),k),!1}return !0},Ss:function(a,b){a.parentNode.removeChild(a);b==this.ij&&(this.A=!1);},ke:function(){return $c}};Inheritance(bd,Wc);var cd=new Zc,dd=B.o(r.Ab);
	function ed(a){this._callSuperConstructor(ed);this.target=E.rm(a);this.Qc=0;this.A=!1;this.Pi=null;Xc.me(this.target,!0);this.va=ed;}zb.Oc(ed,{Yc:function(){return m.ba()},Ea:!1,Da:!1,Nc:!0,qd:!0,Kf:!0,Rc:!1});
	ed.prototype={toString:function(){return ["[|FrameConnection",this.A,this.target,this.Qc,this.Pi,"]"].join("|")},gs:function(a){a==this.Qc&&(this.Qc++,this.A&&(this.Eo(this.Qc,ob),this.A=!1));},ta:function(){dd.a(B.resolve(549));var a=++this.Qc;x.u(this.gs,0,this,[a]);},Eo:function(a,b,c,d,e){if(a==this.Qc&&!u.Fl()){this._callSuperMethod(ed,this.Bk,[b,c,d,e]);this.Qc++;dd.h()&&dd.a(B.resolve(550),b.getFile(),b.getData());try{var f=Xc.me(this.target);if(null==f)return dd.g(B.resolve(551)),!1;f.location.replace(b.ae?
	kb(b)+"?"+b.ae:kb(b));this.A=!0;}catch(k){return dd.g(B.resolve(552),k),!1}return !0}},za:function(a,b,c,d){if("POST"==a.method){this.Pi||(this.Pi=new bd(this.target));this.Qc++;if(a=this.Pi.za(a,b,c,d))this.A=!0;return a}var e=++this.Qc;x.u(this.Eo,0,this,[e,a,b,c,d]);return !0},ke:function(){return cd}};Inheritance(ed,Wc);
	var fd=function(){function a(){this.Bl();}a.prototype={V:function(){},Bl:function(b){this.Lm=this.Df=0;this.timeout=b||5E3;},rw:function(b){b==this.Lm&&0>=this.Df&&this.V();},Ii:function(){this.Df--;0>=this.Df&&x.u(this.rw,this.timeout,this,[this.Lm]);},jk:function(){this.Lm++;0>this.Df&&(this.Df=0);this.Df++;}};a.prototype.touch=a.prototype.jk;a.prototype.dismiss=a.prototype.Ii;a.prototype.clean=a.prototype.V;a.prototype.initTouches=a.prototype.Bl;return a}(),gd=B.o(r.Ab),hd=0,id={};
	function jd(a){this.path=a;this.Kg=n.Cc();this.status=m.ba()&&(window.ActiveXObject||"undefined"!=typeof XMLHttpRequest)?2:-1;this.xi=++hd;this.bb="LS_AJAXFRAME_"+this.xi;this.Bl();kd(this);}jd.ht=function(a){id[a]||(id[a]=new jd(a),id[a].za(!1));return id[a]};function kd(a){v.la(a.xi,"LS_a",function(){u.Fa()||1==a.status||(gd.a(B.resolve(555)),a.status=1);},"A");}function ld(a){return -1===a.status||3===a.status||4===a.status}
	function md(a,b,c,d,e){if(ld(a))return !1;if(1!==a.status)return null;gd.a(B.resolve(558),b);try{var f=!1!==Xc.me(a.bb).sendRequest(b,c,d,e);}catch(k){f=!1,gd.a(B.resolve(559),k);}!1===f&&a.disable();return f}
	jd.prototype={toString:function(){return ["[|AjaxFrameHandler",this.status,"]"].join("|")},V:function(){this.status=-1;v.Qk(this.xi,"LS_a","A");var a=this.path;id[a]&&delete id[a];Xc.el(this.bb);},Yi:function(a){this.Kg++;this.status=a?3:0;},za:function(a){if(-1!=this.status&&(gd.a(B.resolve(553)),!this.Hb())){this.Yi(a);a=this.Kg;E.Xp()&&gd.a(B.resolve(554));var b="id="+this.xi+"&";E.yl()||(b+="domain="+E.je()+"&");b=new Request(this.path,"xhr.html",b);(new ed(this.bb)).za(b);x.u(this.dt,1E4,this,[a]);
	x.u(this.bu,2E3,this,[a]);}},dt:function(a){-1==this.status||this.Kg!=a||this.Hb()||(gd.a(B.resolve(556)),this.za(!0));},bu:function(a){-1==this.status||this.Kg!=a||this.Hb()||(gd.a(B.resolve(557)),this.status=4);},disable:function(){this.status=-1;this.Kg++;},Hb:function(){return 1===this.status}};Inheritance(jd,fd,!0,!0);var nd=B.o(r.Ab);
	function od(){this._callSuperConstructor(od);this.error=this.response=this.rc=this.sender=this.R=null;this.A=!1;this.c=0;this.LS_x=this.Lu;this.$c=null;this.va=od;}null==od.name&&(od.name="XHRConnection");zb.Oc(od,{Yc:function(){return m.ba()&&(window.ActiveXObject||"undefined"!=typeof XMLHttpRequest)},Ea:!1,Da:!1,Nc:!0,qd:!1,Rc:!0});
	function pd(a){try{delete a.sender.onreadystatechange;}catch(b){nd.a(B.resolve(566),b);}try{delete a.sender;}catch(b){nd.a(B.resolve(567),b);}a.error=null;a.response=null;a.$c&&a.$c.Ii();}
	od.prototype={toString:function(){return ["[|XHRConnection",this.A,this.c,this.R,"]"].join("|")},za:function(a,b,c,d,e){this.$c=jd.ht(a.Vb);if(ld(this.$c))return this.$c.Ii(),!1;if(!this.$c.Hb()||this.A)return null;this.$c.jk();this.R=b;this.rc=null;this.response=c;this.error=d;this.Zo=e;this.c++;var f=this,k=this.c;this.LS_h=function(){f.Kq(k);};this.A=!0;nd.h()&&nd.a(B.resolve(560),a.getFile(),a.getData());return md(this.$c,kb(a),a.getData(),this,a.td)},ta:function(){if(this.A){this.Va();nd.a(B.resolve(561));
	try{this.sender&&this.sender.abort&&this.sender.abort();}catch(a){nd.g(B.resolve(562),a);}pd(this);}},Ff:function(){try{if(null===this.rc){if(2>this.sender.readyState)return !1;this.rc=200<=this.sender.status&&299>=this.sender.status;}return this.rc}catch(a){return nd.a(B.resolve(563),a),!1}},Kq:function(a){u.Fa()||a!=this.c||!this.sender||4!=this.sender.readyState&&"complete"!=this.sender.readyState||(a=null,this.Ff()&&(a=this.sender.responseText,a=a.toString(),"/*"==a.substring(0,2)&&(a=a.substring(2,
	a.length-2))),nd.h()&&nd.a(B.resolve(564),a),this.response&&x.aa(this.response,[a,this.R]),x.u(this.Sf,100,this,[this.R]),this.Va(),pd(this));},Sf:function(a){x.aa(this.Zo,[a]);},Lu:function(){u.Fa()||(this.$c.disable(),nd.a(B.resolve(565)),this.Va(),this.error&&x.aa(this.error,["xhr.unknown",this.R,!1,!1,!1]),pd(this));},Va:function(){this.A=!1;this.c++;}};Inheritance(od,zb);var qd=B.o(r.Ab);function rd(){this._callSuperConstructor(rd);this.Mb=null;this.va=rd;}null==rd.name&&(rd.name="XHRStreamingConnection");
	var sd=null;zb.Oc(rd,{Yc:function(){return null!==sd?sd:sd=m.ba()?aa.Gf()?!1:"undefined"!=typeof XMLHttpRequest?"undefined"!=typeof(new XMLHttpRequest).addEventListener:!1:!1},Kf:function(){return !aa.qe()},Ea:!1,Da:!1,Nc:!0,qd:!1,Rc:!0});
	rd.prototype={toString:function(){return ["[|XHRStreamingConnection",this.A,this.c,this.R,"]"].join("|")},za:function(a,b,c,d,e){a=this._callSuperMethod(rd,this.Bk,[a,b,c,d,e]);qd.a(B.resolve(568));a&&(this.Mb=new Jc);return a},Kq:function(a){!u.Fa()&&a==this.c&&this.sender&&(a=null,this.Ff()&&this.response&&(3==this.sender.readyState?a=Kc(this.Mb,this.sender.responseText,!1):4==this.sender.readyState&&(a=Kc(this.Mb,this.sender.responseText,!0)),qd.h()&&qd.a(B.resolve(569),a),null!=a&&x.aa(this.response,
	[a,this.R])),4==this.sender.readyState&&(!this.Ff()&&this.response&&x.aa(this.response,[null,this.R]),qd.h()&&qd.a(B.resolve(570)),4!=this.sender.readyState&&""!=a||!this.Zo||x.u(this.Sf,100,this,[this.R]),this.Va(),pd(this)));}};Inheritance(rd,od);var td=B.o(r.Ab);function ud(a,b,c){this.jh=a;this.Ds=b;this.Jo=c;this.Lj=-1;}for(var vd=[],wd=[Pc,Tc,rd],xd=0;xd<wd.length;xd++)wd[xd].Kf()&&vd.push(wd[xd]);var yd=[Pc,Tc,od],zd=[Pc,Tc,od];
	function Ad(a,b,c,d,e,f,k){td.h()&&td.a(B.resolve(571),b.name);if(!b.Yc(a))return td.a(B.resolve(572)),!1;if(c&&!b.Ea())return td.a(B.resolve(573)),!1;if(d&&!b.Nc())return td.a(B.resolve(574)),!1;if(e&&!b.Da())return td.a(B.resolve(575)),!1;if(f&&!b.Rc())return td.a(B.resolve(576)),!1;if(a=k){a:{for(a=0;a<k.length;a++)if(k[a]==b){k=!0;break a}k=!1;}a=!k;}if(a)return td.a(B.resolve(577)),!1;td.h()&&td.a(B.resolve(578),b.name);return !0}function Bd(a){return a.Lj<a.jh.length-1}
	function Ed(a,b,c,d,e,f){for(td.h()&&td.a(B.resolve(579),"serverToUse",b,"isCrossSite",c,"areCookiesRequired",d,"isCrossProtocol",e,"hasExtraHeaders",f);Bd(a);){a.Lj++;var k=a.jh[a.Lj];if(!((a.Jo||a.Ds)&&k===Tc||a.Jo&&k===Pc)&&Ad(b,k,c,d,e,f,a.jh))return k}return null}ud.prototype={pc:function(){td.a(B.resolve(580));this.Lj=-1;}};var Fd,Gd,Hd,Id,Jd,Kd,Ld,Md,Nd,Od,Pd,Qd,Rd,Sd,Td,Ud,Vd,Wd,Xd,Yd,Zd,$d,ae,be,ce,de,ee,fe,ge,he,N=[],O=0;Fd=++O;N[O]="Init";Gd=++O;N[O]="Opening";Hd=++O;N[O]="Probing";Id=++O;
	N[O]="CreatingOrBinding";Jd=++O;N[O]="Disconnected";Kd=++O;N[O]="Pause1";Ld=++O;N[O]="Pause2";Md=++O;N[O]="SwitchAndCreatingHTTP";Nd=++O;N[O]="SwitchAndCreating";Od=++O;N[O]="SwitchAndCreatingPOLLING";Pd=++O;N[O]="SwitchAndRebinding";Qd=++O;N[O]="SwitchAndRebindingPOLLING";Rd=++O;N[O]="Recovering";Sd=++O;N[O]="Pause_R0";Td=++O;N[O]="Pause_R";Ud=++O;N[O]="Streaming";Vd=++O;N[O]="Receiving";Wd=++O;N[O]="Stalling";Xd=++O;N[O]="Stalled";Yd=++O;N[O]="Switching";Zd=++O;N[O]="Slowing";$d=++O;N[O]="RhbDisabled";
	ae=++O;N[O]="RhbEnabled";be=++O;N[O]="SlwRunning0";ce=++O;N[O]="SlwRunning1";de=++O;N[O]="SlwRunning2";ee=++O;N[O]="SlwSlowing";fe=++O;N[O]="FromRecovery";ge=++O;N[O]="NoDebug";he=++O;N[O]="Debug";var Event={},P=[],Q=0;Event.ri=++Q;P[Q]="_connect";Event.connect=++Q;P[Q]="connect";Event.Xo=++Q;P[Q]="connect_switch";Event.Wo=++Q;P[Q]="connect_giveup";Event.Mh=++Q;P[Q]="retry";Event.fr=++Q;P[Q]="retry_switch";Event.bind=++Q;P[Q]="bind";Event.disconnect=++Q;P[Q]="disconnect";Event.subscribe=++Q;
	P[Q]="subscribe";Event.unsubscribe=++Q;P[Q]="unsubscribe";Event.message=++Q;P[Q]="message";Event.register=++Q;P[Q]="register";Event.Re=++Q;P[Q]="subscribeMpn";Event.Ue=++Q;P[Q]="unsubscribeMpn";Event.bi=++Q;P[Q]="unsubscribeFilterMpn";Event.Xl=++Q;P[Q]="onOpen";Event.Hq=++Q;P[Q]="onOpen_Creating";Event.Gq=++Q;P[Q]="onOpen_Binding";Event.Iq=++Q;P[Q]="onOpen_busy";Event.fb=++Q;P[Q]="onRetryTimeout";Event.Ej=++Q;P[Q]="onRetryTimeout_isWsForced";Event.Cj=++Q;P[Q]="onRetryTimeout_NOTisWsForced";
	Event.Dj=++Q;P[Q]="onRetryTimeout_hasRecoveryTimeoutElapsed";Event.Bj=++Q;P[Q]="onRetryTimeout_NOThasRecoveryTimeoutElapsed";Event.Uf=++Q;P[Q]="onLoopTimeout";Event.Ae=++Q;P[Q]="onWsErrorOrClose";Event.Oq=++Q;P[Q]="onWsErrorOrClose_isWsForced";Event.Mq=++Q;P[Q]="onWsErrorOrClose_NOTisWsForced";Event.Nq=++Q;P[Q]="onWsErrorOrClose_isRecoveryEnabled";Event.Lq=++Q;P[Q]="onWsErrorOrClose_NOTisRecoveryEnabled";Event.Fe=++Q;P[Q]="requestSwitch";Event.Ld=++Q;P[Q]="requestSwitch_NOTisWsStreaming";
	Event.Yk=++Q;P[Q]="constrain";Event.$o=++Q;P[Q]="constrain_NOTunmanaged";Event.Ih=++Q;P[Q]="reconf";Event.Ec=++Q;P[Q]="sendLog";Event.zk=++Q;P[Q]="WSOK";Event.Ak=++Q;P[Q]="_CONOK";Event.fi=++Q;P[Q]="CONOK";Event.gi=++Q;P[Q]="CONOK_rhb";Event.hi=++Q;P[Q]="CONOK_switch";Event.ii=++Q;P[Q]="CONOK_switch_rhb";Event.In=++Q;P[Q]="NOOP";Event.Nn=++Q;P[Q]="PROBE";Event.bo=++Q;P[Q]="SERVNAME";Event.Xm=++Q;P[Q]="CLIENTIP";Event.$m=++Q;P[Q]="CONS";Event.mk=++Q;P[Q]="CONERR";Event.nk=++Q;P[Q]="CONERR_isFatalError";
	Event.sk=++Q;P[Q]="CONERR_isSoftError";Event.qk=++Q;P[Q]="CONERR_isMetadataAdapterError";Event.pk=++Q;P[Q]="CONERR_isGenericMetadataAdapterError";Event.rk=++Q;P[Q]="CONERR_isServerBusyError";Event.ln=++Q;P[Q]="ERROR";Event.fn=++Q;P[Q]="END";Event.hn=++Q;P[Q]="END_isFatalError";Event.gn=++Q;P[Q]="END_NOTisFatalError";Event.$n=++Q;P[Q]="REQOK";Event.io=++Q;P[Q]="SUBOK";Event.fo=++Q;P[Q]="SUBCMD";Event.yk=++Q;P[Q]="U";Event.lo=++Q;P[Q]="UNSUB";Event.jn=++Q;P[Q]="EOS";Event.Ym=++Q;P[Q]="CONF";
	Event.cn=++Q;P[Q]="CS";Event.Ln=++Q;P[Q]="OV";Event.Bn=++Q;P[Q]="MSGDONE";Event.Dn=++Q;P[Q]="MSGFAIL";Event.Fn=++Q;P[Q]="MSGFAIL_isMessageDiscarded";Event.En=++Q;P[Q]="MSGFAIL_isMessageDeny";Event.Gn=++Q;P[Q]="MSGFAIL_isMessageError";Event.Qn=++Q;P[Q]="REQERR";Event.Yn=++Q;P[Q]="REQERR_isSyncError";Event.Rn=++Q;P[Q]="REQERR_isFatalError";Event.Sn=++Q;P[Q]="REQERR_isMessageError";Event.Xn=++Q;P[Q]="REQERR_isSubscriptionError";Event.Zn=++Q;P[Q]="REQERR_isUnsubscriptionError19";Event.Wn=++Q;P[Q]="REQERR_isRegistrationError";
	Event.Tn=++Q;P[Q]="REQERR_isMpnSubscriptionError";Event.Un=++Q;P[Q]="REQERR_isMpnUnsubscriptionError";Event.Vn=++Q;P[Q]="REQERR_isOtherError";Event.zn=++Q;P[Q]="MPNREG";Event.xn=++Q;P[Q]="MPNOK";Event.vn=++Q;P[Q]="MPNDEL";Event.ro=++Q;P[Q]="_LOOP";Event.pn=++Q;P[Q]="LOOP";Event.ki=++Q;P[Q]="LOOP_slow";Event.Ze=++Q;P[Q]="PROG";Event.Bo=++Q;P[Q]="_U";Event.Ao=++Q;P[Q]="_SUBOK";Event.zo=++Q;P[Q]="_SUBCMD";Event.Co=++Q;P[Q]="_UNSUB";Event.qo=++Q;P[Q]="_EOS";Event.po=++Q;P[Q]="_CS";Event.yo=++Q;P[Q]="_OV";
	Event.oo=++Q;P[Q]="_CONF";Event.vo=++Q;P[Q]="_MSGDONE";Event.wo=++Q;P[Q]="_MSGFAIL";Event.uo=++Q;P[Q]="_MPNREG";Event.to=++Q;P[Q]="_MPNOK";Event.so=++Q;P[Q]="_MPNDEL";Event.no=++Q;P[Q]="U_skip";Event.jo=++Q;P[Q]="SUBOK_skip";Event.ho=++Q;P[Q]="SUBCMD_skip";Event.mo=++Q;P[Q]="UNSUB_skip";Event.kn=++Q;P[Q]="EOS_skip";Event.dn=++Q;P[Q]="CS_skip";Event.Mn=++Q;P[Q]="OV_skip";Event.Zm=++Q;P[Q]="CONF_skip";Event.Cn=++Q;P[Q]="MSGDONE_skip";Event.Hn=++Q;P[Q]="MSGFAIL_skip";Event.An=++Q;P[Q]="MPNREG_skip";
	Event.yn=++Q;P[Q]="MPNOK_skip";Event.wn=++Q;P[Q]="MPNDEL_skip";Event.bf=++Q;P[Q]="SYNC";Event.vk=++Q;P[Q]="SYNC_huge_blw_range";Event.uk=++Q;P[Q]="SYNC_huge_blw_in_range";Event.wk=++Q;P[Q]="SYNC_huge_in_range";Event.zg=++Q;P[Q]="SYNC_huge_abv_range_and_slw_disabled";Event.Ag=++Q;P[Q]="SYNC_huge_abv_range_and_slw_enabled";Event.yg=++Q;P[Q]="SYNC_blw_range";Event.Bg=++Q;P[Q]="SYNC_in_range";Event.wg=++Q;P[Q]="SYNC_abv_range_and_slw_disabled";Event.xg=++Q;P[Q]="SYNC_abv_range_and_slw_enabled";
	Event.Cg=++Q;P[Q]="SYNC_isHuge";Event.vg=++Q;P[Q]="SYNC_NOTisHuge";Event.cl=++Q;P[Q]="dataAdapterDisconnect";Event.tj=++Q;P[Q]="onKeepaliveTimeout";Event.Gj=++Q;P[Q]="onStalledTimeout";Event.Aj=++Q;P[Q]="onReconnectTimeout_isRecoveryEnabled";Event.zj=++Q;P[Q]="onReconnectTimeout_NOTisRecoveryEnabled";Event.m=++Q;P[Q]="any_server_msg";Event.pa=++Q;P[Q]="any_ctrl_req";Event.Nh=++Q;P[Q]="rhbIntervalChange";Event.Wj=++Q;P[Q]="rhbIntervalChange_eq_0";Event.Xj=++Q;P[Q]="rhbIntervalChange_gt_0";
	Event.Fj=++Q;P[Q]="onReverseHeartbeatTimeout";Event.fd=++Q;P[Q]="requestSlow";Event.Wl=++Q;P[Q]="onOnline";Event.Fq=++Q;P[Q]="onOnline_hasRecoveryTimeoutElapsed";Event.Eq=++Q;P[Q]="onOnline_NOThasRecoveryTimeoutElapsed";Event.Yj=++Q;P[Q]="runtime_error";var ie=B.o(r.Ab);function je(a,b,c,d,e,f,k,g){this.xc=E.qh();this.f=c;this.ca=g;this.state=Fd;e&&(this.ng={sessionId:e.sessionId,U:e.U,Ma:e.Ma,O:e.O});}je.Event=Event;
	function ke(a){a.Ia&&(ie.a(B.resolve(584)+a.xc,"WebSocket transport closing"),a.Ia.close(),a.Ia=null);}function le(a){ke(a);a.f.Vf(a.f.L,!0);me(a);Ic(a.ic);ne(a,r.Xd);}function oe(a){a.Yi();a.Ne=-1;}function pe(a){a.f.Lb();a.f.we();}function R(a,b){b.apply(a);}
	function S(a,b,c){try{a.event=b;a.zp=c;a:switch(a.state){case Jd:case Md:case Nd:case Od:case Pd:case Qd:var d=!0;break a;default:d=!1;}if(d)ie.Ga(B.resolve(581)+a.xc,"Ignore event",P[b],"in state",N[a.state]);else if(b===Event.Yj)a.next(Jd),ke(a),me(a),qe(a),a.f.Cd(61,"Unexpected error while parsing the response"),le(a);else if(a.state===Ud||b!==Event.subscribe&&b!==Event.Ih&&b!=Event.unsubscribe&&b!==Event.message&&b!==Event.register&&b!==Event.Re&&b!==Event.Ue&&b!==Event.bi&&b!==Event.Yk&&b!==Event.Ec)if(a.state!==
	Ud&&b===Event.disconnect)a.next(Jd),le(a);else if(a.state!==Ud&&b===Event.cl)a.next(a.state);else switch(a.state){case Fd:switch(b){case Event.ri:oe(a);pe(a);ne(a,r.CONNECTING);R(a,function(){var e=new Request(this.U+r.rg);e.fe=this.b.qb()||!1;e.td=Da(this.b,!1)||null;Ad(this.U,Ac,e.Ea(),this.b.qb(),e.Da(),Ca(this.b,!1))?S(this,Event.connect,c):re(this)?S(this,Event.Wo,c):S(this,Event.Xo,c);});break;case Event.connect:a.next(Gd);se(a,c);break;case Event.Wo:a.next(Jd);le(a);break;case Event.Xo:a.next(Md);
	te(a);break;case Event.bind:a.next(Gd);ue(a);a.f.we();se(a,c);break;default:ve(a);}break;case Gd:switch(b){case Event.Xl:R(a,function(){switch(this.Ne){case -1:S(this,Event.Hq);break;case -2:S(this,Event.Gq);break;case -3:S(this,Event.Iq);break;default:throw Error("Unknown state "+this.Ne);}});break;case Event.Hq:a.next(Hd);ye(a);break;case Event.Gq:a.next(Hd);ze(a);break;case Event.Iq:a.next(Hd);Ae(a);break;case Event.fb:R(a,function(){re(this)?S(this,Event.Ej,c):S(this,Event.Cj,c);});break;case Event.Cj:a.next(Nd);
	a.f.gh=!0;Be(a,"ws2.unavailable");break;case Event.Ej:a.next(Jd);le(a);break;case Event.Ae:R(a,function(){re(this)?S(this,Event.Oq,c):S(this,Event.Mq,c);});break;case Event.Mq:a.next(Nd);a.f.gh=!0;Be(a,"ws2.unavailable");break;case Event.Oq:a.next(Jd);le(a);break;case Event.Mh:a.next(Gd);Ce(a);pe(a);ne(a,r.CONNECTING);se(a,a.Lc);break;case Event.fr:a.next(Nd);Be(a,"api.switch");break;default:ve(a);}break;case Hd:switch(b){case Event.zk:a.next(Id);break;case Event.fb:R(a,function(){re(this)?S(this,Event.Ej):
	S(this,Event.Cj);});break;case Event.Ej:a.next(Jd);Ac.ie(a.U);le(a);break;case Event.Cj:a.next(Md);Ac.ie(a.U);te(a,"ws2.mute");break;case Event.Ae:a.next(Kd);De(a,"ws2.error");break;default:ve(a);}break;case Id:switch(b){case Event.Ak:R(a,function(){Ee(this)?0===this.wc&&0===this.b.xa?S(this,Event.fi,c):S(this,Event.gi,c):0===this.wc&&0===this.b.xa?S(this,Event.hi,c):S(this,Event.ii,c);});break;case Event.fi:Fe(a,Vd,$d);Ge(a,c);He(a);Ie(a);a.xb=ge;break;case Event.gi:Fe(a,Vd,ae);Ge(a,c);He(a);Je(a);
	Ie(a);a.xb=ge;break;case Event.hi:Fe(a,Yd,$d);Ge(a,c);Ke(a);Le(a,Event.pa);Ie(a);a.xb=ge;break;case Event.ii:Fe(a,Yd,ae);Ge(a,c);Ke(a);Je(a);Le(a,Event.pa);Ie(a);a.xb=ge;break;case Event.fb:a.next(Gd);ke(a);Me(a);Ne(a,"ws2.timeout");break;case Event.Ae:a.next(Kd);De(a,"ws2.error");break;case Event.mk:Oe(a,c);break;case Event.qk:Pe(a,c);break;case Event.nk:Qe(a,c);break;case Event.sk:case Event.pk:a.next(Kd);De(a,"ws2.conerr",c);break;case Event.rk:Re(a,c);break;default:ve(a);}break;case Ud:switch(b){case Event.yk:T(a,
	Event.m);Se(a,Event.m,c);Te(a,c);Ue(a);break;case Event.subscribe:a.next(Ud);a.up(c);Le(a,Event.pa);break;case Event.Ih:a.next(Ud);a.sp(c);Le(a,Event.pa);break;case Event.message:a.next(Ud);a.op(c);Le(a,Event.pa);break;case Event.unsubscribe:a.next(Ud);a.vp(c);Le(a,Event.pa);break;case Event.register:a.next(Ud);a.tp(c);Le(a,Event.pa);break;case Event.Re:a.next(Ud);a.pp(c);Le(a,Event.pa);break;case Event.Ue:a.next(Ud);a.qp(c);Le(a,Event.pa);break;case Event.bi:a.next(Ud);a.rp(c);Le(a,Event.pa);break;
	case Event.$n:T(a,Event.m);Se(a,Event.m,c);Ve(a,c);break;case Event.io:case Event.fo:T(a,Event.m);Se(a,Event.m,c);We(a,c);Ue(a);break;case Event.Ym:T(a,Event.m);Se(a,Event.m,c);Xe(a,c);Ue(a);break;case Event.lo:T(a,Event.m);Se(a,Event.m,c);Ye(a,c);Ue(a);break;case Event.disconnect:a.next(Jd);Ze(a);$e(a,"ws2.api");le(a);break;case Event.bo:T(a,Event.m);Se(a,Event.m,c);af(a,c);break;case Event.Xm:T(a,Event.m);Se(a,Event.m,c);bf(a,c);break;case Event.$m:T(a,Event.m);Se(a,Event.m,c);cf(a,c);break;case Event.ln:a.next(Jd);
	Ze(a);df(a,c);le(a);break;case Event.In:T(a,Event.m);Se(a,Event.m,c);break;case Event.Nn:T(a,Event.m);Se(a,Event.m,c);a.f.fc();break;case Event.Ae:R(a,function(){0<this.b.gd?S(this,Event.Nq):S(this,Event.Lq);});break;case Event.Nq:a.next(Sd);Ze(a);ke(a);ne(a,r.ni);a.Qj=a.now();ef(a,"ws2.error");break;case Event.Lq:a.next(Ld);Ze(a);ff(a);gf(a,"ws2.error");break;case Event.fn:R(a,function(){U(c.s,c.J);41!==c.s&&48!==c.s?S(this,Event.hn,c):S(this,Event.gn,c);});break;case Event.hn:a.next(Jd);Ze(a);df(a,
	c);le(a);break;case Event.gn:a.next(Ld);Ze(a);ff(a);gf(a,"ws2.end",c);break;case Event.jn:T(a,Event.m);Se(a,Event.m,c);hf(a,c);Ue(a);break;case Event.cn:T(a,Event.m);Se(a,Event.m,c);jf(a,c);Ue(a);break;case Event.Ln:T(a,Event.m);Se(a,Event.m,c);kf(a,c);Ue(a);break;case Event.Bn:T(a,Event.m);Se(a,Event.m,c);lf(a,c);Ue(a);break;case Event.Dn:R(a,function(){U(c.s);38===c.s||39===c.s?S(this,Event.Fn,c):(U(c.s),0>=c.s?S(this,Event.En,c):S(this,Event.Gn,c));});break;case Event.Fn:T(a,Event.m);Se(a,Event.m,
	c);mf(a,c);Ue(a);break;case Event.En:T(a,Event.m);Se(a,Event.m,c);nf(a,c);Ue(a);break;case Event.Gn:T(a,Event.m);Se(a,Event.m,c);of(a,c);Ue(a);break;case Event.Qn:R(a,function(){U(c.B,c.s,c.J);if(20===c.s)S(this,Event.Yn,c);else if(U(c.B,c.s,c.J),11===c.s||65===c.s)S(this,Event.Rn,c);else{U(c.B);var e=this.Zf[c.B];null==e?e=null:(U(e.type),e=e.type);switch(e){case 1:S(this,Event.Xn,c);break;case 3:S(this,Event.Sn,c);break;case 4:S(this,Event.Wn,c);break;case 5:S(this,Event.Tn,c);break;case 6:S(this,
	Event.Un,c);break;default:2==e&&19==c.s?S(this,Event.Zn,c):S(this,Event.Vn,c);}}});break;case Event.Yn:a.next(Ld);Ze(a);ff(a);gf(a,"ws2.reqerr",c);break;case Event.Rn:a.next(Jd);Ze(a);df(a,c);le(a);break;case Event.Sn:T(a,Event.m);Se(a,Event.m,c);pf(a,c);break;case Event.Xn:T(a,Event.m);Se(a,Event.m,c);qf(a,c);break;case Event.Zn:T(a,Event.m);Se(a,Event.m,c);rf(a,c);break;case Event.Wn:T(a,Event.m);Se(a,Event.m,c);sf(a,c);break;case Event.Tn:T(a,Event.m);Se(a,Event.m,c);tf(a,c);break;case Event.Un:T(a,
	Event.m);Se(a,Event.m,c);uf(a,c);break;case Event.Vn:T(a,Event.m);Se(a,Event.m,c);vf(a,c);break;case Event.zn:T(a,Event.m);Se(a,Event.m,c);wf(a,c);Ue(a);break;case Event.xn:T(a,Event.m);Se(a,Event.m,c);xf(a,c);Ue(a);break;case Event.vn:T(a,Event.m);Se(a,Event.m,c);yf(a,c);Ue(a);break;case Event.Fe:R(a,function(){Ee(this)||S(this,Event.Ld,this.b.Db);});break;case Event.Ld:T(a,Event.Ld);break;case Event.ro:R(a,function(){this.Gc===Zd?S(this,Event.ki):S(this,Event.pn);});break;case Event.pn:a.next(Pd);
	Ze(a);zf(a);break;case Event.ki:T(a,Event.ki);break;case Event.Uf:T(a,Event.Uf);break;case Event.Yk:R(a,function(){"unmanaged"!==this.Ma&&S(this,Event.$o,c);});break;case Event.$o:a.next(Ud);a.mp(c);Le(a,Event.pa);break;case Event.Ec:a.next(Ud);a.np(c);Le(a,Event.pa);break;case Event.Ze:T(a,Event.m);Se(a,Event.Ze,c);Af(a,c);break;case Event.Bo:R(a,function(){Bf(this)?S(this,Event.no,c):S(this,Event.yk,c);});break;case Event.Ao:R(a,function(){Bf(this)?S(this,Event.jo,c):S(this,Event.io,c);});break;case Event.zo:R(a,
	function(){Bf(this)?S(this,Event.ho,c):S(this,Event.fo,c);});break;case Event.Co:R(a,function(){Bf(this)?S(this,Event.mo,c):S(this,Event.lo,c);});break;case Event.qo:R(a,function(){Bf(this)?S(this,Event.kn,c):S(this,Event.jn,c);});break;case Event.po:R(a,function(){Bf(this)?S(this,Event.dn,c):S(this,Event.cn,c);});break;case Event.yo:R(a,function(){Bf(this)?S(this,Event.Mn,c):S(this,Event.Ln,c);});break;case Event.oo:R(a,function(){Bf(this)?S(this,Event.Zm,c):S(this,Event.Ym,c);});break;case Event.vo:R(a,
	function(){Bf(this)?S(this,Event.Cn,c):S(this,Event.Bn,c);});break;case Event.wo:R(a,function(){Bf(this)?S(this,Event.Hn,c):S(this,Event.Dn,c);});break;case Event.uo:R(a,function(){Bf(this)?S(this,Event.An,c):S(this,Event.zn,c);});break;case Event.to:R(a,function(){Bf(this)?S(this,Event.yn,c):S(this,Event.xn,c);});break;case Event.so:R(a,function(){Bf(this)?S(this,Event.wn,c):S(this,Event.vn,c);});break;case Event.cl:a.next(Ld);Ze(a);Cf(a,Math.ceil(Math.random()*a.b.Kd.Ee),Event.fb);gf(a,"ws2.data.adapter.disconnect");
	break;case Event.no:case Event.jo:case Event.ho:case Event.mo:case Event.kn:case Event.dn:case Event.Mn:case Event.Zm:case Event.Cn:case Event.Hn:case Event.An:case Event.yn:case Event.wn:T(a,Event.m);Se(a,Event.m,c);Df(a);break;case Event.tj:T(a,Event.tj);break;case Event.Gj:T(a,Event.Gj);break;case Event.Su:R(a,function(){0<this.b.gd?S(this,Event.Aj):S(this,Event.zj);});break;case Event.Aj:T(a,Event.Aj);break;case Event.zj:T(a,Event.zj);break;case Event.Fj:Le(a,Event.Fj);break;case Event.Nh:Le(a,
	Event.Nh);break;case Event.Wj:Le(a,Event.Wj);break;case Event.Xj:Le(a,Event.Xj);break;case Event.bf:case Event.vg:case Event.yg:case Event.Bg:case Event.wg:case Event.Cg:case Event.vk:case Event.uk:case Event.wk:case Event.zg:Ef(a,b,c);break;case Event.xg:case Event.Ag:Ef(a,b,c);S(a,Event.fd);break;case Event.fd:T(a,Event.fd);break;default:ve(a);}break;case Kd:switch(b){case Event.fb:a.next(Gd);Ne(a,a.Lc);break;case Event.Wl:a.next(Gd);me(a);Ne(a,a.Lc);break;default:ve(a);}break;case Ld:switch(b){case Event.fb:a.next(Gd);
	Ne(a,a.Lc);break;default:ve(a);}break;case Sd:switch(b){case Event.fb:a.next(Rd);Ff(a,a.Lc);break;default:ve(a);}break;case Rd:switch(b){case Event.Ae:a.next(Td);ke(a);Gf(a,"ws2.error",void 0);break;case Event.Xl:a.next(Rd);Hf(a,"wsok");If(a);break;case Event.zk:a.next(Rd);break;case Event.Ak:R(a,function(){Ee(this)?0===this.wc&&0===this.b.xa?S(this,Event.fi,c):S(this,Event.gi,c):0===this.wc&&0===this.b.xa?S(this,Event.hi,c):S(this,Event.ii,c);});break;case Event.fi:Fe(a,Vd,$d);Ge(a,c);He(a);Ie(a);a.xb=
	fe;break;case Event.gi:Fe(a,Vd,ae);Ge(a,c);He(a);Je(a);Ie(a);a.xb=fe;break;case Event.hi:Fe(a,Yd,$d);Ge(a,c);Ke(a);Le(a,Event.pa);Ie(a);a.xb=fe;break;case Event.ii:Fe(a,Yd,ae);Ge(a,c);Ke(a);Je(a);Le(a,Event.pa);Ie(a);a.xb=fe;break;case Event.fb:R(a,function(){Jf(this)?S(this,Event.Dj):S(this,Event.Bj);});break;case Event.Dj:a.next(Gd);ke(a);Me(a);Ne(a,"ws2.recovery.timeout");break;case Event.Bj:a.next(Rd);ke(a);Ff(a,"ws2.timeout");break;case Event.mk:Oe(a,c);break;case Event.qk:Pe(a,c);break;case Event.pk:a.next(Kd);
	De(a,"ws2.conerr",c);break;case Event.nk:Qe(a,c);break;case Event.sk:a.next(Gd);ke(a);me(a);Me(a);Ne(a,"ws2.conerr",c);break;case Event.rk:Re(a,c);break;default:ve(a);}break;case Td:switch(b){case Event.fb:R(a,function(){Jf(this)?S(this,Event.Dj):S(this,Event.Bj);});break;case Event.Dj:a.next(Gd);Me(a);Ne(a,"ws2.recovery.timeout");break;case Event.Bj:a.next(Rd);Ff(a,a.Lc);break;case Event.Wl:R(a,function(){Jf(this)?S(this,Event.Fq):S(this,Event.Eq);});break;case Event.Fq:a.next(Gd);me(a);Me(a);Ne(a,
	"ws2.recovery.timeout");break;case Event.Eq:a.next(Rd);me(a);Ff(a,a.Lc);break;default:ve(a);}break;default:ve(a);}else a.next(a.state),Kf(a,c);}catch(e){Lf(a,e);}}function re(a){a=a.b.Db;return a===r.cf||a===r.$d||a===r.Eg}function se(a,b){Gf(a,b,void 0);Mf(a);Cf(a,a.eg.ob,Event.fb);ta(a.eg);a.dm=a.now();}function te(a,b){Ce(a);ke(a);me(a);Ic(a.ic);a.f.createSession(!1,!1,!1,a.b.Db===r.zb,!0,b);}
	function ue(a){a.Yi();a.Ne=-2;Nf(a.ng);a.sessionId=a.ng.sessionId;a.ng.U&&(a.U=a.ng.U);a.Ma=a.ng.Ma;a.O=a.ng.O;a.Jd=a.O;}function ve(a){throw Error("Wrong state error on "+P[a.event]+" in "+N[a.state]);}function ye(a){Hf(a,"wsok");Of(a);Pf(a);}function ze(a){Hf(a,"wsok");var b="bind_session\r\nLS_session="+a.sessionId;b+="&LS_cause="+Qf(a);0<a.b.na&&(b+="&LS_keepalive_millis="+a.b.na);a.b.kd||(b+="&LS_send_sync=false");a.wc=a.b.xa;0<a.b.xa&&(b+="&LS_inactivity_millis="+a.b.xa);Hf(a,b);Pf(a);}
	function Ae(a){Hf(a,"wsok");Of(a,!0);Pf(a);}function Be(a,b){Ce(a);ke(a);me(a);Ic(a.ic);var c=a.b.Db;a.f.createSession(!1,!1,!1,c===r.zb||c===r.$d,c===r.Xe||c===r.zb||c===r.Yd,b);}function Ce(a){a.f.Vf(a.f.L,!1);}function De(a,b,c){Gf(a,b,c);ke(a);Me(a);}function Ee(a){a=a.b.Db;return a===r.cf||a===r.Eg||null===a}function Fe(a,b,c){Nf(a.state!==Ud);ie.h()&&a.rb(a.state,b,a.state,a.state,b,c===ae?"(rhb)":"");a.state=Ud;a.Gc=b;a.Oe=c;a.lg=be;}
	function Ge(a,b){a.Ne=-1;U(b.sessionId,b.cr,b.na,b.Od);a.sessionId=b.sessionId;H(a.M,"sessionId",a.sessionId);a.na=b.na;H(a.b,"keepaliveInterval",a.na);var c=a.U;"*"===b.Od||a.Cf||(a.U=Na(a.U,b.Od),H(a.M,"serverInstanceAddress",a.U));c!==a.U&&(a.f.xh(c),a.f.yj(a.U));ne(a,r.ei+r.cf);me(a);sa(a.eg,a.b.kc);Pf(a);}function Ie(a){a.wr=a.now();}function Ke(a){Uf(a,"ws2.switch");me(a);Cf(a,a.b.kc,Event.Uf);}
	function Le(a,b){switch(a.Oe){case $d:switch(b){case Event.pa:break;case Event.Nh:R(a,function(){0===this.b.xa||S(this,Event.Xj);});break;case Event.Xj:Vf(a,ae);Je(a);break;default:ve(a);}break;case ae:switch(b){case Event.pa:Je(a);break;case Event.Fj:Vf(a,ae);Hf(a,"heartbeat\r\n\r\n");Je(a);break;case Event.Nh:R(a,function(){0===this.wc&&0===this.b.xa&&S(this,Event.Wj);});break;case Event.Wj:Vf(a,$d);qe(a);break;default:ve(a);}break;default:ve(a);}}function Me(a){ne(a,r.oi);}
	function Ne(a,b,c){Gf(a,b,c);-2===a.Ne&&(a.Ne=-1);Wf(a);R(a,function(){Ee(this)?S(this,Event.Mh,this.b.Db):S(this,Event.fr,this.b.Db);});}
	function Oe(a,b){R(a,function(){U(b.s,b.J);var c=b.s===this.b.Kd.mq?1:5===b.s&&r.Rp?2:4===b.s||20===b.s||40===b.s||41===b.s||48===b.s?3:6===b.s?5:4;switch(c){case 4:S(this,Event.nk,b);break;case 3:S(this,Event.sk,b);break;case 1:S(this,Event.qk,b);break;case 2:S(this,Event.rk,b);break;case 5:S(this,Event.pk,b);break;default:throw Error("Unknown CONERR class code "+c);}});}function Pe(a,b){a.next(Kd);me(a);Cf(a,Math.ceil(Math.random()*a.b.Kd.Ee),Event.fb);De(a,"ws2.conerr",b);}
	function Qe(a,b){a.next(Jd);df(a,b);le(a);}function Re(a,b){a.next(Gd);a.Ne=-3;me(a);var c=a.eg;c.ob=c.oh;pa.h()&&pa.debug("Increase currentRetryDelay to max: "+c.ob);ke(a);Me(a);Ne(a,"ws2.conerr",b);}
	function T(a,b){switch(a.Gc){case Vd:switch(b){case Event.m:Xf(a,Vd);He(a);break;case Event.tj:Xf(a,Wd);Nf(0<a.b.kg);Cf(a,a.b.kg,Event.Gj);break;case Event.Ld:Xf(a,Yd);Ke(a);Le(a,Event.pa);break;case Event.fd:Xf(a,Zd);Yf(a);break;default:ve(a);}break;case Wd:switch(b){case Event.m:Xf(a,Vd);He(a);break;case Event.Gj:Xf(a,Xd);Nf(0<a.b.Dc);Cf(a,a.b.Dc,Event.Su);ne(a,r.eo);break;case Event.Ld:Xf(a,Yd);Ke(a);Le(a,Event.pa);break;case Event.fd:Xf(a,Zd);Yf(a);break;default:ve(a);}break;case Xd:switch(b){case Event.m:Xf(a,
	Vd);ne(a,r.ei+r.cf);He(a);break;case Event.Aj:a.next(Sd);Ze(a);ke(a);ne(a,r.ni);a.Qj=a.now();ef(a,"ws2.reconnect.timeout");break;case Event.zj:a.next(Ld);Ze(a);ff(a);gf(a,"ws2.reconnect.timeout");break;case Event.Ld:Xf(a,Yd);Ke(a);Le(a,Event.pa);break;case Event.fd:Xf(a,Zd);Yf(a);break;default:ve(a);}break;case Yd:switch(b){case Event.m:Xf(a,Yd);break;case Event.Ld:break;case Event.Uf:a.next(Nd);Ze(a);$e(a,"ws2.loop.timeout");ke(a);Me(a);Be(a,"api.switch");break;case Event.fd:break;default:ve(a);}break;
	case Zd:switch(b){case Event.m:Xf(a,Zd);break;case Event.ki:a.next(Qd);Ze(a);ke(a);me(a);Ic(a.ic);a.f.qc(!1,!0,!1,"slow");break;case Event.Uf:a.next(Od);Ze(a);$e(a,"ws2.loop.timeout");ke(a);Me(a);Ce(a);ke(a);me(a);Ic(a.ic);a.f.createSession(!1,!1,!1,!0,!1,"slow.loop.timeout");break;case Event.Ld:break;default:ve(a);}break;default:ve(a);}}
	function Se(a,b,c){switch(a.xb){case fe:switch(b){case Event.Ze:Zf(a,ge);break;case Event.m:break;default:ve(a);}break;case ge:switch(b){case Event.Ze:Zf(a,he);a.ge.push(c.toString());break;case Event.yk:case Event.m:break;default:ve(a);}break;case he:switch(b){case Event.Ze:U(c.D);a.ge.push(c);if(c.D>a.O)throw Error("PROG mismatch. Expected "+a.O+" but found "+c.D+". Last events are: "+a.ge.join(" "));a.ge.splice(0,a.ge.Rw-1);break;case Event.m:a.ge.push(c.toString());break;default:ve(a);}break;default:ve(a);}}
	function Te(a,b){U(b.I,b.eb,b.Qm);a.f.Ij([b.I,b.eb].concat(b.Qm));}function Ue(a){Nf(a.O===a.Jd);a.Jd++;a.O++;}function Ve(a,b){U(b.B);var c=$f(a,b.B);null==c?ag(a,b):(U(c.type),3===c.type&&(U(c.N,c.D),a.f.uj(c.N,c.D)));}function We(a,b){U(b.I,b.vh,b.uh);"SUBCMD"===mc(b,0)&&U(b.Jl,b.Tk);a.f.dd(b.I,b.vh,b.uh,b.Jl||0,b.Tk||0);}function Xe(a,b){U(b.I,b.frequency);a.f.ye(b.I,null,b.frequency);}function Ye(a,b){U(b.I);a.f.hc(b.I);}function Ze(a){me(a);qe(a);}
	function $e(a,b){b="control\r\nLS_op=destroy&LS_cause="+b+("&LS_reqId="+E.ec());Hf(a,b+"&LS_close_socket=true");}function af(a,b){U(b.hg);H(a.M,"serverSocketName",b.hg);}function bf(a,b){U(b.mf);a.f.sj(b.mf);H(a.M,"clientIp",b.mf);}function cf(a,b){U(b.Hh);a.Ma=b.Hh;H(a.b,"realMaxBandwidth","unmanaged"===a.Ma?"unlimited":a.Ma);}function ef(a,b){Gf(a,b);Cf(a,Math.ceil(Math.random()*a.b.uf),Event.fb);}function ff(a){var b=a.b.kc-(a.now()-a.dm);Cf(a,0<b?b:Math.ceil(Math.random()*a.b.uf),Event.fb);}
	function gf(a,b,c){Gf(a,b,c);ke(a);Me(a);}function hf(a,b){U(b.I,b.eb);a.f.Ad([b.I,b.eb]);}function jf(a,b){U(b.I,b.eb);a.f.zd([b.I,b.eb]);}function kf(a,b){U(b.I,b.eb,b.mh);a.f.Bd([b.I,b.eb,b.mh]);}function lf(a,b){U(b.N,b.D);a.f.wj(b.N,b.D);}function mf(a,b){U(b.s,b.N,b.D,b.J);if(39===b.s)for(var c=b.D-parseInt(b.J,10)+1;c<=b.D;c++)a.f.bd(b.N,c);else a.f.bd(b.N,b.D);}function nf(a,b){U(b.s,b.N,b.D,b.J);a.f.vj(b.N,b.s,b.D,b.J);}function of(a,b){U(b.s,b.N,b.D,b.J);a.f.cd(b.N,b.s,b.D,b.J);}
	function pf(a,b){U(b.B,b.s,b.J);var c=$f(a,b.B);null==c?ag(a,b):(U(c.N,c.D),a.f.cd(c.N,b.s,c.D,b.J));}function qf(a,b){U(b.B,b.s,b.J);var c=$f(a,b.B);null==c?ag(a,b):(U(c.query.LS_subId),a.f.Hj(c.query.LS_subId,b.s,b.J));}function rf(a,b){U(b.B,b.s,b.J);var c=$f(a,b.B);null==c?ag(a,b):setTimeout(function(){S(a,Event.unsubscribe,c);},4E3);}function sf(a,b){U(b.B,b.s,b.J);null==$f(a,b.B)?ag(a,b):a.ca.Yb.Sw(b.s,b.J);}
	function tf(a,b){U(b.B,b.s,b.J);var c=$f(a,b.B);null==c?ag(a,b):(U(c.subscriptionId),a.ca.Yb.Tw(c.subscriptionId,b.s,b.J));}function uf(a,b){U(b.B,b.s,b.J);var c=$f(a,b.B);null==c?ag(a,b):(U(c.subscriptionId),a.ca.Yb.Uw(c.subscriptionId,b.s,b.J));}function vf(a,b){U(b.B);null==$f(a,b.B)&&ag(a,b);}function wf(a,b){U(b.deviceId,b.Ek);a.ca.Yb.Tu(b.deviceId,b.Ek);}function xf(a,b){U(b.I,b.Be);a.ca.Yb.Zu(b.I,b.Be);}function yf(a,b){U(b.Be);a.ca.Yb.av(b.Be);}
	function zf(a){ke(a);me(a);Ic(a.ic);var b=a.b.Db;a.f.qc(!1,b===r.zb||b===r.$d,b===r.Xe||b===r.zb||b===r.Yd,"api.switch");}function Af(a,b){U(b.D);Nf(b.D<=a.O);a.Jd=b.D;}function Bf(a){return a.Jd<a.O}function Df(a){Nf(a.Jd<a.O);a.Jd++;}
	function Ef(a,b,c){switch(a.lg){case be:switch(b){case Event.bf:bg(a,ce);cg(a,c);break;default:ve(a);}break;case ce:switch(b){case Event.bf:dg(a,c);R(a,function(){this.jg>this.ur&&this.jg>2*this.jb?S(this,Event.Cg,c):S(this,Event.vg,c);});break;case Event.Cg:R(a,function(){eg(this)?S(this,Event.zg,c):fg(this)?S(this,Event.Ag,c):S(this,Event.uk,c);});break;case Event.vg:gg(a);R(a,function(){60>this.jb?S(this,Event.yg,c):eg(this)?S(this,Event.wg,c):fg(this)?S(this,Event.xg,c):S(this,Event.Bg,c);});break;
	case Event.zg:bg(a,de);break;case Event.Ag:bg(a,ee);break;case Event.uk:bg(a,de);break;case Event.yg:bg(a,ce);a.jb=0;break;case Event.wg:bg(a,ce);break;case Event.xg:bg(a,ee);break;case Event.Bg:bg(a,ce);break;default:ve(a);}break;case de:switch(b){case Event.bf:dg(a,c);R(a,function(){this.jg>this.ur&&this.jg>2*this.jb?S(this,Event.Cg,c):S(this,Event.vg,c);});break;case Event.Cg:gg(a);R(a,function(){60>this.jb?S(this,Event.vk,c):eg(this)?S(this,Event.zg,c):fg(this)?S(this,Event.Ag,c):S(this,Event.wk,
	c);});break;case Event.vg:gg(a);R(a,function(){60>this.jb?S(this,Event.yg,c):eg(this)?S(this,Event.wg,c):fg(this)?S(this,Event.xg,c):S(this,Event.Bg,c);});break;case Event.vk:bg(a,ce);a.jb=0;break;case Event.zg:bg(a,ce);break;case Event.Ag:bg(a,ee);break;case Event.wk:bg(a,ce);break;case Event.yg:bg(a,de);a.jb=0;break;case Event.wg:bg(a,de);break;case Event.xg:bg(a,ee);break;case Event.Bg:bg(a,de);break;default:ve(a);}break;case ee:switch(b){case Event.bf:bg(a,ee);break;default:ve(a);}break;default:ve(a);}}
	function Ff(a,b){Gf(a,b,void 0);Mf(a);Cf(a,a.eg.ob,Event.fb);ta(a.eg);a.dm=a.now();}function If(a){var b="bind_session\r\nLS_session="+a.sessionId;b+="&LS_cause="+Qf(a);b+="&LS_recovery_from="+a.O;0<a.b.na&&(b+="&LS_keepalive_millis="+a.b.na);a.b.kd||(b+="&LS_send_sync=false");a.wc=a.b.xa;0<a.b.xa&&(b+="&LS_inactivity_millis="+a.b.xa);Hf(a,b);}function Jf(a){Nf(a.Qj);return a.now()-a.Qj>=a.b.gd}function Kf(a,b){U(b.type);a=a.Na[b.type];Nf(a);9===b.type?a[0]=b:a.push(b);}
	function Lf(a,b){ie.g(B.resolve(586)+a.xc,"Wild exception in",N[a.state],":",b,a.toString());S(a,Event.Yj);}function Wf(a){a.Ke=a.M.Je;a.U=a.Ke;a.Cf=a.b.Qh;a.Ma=null;a.wc=null;a.O=0;a.Jd=0;a.jb=null;a.dm=null;a.Qj=null;a.Zf={};for(var b in a.Na)a.Na[b]=[];a.ge=[];}function Gf(a,b,c){a.Lc=b+(null==c?"":c.s);}
	function Mf(a){var b=r.xk+".lightstreamer.com",c=a.U+r.rg;c=0===c.indexOf("http://")?c.replace("http://","ws://"):c.replace("https://","wss://");ie.a(B.resolve(583)+a.xc,"WebSocket opening",c,b);a.Ia=new Hc(c,b,function(){S(a,Event.Xl);},function(d){d=d.data;try{ie.a(B.resolve(587)+a.xc,"WebSocket transport receiving",d);var e=d.split("\r\n");for(d=0;d<e.length;d++){var f=e[d];if(""!==f){var k=new lc(f),g=null;switch(mc(k,0)){case "U":g=Event.Bo;break;case "SUBOK":g=Event.Ao;break;case "SUBCMD":g=
	Event.zo;break;case "UNSUB":g=Event.Co;break;case "EOS":g=Event.qo;break;case "CS":g=Event.po;break;case "OV":g=Event.yo;break;case "CONF":g=Event.oo;break;case "MSGDONE":g=Event.vo;break;case "MSGFAIL":g=Event.wo;break;case "MPNREG":g=Event.uo;break;case "MPNOK":g=Event.to;break;case "MPNDEL":g=Event.so;break;case "CONOK":g=Event.Ak;break;case "SERVNAME":g=Event.bo;break;case "CLIENTIP":g=Event.Xm;break;case "CONS":g=Event.$m;break;case "PROG":g=Event.Ze;break;case "REQOK":g=Event.$n;break;case "REQERR":g=
	Event.Qn;break;case "LOOP":g=Event.ro;break;case "PROBE":g=Event.Nn;break;case "SYNC":g=Event.bf;break;case "NOOP":g=Event.In;break;case "WSOK":g=Event.zk;break;case "END":g=Event.fn;break;case "ERROR":g=Event.ln;break;case "CONERR":g=Event.mk;}Nf(g,"Unknown event");S(a,g,k);}}}catch(l){ie.g(B.resolve(588)+a.xc,"Parse exception in",N[a.state],":",f,":",l),S(a,Event.Yj);}},function(){S(a,Event.Ae);},function(){S(a,Event.Ae);});}
	function Cf(a,b,c){Nf(null==a.Yh);a.Yh=setTimeout(function(){a.Yh=null;S(a,c);},b);}function me(a){a.Yh&&(clearTimeout(a.Yh),a.Yh=null);}function Hf(a,b){Nf(a.Ia);ie.a(B.resolve(589)+a.xc,"WebSocket transport sending",b);a.Ia.send(b);}function hg(a,b,c){Nf(!a.Zf[c]);a.Zf[c]=b;}function Uf(a,b){var c=E.ec();b="control\r\nLS_op=force_rebind&LS_cause="+b+("&LS_reqId="+c)+"&LS_close_socket=true";Hf(a,b);hg(a,{type:8},c);}
	function Pf(a){ig(a,1,a.up);ig(a,10,a.sp);ig(a,2,a.vp);ig(a,3,a.op);ig(a,4,a.tp);ig(a,5,a.pp);ig(a,6,a.qp);ig(a,7,a.rp);"unmanaged"!==a.Ma&&ig(a,9,a.mp);ig(a,11,a.np);}function Qf(a){var b=a.Lc||"unknown";a.Lc=null;return b}
	function Of(a,b){var c="create_session\r\nLS_cause="+Qf(a);null!=a.sessionId&&(c+="&LS_old_session="+a.sessionId);b&&(c+="&LS_ttl_millis=unlimited");0<a.b.na&&(c+="&LS_keepalive_millis="+a.b.na);a.b.kd||(c+="&LS_send_sync=false");a.wc=a.b.xa;0<a.b.xa&&(c+="&LS_inactivity_millis="+a.b.xa);0<a.b.vb&&(c+="&LS_requested_max_bandwidth="+a.b.vb);a.Na[9]=[];null!==a.M.ef&&(c+="&LS_adapter_set="+encodeURIComponent(a.M.ef));null!==a.M.og&&(c+="&LS_user="+encodeURIComponent(a.M.og));c=c+"&LS_supported_diffs=P"+
	("&LS_cid="+r.qn);ie.a(B.resolve(585)+a.xc,"WebSocket transport sending",c);null!==a.M.password&&(c+="&LS_password="+encodeURIComponent(a.M.password));a.Ia.send(c);}function Xf(a,b){Nf(a.state===Ud);ie.h()&&a.rb(a.Gc,b,a.Gc,a.Gc,b,a.Oe===ae?"(rhb)":"");a.Gc=b;}function Yf(a){Uf(a,"ws2.slow");me(a);Cf(a,a.b.kc,Event.Uf);}function Vf(a,b){Nf(a.state===Ud);ie.h()&&a.rb(a.Oe,b,a.Oe,a.Oe,b);a.Oe=b;}function qe(a){a.Oh&&(clearTimeout(a.Oh),a.Oh=null);}
	function jg(a){Nf(null==a.Oh);Nf(null!=a.wc);var b=a.wc,c=a.b.xa;a.Oh=setTimeout(function(){a.Oh=null;S(a,Event.Fj);},0<c&&(0===b||c<b)?c:b);}function Je(a){qe(a);jg(a);}function bg(a,b){Nf(a.state===Ud);ie.h()&&a.rb(a.lg,b,a.lg,a.lg,b,"{diffTime: "+a.jg+", avgDelay: "+a.jb+"}");a.lg=b;}function cg(a,b){U(b.gk);a.jb=a.now()-a.wr-b.gk;}function dg(a,b){U(b.gk);a.jg=a.now()-a.wr-b.gk;}function eg(a){return a.jb>a.vr&&!a.b.kd}function fg(a){return a.jb>a.vr&&a.b.kd}function gg(a){a.jb=.5*(a.jb+a.jg);}
	function Zf(a,b){Nf(a.state===Ud);ie.h()&&a.rb(a.xb,b,a.xb,a.xb,b);a.xb=b;}function He(a){Nf(0<a.b.na);me(a);Cf(a,a.b.na,Event.tj);}function df(a,b){U(b.s,b.J);var c=mc(b,0),d=b.s;"END"===c&&(0<d&&30>d||39<d)?d=39:"REQERR"===c&&11===d&&(d=21);a.f.Cd(d,b.J);}function ig(a,b,c){for(var d=a.Na[b],e=0;e<d.length;e++)c.call(a,d[e]);a.Na[b]=[];}function kg(a){var b="",c;for(c in a)b+=c+"="+a[c]+"&";return b}function $f(a,b){var c=a.Zf[b];delete a.Zf[b];return c}
	function ag(a,b){ie.Ga(B.resolve(590)+a.xc,"Ignore response of unknown request",b,"in state",N[a.state]);}function ne(a,b){a.status=b;b=a.f;a.f.L==b.L&&lg(b.wa);}
	je.prototype={next:function(a){ie.h()&&(this.state===Ud?this.rb(this.state,a,this.Gc,this.Gc,a):this.rb(this.state,a,this.state,this.state,a));this.state=a;a!==Ud&&(this.Gc=null);},rb:function(a,b,c,d,e,f){f=f||"";ie.a(B.resolve(582)+this.xc,"Event",P[this.event]+(null!=this.zp?" {"+this.zp+"}":""),":",a===b?N[c]:N[d]+" -> "+N[e],f);},Yi:function(){this.b=this.f.b;this.M=this.f.M;this.U=this.Ke=this.M.Je;this.Cf=this.b.Qh;this.Jd=this.O=0;this.ur=2E4;this.vr=7E3;this.fa=this.ce=0;this.hb=new pc;this.eg=
	new qa(this.b.kc);this.Zf={};this.Na={};this.Na[1]=[];this.Na[10]=[];this.Na[2]=[];this.Na[3]=[];this.Na[4]=[];this.Na[5]=[];this.Na[6]=[];this.Na[7]=[];this.Na[9]=[];this.Na[11]=[];var a=this;this.ic=function(){a.state!==Kd&&a.state!==Td||S(a,Event.Wl);};try{window.addEventListener("online",this.ic,!1);}catch(b){}this.ge=[];},up:function(a){U(a.query);U(a.query.LS_reqId,a.query.LS_subId);var b=a.query.LS_reqId,c=a.query.LS_subId;Hf(this,"control\r\n"+kg(a.query));var d=this.f.ja;d.v[c]&&(d.v[c].um=
	!0);hg(this,a,b);},vp:function(a){U(a.query);U(a.query.LS_reqId,a.query.LS_subId);Hf(this,"control\r\n"+kg(a.query));hg(this,a,a.query.LS_reqId);},op:function(a){U(a.query,a.N,a.D,a.vi,a.B);U(a.query.LS_message);a.query.LS_message=encodeURIComponent(a.query.LS_message);Hf(this,"msg\r\n"+kg(a.query));mg(this.f.lc,a.N,a.D);if(a.vi)hg(this,a,a.B);else{var b=this.f.lc,c=a.N;a=a.D;ng.a(B.resolve(749),c,a);og(b,c,a);}},tp:function(a){U(a.query,a.B);Hf(this,"control\r\n"+kg(a.query));hg(this,a,a.B);},pp:function(a){U(a.query,
	a.B);Hf(this,"control\r\n"+kg(a.query));hg(this,a,a.B);},qp:function(a){U(a.query,a.B);Hf(this,"control\r\n"+kg(a.query));hg(this,a,a.B);},rp:function(a){U(a.query,a.B);Hf(this,"control\r\n"+kg(a.query));hg(this,a,a.B);},np:function(a){U(a.query);Hf(this,"send_log\r\n"+kg(a.query));},mp:function(a){Nf("unmanaged"!==this.Ma);U(a.query);U(a.query.LS_reqId);var b=a.query.LS_reqId;Hf(this,"control\r\n"+kg(a.query));hg(this,a,b);},sp:function(a){U(a.query);U(a.query.LS_reqId);var b=a.query.LS_reqId;Hf(this,
	"control\r\n"+kg(a.query));hg(this,a,b);},now:function(){return (new Date).getTime()},createSession:function(a,b){this.sessionId=a;S(this,Event.ri,b);},qc:function(a){S(this,Event.bind,a);},Fe:function(){this.state===Ud&&S(this,Event.Fe);},jf:function(a){S(this,Event.Yk,a);},Ih:function(a){S(this,Event.Ih,a);},Ba:function(){S(this,Event.disconnect);},subscribe:function(a){S(this,Event.subscribe,a);},unsubscribe:function(a){S(this,Event.unsubscribe,a);},Nb:function(a){S(this,Event.message,a);},register:function(a){S(this,
	Event.register,a);},Re:function(a){S(this,Event.Re,a);},Ue:function(a){S(this,Event.Ue,a);},bi:function(a){S(this,Event.bi,a);},Ec:function(a){S(this,Event.Ec,a);},Hi:function(){S(this,Event.cl);},ah:function(){this.state===Ud&&S(this,Event.Nh);},Ri:function(){return this.status},Fb:function(){return this.sessionId},yc:function(){S(this,Event.Yj);},A:function(){return !0},cc:function(){return !0},eq:function(){return this.state===Rd||this.state===Td},Ua:function(){return this.U},Rd:function(){},toString:function(){var a=
	"{ state: "+N[this.state];a+=" state_SM: "+N[this.Gc];a+=" state_RHB: "+N[this.Oe];a+=" state_Slw: "+N[this.lg];a+=" state_Prog: "+N[this.xb];a+=" event: "+P[this.event];for(var b in this){var c=this[b];"function"!==typeof c&&(a+=" "+b+": "+c);}return a+" }"}};function Nf(a,b){if(!a)throw Error("Assertion failed"+(b?": "+b:""));}function U(){for(var a=0;a<arguments.length;a++)if(void 0===arguments[a])throw Error("Property "+a+" is undefined");}
	function pg(a,b){this.Gi=!1;this.nf=a;this.ik=this.xt?this.nf.Oi:b?2*b:4E3;}pg.prototype={se:function(a){a?this.rf():x.u(this.ze,this.ik+Number(this.nf.Ce),this);},ze:function(){this.l&&this.l.i instanceof je||this.Gi||this.Vd()||this.rf();},tr:function(a){this.l=a;}};function qg(a,b,c,d,e){this._callSuperConstructor(qg,[a,e]);this.Ic=b;this.wa=c;this.Ug=d;}qg.prototype={Vd:function(){var a=this.wa,b=this.Ic;return !(a.v[b]&&a.v[b].um&&a.v[b].Fh)},rf:function(){this.wa.Ve(this.Ic,this.Ug+1,this.ik);},sh:function(){this.wa.hc(this.Ic);}};
	Inheritance(qg,pg);var rg,sg;for(sg in{se:!0})rg=sg;function tg(a,b,c,d,e){this._callSuperConstructor(tg,[a,e]);this.Ic=b;this.wa=c;this.Ug=d;}tg.prototype={Vd:function(){var a=this.wa,b=this.Ic;return !(a.v[b]&&a.v[b].gm&&!a.v[b].Fh)},rf:function(){this.wa.Vh(this.Ic,this.Ug+1,this.ik);},se:function(a){if(!a){var b=this.wa,c=this.Ic;b.v[c]&&(b.v[c].um=!0);}this._callSuperMethod(tg,rg,arguments);},sh:function(){}};Inheritance(tg,pg);
	function ug(a,b,c,d,e,f,k){this._callSuperConstructor(ug,[a,k]);this.Ic=b;this.Qq=c;this.wa=d;this.Fs=e;this.Ug=f;}ug.prototype={Vd:function(){var a=this.wa,b=this.Ic;return !(a.v[b]&&a.v[b].fm&&a.v[b].Ch==this.Qq)},rf:function(){vg(this.wa,this.Ic,this.Qq,this.Fs,this.Ug+1,this.ik);},sh:function(){}};Inheritance(ug,pg);var wg=B.o(r.Sb);
	function xg(a,b,c,d){this.w=a;this.Vk=b;this.Vs=c;this.options=d;this.wb=0;this.Ob=!1;this.T={};this.rd=0;this.v={};this.Dd={};this.Js=x.Jg(this.Ro,5E3,this);u.Fk(this);u.gf(this);}function vg(a,b,c,d,e,f){if(a.v[b]&&a.v[b].Ch==c){3<=e&&yg(a);a.v[b].fm=!0;var k=a.v[b].Ch;c=E.Ta({LS_subId:b,LS_op:"reconf",LS_reqId:E.ec()},d);d=new ug(a.options,b,k,a,d,e,f);zg(a.w.l,b,c,d);}}
	function yg(a){var b=a.w.Fc,c;if(c=b){if(a=b.qa.kv(a.w.l.Ua())){for(c=b=0;c<a.length;c++)n.Ca()-a[c].oe()[Ag]>r.af||b++;a=b;}else a=0;c=1<a;}c&&wg.Ga(B.resolve(591));}function Bg(a){a.v={};for(var b in a.Dd)a.Dd[b]={};}function Cg(a,b){for(var c in a.T)b(a.T[c],c);}function Dg(a,b){return a.T[b]?a.T[b]:(wg.a(B.resolve(595)),null)}function Eg(a,b){b=a.v[b];return b?Dg(a,b.Ed):(wg.a(B.resolve(594)),null)}function Fg(a,b){Cg(a,function(c){c.yh(b);});}function Gg(a){Cg(a,function(b){b.yq();});}
	function Hg(a,b){var c=a.T;a.T={};for(var d in c)c[d].Tf(b);}function Ig(a,b,c){Cg(a,function(d){d.Cd(b,c);});}
	xg.prototype={toString:function(){return "[|PushPageCollectionHandler|]"},vc:function(){return this.wb},lf:function(a){return a==this.wb},Dq:function(a,b){this.T[a]=b;this.Dd[a]={};this.rd++;H(this.Vk,"clientsCount",this.rd);wg.a(B.resolve(592),this);a!==r.tn&&(ka(this.Vs,function(c,d){b.wh("ConnectionDetails",c,d);}),ka(this.options,function(c,d){b.wh("ConnectionOptions",c,d);}),ka(this.Vk,function(c,d){b.wh("Configuration",c,d);}),b.yh(this.w.oe()),this.Ob?b.Lb(this.wb):b.xe(this.wb));},Jq:function(a){wg.a(B.resolve(593),
	this,a);if(this.T[a]){var b=this.Dd[a],c;for(c in b)this.v[c]&&!this.v[c].Fh&&this.Ve(c,1);this.T[a].S();delete this.T[a];delete this.Dd[a];this.rd--;H(this.Vk,"clientsCount",this.rd);}},Lb:function(){Bg(this);this.Ob=!0;var a=++this.wb;Cg(this,function(b){b.Lb(a);});},xe:function(){Bg(this);this.Ob=!1;var a=++this.wb;Cg(this,function(b){b.xe(a);});},dd:function(a){this.v[a]&&(this.v[a].gm=!1);},Wf:function(a){this.hc(a);},hc:function(a){if(this.v[a]){var b=this.v[a].Ed;delete this.v[a];this.Dd[b]&&delete this.Dd[b][a];}},
	Vh:function(a,b,c){this.v[a]&&(3<=b&&yg(this),this.v[a].gm=!0,c=new tg(this.options,a,this,b,c),Jg(this.w.l,a,this.v[a].ts,2<=b,c));},Ve:function(a,b,c){if(this.v[a]){3<=b&&yg(this);this.v[a].Fh=!0;c=new qg(this.options,a,this,b,c);var d=this.v[a].Rs;d.LS_reqId=E.ec();Kg(this.w.l,a,d,2<=b,c);}},nd:function(a,b){if(this.v[a]){var c=++this.v[a].Ch;vg(this,a,c,b,1);}},S:function(){x.Pe(this.Js);u.mm(this);u.Sj(this);},Td:function(){Hg(this,!1);},jm:function(){Gg(this);},Ro:function(){var a=this;Cg(this,function(b,
	c){b.ping().then(function(){},function(){a.Jq(c);});});},fc:function(){Cg(this,function(a){a.fc();});}};function Lg(a,b,c){this.fm=this.um=this.gm=!1;this.Ch=0;this.Fh=!1;this.Rs=c;this.ts=b;this.Ed=a;}xg.prototype.onPushPageLost=xg.prototype.Jq;xg.prototype.onNewPushPage=xg.prototype.Dq;xg.prototype.unloadEvent=xg.prototype.Td;xg.prototype.preUnloadEvent=xg.prototype.jm;var Mg=aa.aq(1.5,!0)?10:50,Ng=Mg,Og=0,Pg=0,Qg=0,Rg=null,Sg=null,Tg=null,Ug=B.o(r.oc);function Vg(){Ng=Mg;Qg=Pg=Og=0;Tg=Sg=Rg=null;}
	function kc(){Sg!=Pg&&(Og=Rg,Pg=Sg,Qg=Tg);}function Wg(){if(0!=Pg){if(!Ng)return !1;if(Og>=Ng)return Ug.g(B.resolve(598)),Ng=0,!1}return !0}function Xg(a,b,c,d){this._callSuperConstructor(Xg,[d]);this.fs=a;this.os=c;this.i=b;}Xg.prototype={Vd:function(){return !this.i.lf(this.os)},rf:function(){Yg(this.i,this.fs);},xt:function(){return this.nf.Oi},sh:function(){}};Inheritance(Xg,pg);var Zg=B.o(r.Jr);
	function $g(a,b){this.Zc=0;this.Wb=-1;this.closed=this.kp=!1;this.Of=-1;this.pf=0;this.Pc=!1;this.i=a;this.options=b;this.Zc=b.Ti();Zg.h()&&Zg.a(B.resolve(599),this.Zc);ah(this,this.Zc);}function ah(a,b){bh(-1!==a.Zc);var c=a.Wb;0===b?a.Wb=a.Zc:0===a.Zc?(bh(0<b),a.Wb=b):(bh(0<b&&0<a.Zc),a.Wb=Math.min(b,a.Zc));a.kp=0===a.Wb;c!==a.Wb&&(Zg.h()&&Zg.a(B.resolve(603),a.Wb),a.Pc&&(a.pf++,ch(a)));}
	function ch(a){if(!a.kp&&!a.closed)if(-1===a.Of)a.Of=(new Date).getTime(),dh(a,a.Wb);else{bh(-1!==a.Of);bh(-1!==a.Wb);var b=a.Wb-((new Date).getTime()-a.Of);0>=b?(Zg.h()&&Zg.a(B.resolve(602),a.pf),b=a.i.f.$,W.a(B.resolve(703),b),eh(b,null,"",8),dh(a,a.Wb)):dh(a,b);}}function fh(a,b){b&&(a.Of=(new Date).getTime());a.Pc||(a.Pc=!0,ch(a));}
	function dh(a,b){Zg.h()&&Zg.a(B.resolve(604),b,"ph",a.pf);var c=a.pf;setTimeout(function(){Zg.h()&&Zg.a(B.resolve(605),c);c<a.pf?Zg.h()&&Zg.a(B.resolve(606),c):(bh(c===a.pf),ch(a));},b);}$g.prototype={};function bh(a){a||Zg.g(B.resolve(607));}var gh=[,"OFF","CREATING","CREATED","FIRST_PAUSE","FIRST_BINDING","PAUSE","BINDING","RECEIVING","STALLING","STALLED","SLEEP"],K=B.o(r.oc),ac=B.o(r.$e);
	function Y(a,b,c,d,e,f,k,g){this.da=E.qh();K.h()&&K.a(B.resolve(608),"oid="+this.da);this.Nk=x.sb(this.Xu,this);this.Mk=x.sb(this.bm,this);this.Lk=x.sb(this.am,this);this.X=a;this.ac=b;this.O=0;this.c=1;this.Ha=0;this.fa=100*n.Cc(100);this.f=c;this.K=d;this.Pb=c.Pb;this.b=c.b;this.M=c.M;this.Sa=null;this.$=c.$;this.Xb=c.le();this.hq=this.pg=this.Ma=0;this.Ie=this.Dc=this.Kl=null;this.reset();this.gg=this.If=this.Id=!1;e?(this.ce=e.ce,this.O=e.O,K.a(B.resolve(609),this.O),this.sessionId=e.sessionId,
	this.U=e.U,this.fa=e.fa,this.Ma=e.Ma,this.Ke=e.Ke,this.Cf=e.Cf,this.hb=new pc(k,e.hb)):(Bb(!k,"Recovery unexpected"),this.hb=new pc);this.ca=g;this.fg=new $g(this,this.b);if(m.cb()){var l=this;this.ic=function(){0>=qc(l.hb,l.b.gd)&&l.Ba("recovery.timeout.elapsed",!0,!1);hh(l,"online.again",0);};try{window.addEventListener("online",this.ic,!1);}catch(p){}}}Y.xo=1;Y.bn=2;Y.an=3;Y.nn=4;Y.mn=5;Y.Hr=7;Y.cs=8;Y.zw=9;Y.Bw=10;Y.Yr=6;Y.co=11;
	function jc(a,b){ac.h()&&ac.a(B.resolve(655),b);a.Ba("end",!0,!0);}function Yg(a,b){K.j(B.resolve(656),a);var c=Pa(b,ih(a.Pb)),d=new Xg(b,a,a.fa,a.b);eh(a.$,a.sessionId,c,7,d,null,{ve:function(){},ue:function(e,f,k,g){d.Gi=!0;K.g(B.resolve(657)+k+" "+g+" - The error will be silently ignored.");}});}function hh(a,b,c,d){K.h()&&K.a(B.resolve(642),c,b);return x.u(a.ze,c,a,[b,a.Ha,c,d])}
	function jh(a,b){K.h()&&K.a(B.resolve(611),a.da,gh[a.c],"->",gh[b]);a.c=b;a.Ha++;b=a.Ha;var c=a.f;a.K==c.L&&lg(c.wa);return b==a.Ha}function kh(a){if(1==a.c||11==a.c)a.Pb.Bf=!1;a.X&&a.ac&&(a=a.Pb,a.La=null,a.Bf=!1);}function lh(a,b){K.j(B.resolve(658),a);b=Oa(a.sessionId,b);a.pl(a.sessionId,b,6,null,a.Ua(),{ve:function(){},ue:function(c,d,e,f){K.g(B.resolve(659)+e+" "+f+" - The error will be silently ignored.");}});}function mh(a){var b="",c;for(c in a)b+=c+"="+a[c]+" ";return b}
	function nh(a){var b=n.Ca()-a.Ie;a=a.b.ob;return b>a?0:a-b}function cc(a,b){kc();a.ea(b,{sd:!0});}function oh(a,b,c,d){if(20==b)cc(a,"syncerror");else if(11==b||65==b||67==b)11==b?a.yc(21,c):a.yc(b,c);else if(null!=d)try{d();}catch(e){a.f.yc(e);}else ac.gq()&&ac.Ga(B.resolve(654),b,c);}
	Y.prototype={reset:function(){K.h()&&K.a(B.resolve(610),this.da);this.ce=0;this.sessionId=this.U=null;this.Ma=this.O=0;this.mg=this.Hc=this.Kk=!1;this.Im="";this.Id=this.jd=!1;},dg:function(){},lf:function(a){return this.fa==a},Ri:function(){var a=this.c;return 1==a?r.Xd:11==a?this.Id?r.ni:r.oi:2==a?this.hb.gb?r.ni:r.CONNECTING:3==a||4==a||5==a?r.ei+this.Jp():10==a?r.eo:r.ei+this.Ip()},A:function(){return 1!=this.c&&2!=this.c&&11!=this.c},eq:function(){return this.hb.gb},Ua:function(){return null==
	this.U?this.Ke:this.U},Fb:function(){return this.sessionId},createSession:function(a,b,c){this.gg=c;a=1!=this.c&&11!=this.c?!1:!0;if(!Wg())return K.a(B.resolve(612),this),this.Ba("mad",a,!0),!1;0==a&&(K.a(B.resolve(613),this),this.Ba("new."+(b||""),!1,!1));K.j(B.resolve(614),this);this.reset();kh(this);H(this.M,"sessionId",null);H(this.M,"serverSocketName",null);H(this.M,"serverInstanceAddress",null);this.Ke=this.M.Je;this.Cf=this.b.Qh;this.fa++;return !0},qc:function(){if(!Wg())return this.Ba("madb",
	!1,!0),!1;this.ce++;C.Ya(6==this.c||4==this.c||1==this.c)||K.g(B.resolve(615));if(1==this.c){if(!jh(this,4))return !1;kh(this);}this.fa++;this.X?K.a(B.resolve(616),this):K.j(B.resolve(617),this);return !0},cc:function(){return 3==this.c||5==this.c||7==this.c||8==this.c||9==this.c||10==this.c},Fe:function(a,b,c){this.K=a;this.Hc||(K.a(B.resolve(618),this),this.jd=!1,2==this.c||11==this.c||1==this.c?(K.g(B.resolve(619)),ph(this.f,this.K,b,c)):6==this.c||4==this.c?qh(this.f,this.K,b,c):(this.Hc=!0,this.mg=
	c,this.Im=b,Yg(this,b)));},fd:function(a){this.K=a;if(!this.jd)if(K.a(B.resolve(620),this),C.Ya(2!=this.c&&11!=this.c&&1!=this.c)||K.g(B.resolve(621)),6==this.c||4==this.c){a=this.f;var b=this.K;gc.j(B.resolve(775));qh(a,b,"slow",!1);}else this.jd=!0,Yg(this,"slow");},ah:function(){var a=this.fg;ah(a,a.options.Ti());},Ba:function(a,b,c){K.j(B.resolve(622),this,a);1!=this.c&&2!=this.c&&11!=this.c?(this.f.xh(this.Ua()),b||lh(this,a),this.K=this.f.Vf(this.K,c),H(this.M,"sessionId",null),H(this.M,"serverSocketName",
	null),H(this.M,"serverInstanceAddress",null)):this.K=this.f.Vf(this.K,c);this.Rd(!c);},Rd:function(a){this.fa++;this.reset();jh(this,a?11:1);if(1==this.c&&this.ic)try{window.removeEventListener("online",this.ic);}catch(b){}this.fg.closed=!0;Zg.h()&&Zg.a(B.resolve(601));K.a(B.resolve(623),this);},ze:function(a,b,c,d){b==this.Ha&&(K.h()&&K.a(B.resolve(625),a,gh[this.c],"sid",this.sessionId,"cause=",d,"preparingRecovery=",this.Id),a="timeout."+this.c+"."+this.ce,11==this.c&&d&&(a=d),2==this.c?(c=qc(this.hb,
	this.b.gd),this.hb.gb&&0<c?(K.h()&&K.a(B.resolve(626),c),za(this.b),this.f.Jh(this.K,a,this.ac)):(K.a(B.resolve(627)),this.Ba("create.timeout",!0,!1),za(this.b),hh(this,"zeroDelay",0,"create.timeout"))):3==this.c||7==this.c||10==this.c||11==this.c?this.jd||this.Hc?(K.a(B.resolve(628)),ph(this.f,this.K,a+".switch",this.mg)):!this.X||this.ac?this.Id?(K.a(B.resolve(629)),this.f.Jh(this.K,a,this.ac)):(K.a(B.resolve(630)),this.f.Mh(this.K,a,this.ac,this.gg)):(K.a(this.Id?"Timeout: switch transport from polling (ignore recovery)":
	"Timeout: switch transport from polling"),ph(this.f,this.K,a,!1)):5==this.c?(this.pg--,this.jd||this.Hc?ph(this.f,this.K,a+".switch",this.mg):0<this.pg||this.ac?this.f.Mh(this.K,a,this.ac,this.gg):this.X?ph(this.f,this.K,a+".switch",this.mg):this.gc(this.K,a)):6==this.c?(this.X&&ec(this.Pb,c),this.qc("loop")):4==this.c?this.qc("loop1"):8==this.c?jh(this,9)&&hh(this,"stalledTimeout",this.b.kg):9==this.c?jh(this,10)&&(this.Id=0<qc(this.hb,this.b.gd)&&!this.If,hh(this,"reconnectTimeout",this.b.Dc)):
	K.Ga(B.resolve(631),this));},Dm:function(){return this.ac||this.f.Dm()},gc:function(a,b){var c=this.Dm();c&&this.Ba("giveup",1!=this.c&&11!=this.c?!1:!0,!0);this.f.gc(a,b,c);},ea:function(a,b){b=b||{};var c=b.sd,d=b.hv,e=b.Mm,f=b.tv,k=b.Ee,g=qc(this.hb,this.b.gd);K.h()&&K.a(B.resolve(632),gh[this.c],"reason="+a,"sid="+this.sessionId,"timeLeft="+g,"isRecoveryDisabled="+this.If,mh(b));b=e&&0<g;if(8==this.c||10==this.c||9==this.c||7==this.c||6==this.c)b&&!this.If?(K.a(B.resolve(633)),this.Id=!0,jh(this,
	11),hh(this,"firstRetryMaxDelay",n.Cc(this.b.uf),a)):(K.a(B.resolve(634)),this.Ba(a,c,!1),d?hh(this,"currentRetryDelay",nh(this),a):k?hh(this,"reconnectMaxDelay",Math.ceil(Math.random()*k),a):hh(this,"firstRetryMaxDelay",n.Cc(this.b.uf),a));else if(2==this.c||3==this.c||5==this.c)this.hb.gb&&0<g&&!c?(K.a(B.resolve(635)),this.Id=!0,jh(this,11),hh(this,"currentRetryDelay",nh(this),a),ta(this.b)):this.Hc&&!this.ac||aa.cj()?(K.a(B.resolve(636)),ph(this.f,this.K,this.Im+".error",this.mg)):(d=c?"closed on server":
	"socket error",K.a(B.resolve(637),d),this.Ba(a,c,!1),f?(hh(this,"zeroDelay",0,a),a=this.b,a.Cb=a.nh,ua.h()&&ua.debug("Increase currentConnectTimeout to max: "+a.Cb)):c?k?hh(this,"reconnectMaxDelay",Math.ceil(Math.random()*k),a):hh(this,"zeroDelay",0,a):this.hb.gb&&0>=g?hh(this,"zeroDelay",0,a):(hh(this,"currentRetryDelay",nh(this),a),ta(this.b)));},Ul:function(a){this.Sa&&this.Sa.et&&this.Sa.et();if(8==this.c||9==this.c||10==this.c||3==this.c)if(this.Hc)qh(this.f,this.K,this.Im,this.mg);else if(this.jd){a=
	this.f;var b=this.K;gc.j(B.resolve(775));qh(a,b,"slow",!1);}else jh(this,3==this.c?4:6)&&(this.fa++,b=a,this.X&&(a>=this.b.Ce||H(this.b,"pollingInterval",a),4==this.c?b=this.b.Ce:(a=this.b.Ce,this.Ie&&(b=n.Ca()-this.Ie,a=a>b?a-b:0),b=a)),4!=this.c&&b&&0<b?(K.a(B.resolve(624)),hh(this,"pause",b)):this.ze("noPause",this.Ha));else C.ma(),K.g(B.resolve(638),this);},ra:function(){if(2==this.c)jh(this,3)&&(C.Kc(this.c,3)||K.g(B.resolve(643)),hh(this,"stalledTimeout",this.b.kg));else if(3!=this.c)if(7==this.c||
	5==this.c||9==this.c||10==this.c||8==this.c){if(jh(this,8)&&0<this.b.na){var a=n.Ca();50>a-this.hq&&this.Kl?x.oq(this.Kl,1,this.Ha):(this.hq=a,this.Kl=hh(this,"keepaliveInterval",this.b.na));}}else C.ma(),K.g(B.resolve(639),this);},Di:function(){Rg=Og;Sg=Pg;Tg=Qg;var a=n.Ca();Qg||(Qg=a);6E4<=a-Qg&&(Og=0,Qg=a);Pg&&1E3>a-Pg&&Og++;Pg=a;this.Ie=n.Ca();C.Ya(1==this.c||11==this.c)||K.g(B.resolve(640));if(!jh(this,2))return !1;hh(this,"currentConnectTimeout",this.ud());this.Sa=rh(this.f);},Pc:function(){this.Ie=
	n.Ca();C.Ya(6==this.c||4==this.c)||K.g(B.resolve(641),this);if(!jh(this,6==this.c?7:5))return !1;this.gg=!1;hh(this,"bindTimeout",this.X?this.ud()+this.b.Xi:0<this.pg&&null!=this.Dc?this.Dc:this.ud());this.Sa=rh(this.f);this.Tl();},Tl:function(){},Xu:function(a,b){!u.Fa()&&this.lf(b)&&""!==a&&(null==a?(kc(),this.ea("nullresp")):sh(this.Sa,b,a));},bm:function(a,b,c,d,e){!u.Fa()&&this.lf(b)&&(kc(),this.ea("failure."+a,{ql:c,Ar:d,hv:e,Mm:!0}));},am:function(a,b){this.Vw&&11==this.c||!this.lf(a)||(kc(),this.ea("wrongend",
	{ql:b,Mm:!0}));},sj:function(a){a&&(this.f.sj(a),H(this.M,"clientIp",a));},Hi:function(){kc();this.ea("remote.adapter.disconnected",{Ee:this.b.Kd.Ee});},yc:function(a,b){this.Cd(a,b);},Ij:function(a,b){this.ra();this.f.Ij(a,b);},Ad:function(a){this.ra();this.f.Ad(a);},zd:function(a){this.ra();this.f.zd(a);},Bd:function(a){this.ra();this.f.Bd(a);},uj:function(a,b){this.ra();this.f.uj(a,b);},wj:function(a,b){this.ra();this.f.wj(a,b);},vj:function(a,b,c,d){this.ra();this.f.vj(a,b,d,c);},bd:function(a,b){this.ra();
	this.f.bd(a,b);},cd:function(a,b,c,d){this.ra();this.f.cd(a,b,d,c);},Hj:function(a,b,c){this.ra();this.f.Hj(a,b,c);},Cd:function(a,b){jc(this,b);this.f.Cd(a,b);},hc:function(a){this.ra();this.f.hc(a);},dd:function(a,b,c,d,e){this.ra();this.f.dd(a,b,c,d,e);},ye:function(a,b,c){this.ra();this.f.ye(a,b,c);},jf:function(){if(1!=this.c&&11!=this.c)if(2==this.c)this.Kk=!0;else if("unmanaged"!=this.Ma){var a=Qa(this.b);eh(this.$,null,a,3,null,null,{ve:function(){},ue:function(b,c,d,e){K.g(B.resolve(660)+th(a)+
	" caused the error: ",d,e);}});}},$l:function(a){H(this.M,"serverSocketName",a);},we:function(){sa(this.b,this.b.kc);ya(this.b,this.b.kc);},pl:function(){throw Error("abstract method");},ud:function(){return this.b.Cb}};function th(a){var b="{",c;for(c in a)b+=c+"="+a[c]+" ";return b+"}"}function uh(){this.pj=!1;}uh.prototype={hw:function(){if(this.pj&&(this.pj=!1,!aa.Yp()&&!aa.Gf(6,!0)&&!aa.Gf(9,!1)))try{window.open("about:blank","LS6__HOURGLASS",null,!0);}catch(a){}}};
	var vh={createSession:"createSession",qc:"bindSession",Rd:"shutdown",Pc:"bindSent",ra:"onEvent",ea:"onErrorEvent"};vh=E.ne(vh);var wh=1,xh=1;function yh(a){a&&a!=xh||(xh++,wh=1);}var zh=B.o(r.oc);B.o(r.$e);function Ah(a,b,c,d,e,f,k){this._callSuperConstructor(Ah,arguments);this.df=this.oj=this.sc=this.Aa=this.fp=null;this.dg(f);}
	function Bh(a,b,c,d,e){var f=a.c==Y.xo||a.c==Y.co,k=a.generateRequest(b,d,!0,e),g=a.Ua();Ch(a.$,null);a.Aa&&a.Aa.va==Tc&&(a.Aa=null);var l=f?a.fp:a.sc,p;if(p=a.Aa){p=k.Ea();var t=k.Da();p=!Ad(g,a.Aa.va,p,a.b.qb(),t,Ca(a.b,f),l.jh);}p&&(l.pc(),a.Aa=null);t=!1;for(p=(a.X?"LS6__POLLFRAME":"LS6__PUSHFRAME")+"_"+a.Xb;(a.Aa||Bd(l))&&!1===t;){if(!a.Aa){t=Ed(l,g,k.Ea(),a.b.qb(),k.Da(),Ca(a.b,f));if(!t)return l.pc(),!1;a.Aa=new t(p);}k.Mc="POST";e?jb(k,"bind_session"+a.Aa.ke().xf()):jb(k,Ra(f,a.X,a.Aa.ke().xf()));
	t=a.Aa.za(k,a.fa,a.Nk,a.Mk,a.Lk);if(null===t)return zh.a(B.resolve(665)),x.u(c,50,a,[a.Ha,d,b]),null;!1===t?a.Aa=null:(zh.a(B.resolve(666)),l.pc(),a.df=a.Aa);}return t}function Dh(a){if(!u.Vp()&&(null===a.b.ek&&(aa.cj()||aa.Zp())||!0===a.b.ek)){var b=a.ce;u.Fo(function(){x.u(function(){b==a.ce&&a.c==Y.cs&&Yg(a,"spinfix");},a.b.Em);});}}
	Ah.prototype={dg:function(a){a=a||!this.b.Ci;this.fp=new ud(zd,!1,a);this.sc=this.X?new ud(zd,!1,a):new ud(vd,!this.b.Um,a);this.Aa=null;},Ip:function(){return this.X?r.zb:r.Xe},Jp:function(){return this.X?r.zb:r.ao},toString:function(){return ["[|SessionHTTP","oid="+this.da,this.X,this.ac,this.c,this.Ha,this.fa,this.pg,this.sessionId,this.O,this.Hc,this.jd,"]"].join("|")},createSession:function(a,b,c){if(!this._callSuperMethod(Ah,vh.createSession,[a,b,c]))return !1;this.al(this.Ha,b,a);return !0},al:function(a,
	b,c){if(a==this.Ha){Eh(this.f);if(E.Xp()){if(0>=wh){zh.a(B.resolve(661));x.u(this.al,3E3,this,[a,c,"offline"]);return}wh--;0==wh&&x.u(yh,2E4,null,[xh]);}a=Bh(this,c,this.al,b,!1);null!==a&&(a?this.Di():!1===a&&(zh.Ga(B.resolve(662)),this.ea("no_impl_available",{sd:!0,Ju:!0})));}},qc:function(a){if(!this._callSuperMethod(Ah,vh.bindSession,[a]))return !1;this.df&&this.df.ta();Dh(this);this.Ai(this.Ha,a);return !0},Ai:function(a,b){a==this.Ha&&(this.oj||this.X||(this.oj=new uh),a=Bh(this,null,this.Ai,b,
	!1),null!==a&&(a?this.Pc():!1!==a||this.X||this.gc(this.K,"streaming.unavailable")));},Jh:function(){this.fa++;var a=Bh(this,null,this.Jh,"network.error",!0);null!==a&&(a?this.Di():!1===a&&(zh.g(B.resolve(663)),this.ea("no_impl_available",{sd:!0,Ju:!0})));},Rd:function(a){this._callSuperMethod(Ah,vh.shutdown,[a]);this.df&&this.df.ta();},generateRequest:function(a,b,c,d){var e=this.c==Y.xo||this.c==Y.co,f=new Request(this.Ua()+r.rg);f.fe=this.b.qb()||!1;f.td=Da(this.b,e)||null;var k=!f.Da()&&!f.Ea();
	if(d){a=this.b;d=ih(this.Pb);var g="LS_phase="+this.fa+"&"+(k&&m.ba()&&!E.yl()?"LS_domain="+E.je()+"&":"")+(b?"LS_cause="+b+"&":"");e=0;null==d||isNaN(d)||(e+=d);g=g+"LS_polling=true&"+("LS_polling_millis="+e+"&")+"LS_idle_millis=0&";0<a.vb&&(g+="LS_requested_max_bandwidth="+a.vb+"&");g+="LS_session="+this.sessionId+"&";g+="LS_recovery_from="+this.O+"&";Ea.a(B.resolve(474),g);a=g;}else{var l=this.sessionId,p=this.b;d=this.M;var t=this.X,q=ih(this.Pb);g=this.gg;var G=this.fg.Zc;b="LS_phase="+this.fa+
	"&"+(k&&m.ba()&&!E.yl()?"LS_domain="+E.je()+"&":"")+(b?"LS_cause="+b+"&":"");e||t?(b+="LS_polling=true&",c=k=0,t&&(k=Number(p.Ce),null==q||isNaN(q)||(k+=q),c=p.Xi),isNaN(k)||(b+="LS_polling_millis="+k+"&"),isNaN(c)||(b+="LS_idle_millis="+c+"&")):(0<p.na&&(b+="LS_keepalive_millis="+p.na+"&"),p.kd||(b+="LS_send_sync=false&"),0<G&&(b+="LS_inactivity_millis="+G+"&"),c&&(b+="LS_content_length="+p.Zk+"&"));e?(e="",0<p.vb&&(e+="LS_requested_max_bandwidth="+p.vb+"&"),null!=d.ef&&(e+="LS_adapter_set="+encodeURIComponent(d.ef)+
	"&"),null!=d.og&&(e+="LS_user="+encodeURIComponent(d.og)+"&"),e=b+Fa+e,a&&(e+="LS_old_session="+a+"&"),g&&(e+="LS_ttl_millis=unlimited&"),e+="LS_supported_diffs=P&",Ea.a(B.resolve(473),e),null!=d.password&&(e+="LS_password="+encodeURIComponent(d.password)+"&"),a=e):(C.Ya(l)||Ea.g(B.resolve(471)),a="LS_session="+l+"&"+b,Ea.a(B.resolve(472),a));}f.setData(a);return f},Pc:function(){this._callSuperMethod(Ah,vh.bindSent);if(this.Sl()){var a=this.oj;a.pj=this.df.va===ed;a.pj&&Xc.me("LS6__HOURGLASS",!0);}},
	Tl:function(){fh(this.fg,!1);},Sl:function(){return !this.X},ea:function(a,b){b=b||{};var c=b.Mm;!b.Ar||this.Aa.va!=Pc&&this.Aa.va!=Tc||c||(c=this.f,this.K==c.L&&Fh(c));this._callSuperMethod(Ah,vh.onErrorEvent,arguments);},ra:function(){this.c==Y.mn&&yh();if(this.Sl()&&(this.c==Y.Hr||this.c==Y.mn)){var a=this.oj;x.u(a.hw,900,a);}this._callSuperMethod(Ah,vh.onEvent);},pl:function(){}};Inheritance(Ah,Y);
	var Gh={Di:"createSent",ze:"onTimeout",Ul:"onLoop",bm:"onStreamError",am:"onStreamEnd",ea:"onErrorEvent",Rd:"shutdown",gc:"onSessionGivesUp",we:"onSessionBound"};Gh=E.ne(Gh);var Gc=B.o(r.oc);function Hh(a,b,c,d,e,f,k){this._callSuperConstructor(Hh,arguments);this.Z=null;this.Oa=1;this.Yf=null;}
	function Ih(a){C.Kc(a.Oa,1)||Gc.g(B.resolve(667));a.Yf=a.fa;a.Z=new Ac(a);var b=a.Ua(),c=new Request(b+r.rg);c.fe=a.b.qb()||!1;c.td=Da(a.b,!1)||null;if(Ad(b,Ac,c.Ea(),a.b.qb(),c.Da(),Ca(a.b,!1))&&(Gc.a(B.resolve(668)),Ec(a.Z,c,a.Yf,a.Nk,a.Mk,a.Lk))){Ch(a.$,a.Z);a.Oa=2;return}a.Oa=5;}
	Hh.prototype={toString:function(){return ["[|SessionWS","oid="+this.da,this.X,this.ac,this.c,this.Ha,this.fa,this.Oa,this.pg,this.sessionId,this.O,this.Z,this.Hc,this.jd,"]"].join("|")},Ip:function(){return this.X?r.$d:r.cf},Jp:function(){return r.ao},Di:function(){this._callSuperMethod(Hh,Gh.createSent);},Ai:function(a,b){if(a==this.Ha){if(1==this.Oa)Ih(this);else{var c;if(c=2==this.Oa){c=this.Z;var d=this.Ua();C.Ya(c.Ph)?c=0==c.Ph.indexOf(d):(vc.g(B.resolve(521)),c=!1);c=!c;}c&&(Gc.g(B.resolve(669)),
	this.Z.ta(),this.Oa=1,Ih(this));}if(6==this.Oa)this.gc(this.K,"ws.early.closed");else if(5==this.Oa)this.gc(this.K,"ws.notgood");else if(3==this.Oa)Ac.ie(this.Ua()),this.gc(this.K,"ws.early.openfail");else{c=this.generateRequest(null,b,!1,!1);d=!1;jb(c,Ra(!1,this.X,this.Z.ke().xf()));var e=!1;2==this.Oa?(d=this.Z.za(c,this.fa,this.Nk,this.Mk,this.Lk),e=!0):4==this.Oa?d=this.Z.Gg(c,this.fa):(C.ma(),Gc.g(B.resolve(670),this));null===d?(Gc.a(B.resolve(671)),x.u(this.Ai,50,this,[a,b])):!1===d?(Gc.Ga(B.resolve(672)),
	this.gc(this.K,"ws.false")):e||(Gc.a(B.resolve(673)),this.Pc());}}},ze:function(a,b,c,d,e){b==this.Ha&&this._callSuperMethod(Hh,Gh.onTimeout,[a,b,c,d,e]);},Ul:function(a){this._callSuperMethod(Hh,Gh.onLoop,[a]);this.Z&&(this.Z.Wg=this.fa);},bm:function(a,b,c,d,e){c?b==this.Yf&&this._callSuperMethod(Hh,Gh.onStreamError,[a,this.fa,c,d,e]):this._callSuperMethod(Hh,Gh.onStreamError,arguments);},am:function(a,b){b?a==this.Yf&&(this.c==Y.Xr||this.c==Y.bn||this.c==Y.an?this.ea("ws.early.end",{ql:!0}):(C.ci(this.c,
	Y.nn)||Gc.g(B.resolve(675),this),this._callSuperMethod(Hh,Gh.onStreamEnd,[this.fa,b]))):this._callSuperMethod(Hh,Gh.onStreamEnd,arguments);},ea:function(a,b){b=b||{};var c=b.sd,d=b.Ar;b.ql?(C.ci(this.Oa,1)||Gc.g(B.resolve(676),this),this.Oa=d?3:6,this.c==Y.Xr||this.c==Y.bn||this.c==Y.an?Gc.a(B.resolve(677),this):this.c==Y.nn?(Gc.a(B.resolve(678),this),d&&Ac.ie(this.Ua()),this.gc(this.K,"ws.error."+a)):this.X&&this.c==Y.Yr?(C.kk(d)||Gc.g(B.resolve(679),this),Gc.a(B.resolve(680),this),this.Ba(a,c,!1),
	this.ze("zeroDelay",this.Ha,0,"ws.broken.wait")):this._callSuperMethod(Hh,Gh.onErrorEvent,arguments)):this._callSuperMethod(Hh,Gh.onErrorEvent,arguments);},Rd:function(a){this._callSuperMethod(Hh,Gh.shutdown,[a]);this.Z&&(this.Yf=null,this.Z.ta(),this.Z=null,Ch(this.$,null));this.Oa=1;},Sl:function(){return !1},gc:function(a,b){Ac.ie(this.Ua());this._callSuperMethod(Hh,Gh.onSessionGivesUp,[a,b]);},Tl:function(){fh(this.fg,!0);},we:function(){this._callSuperMethod(Hh,Gh.onSessionBound);var a=this.Z,b=this.sessionId;
	vc.h()&&vc.a(B.resolve(529),b+" on WS connection oid="+a.da);a.gp=b;this.f.gh=!1;},pl:function(a,b,c,d,e){var f=this.$;f.Go(f.c,a,b,c,d,e);}};Inheritance(Hh,Ah);var dc=B.o(r.$e),Jh=B.o(r.oc);function Kh(a){this.Rj=0;this.La=null;this.Bf=!1;this.b=a;this.i=null;}function ih(a){return null!=a.La&&0<a.La?Math.round(a.La):null}
	function ec(a,b){if(!a.Rj)return !0;b=n.Ca()-a.Rj-b;if(null==a.La)return a.La=b,Jh.a(B.resolve(682)),!1;if(2E4<b&&b>2*a.La&&(a.Bf=!a.Bf,a.Bf))return Jh.j(B.resolve(683)),7E3<a.La;a.La=.5*a.La+.5*b;if(60>a.La)return a.La=0,Jh.a(B.resolve(684)),!1;if(null!=a.La&&7E3<a.La)return Jh.j(B.resolve(685)),!0;Jh.a(B.resolve(686));return !1}Kh.prototype={toString:function(){return ["[","SlowingHandler",this.La,this.Rj,.5,7E3,"]"].join("|")},kf:function(a){this.i=a;}};var Lh=B.o(r.tk);
	function Mh(a){this.ub=[];this.keys={};this.Ng=a;this.Cu=0;}
	function Nh(a,b){var c=b.Ig;if(4==c||5==c||8==c)a.Ng!=c?(C.ma(),Lh.g(B.resolve(688),a)):8==c?a.keys.H?a.keys.H=b:(a.keys.H=b,a.ub.push("H")):(c=a.Cu++,a.keys[c]=b,a.ub.push(c));else if(1!=a.Ng&&10!=a.Ng)C.ma(),Lh.g(B.resolve(689),a);else{switch(c){case 3:var d="C";break;case 7:d="F";break;case 9:d="X"+b.getKey();break;case 10:d="M"+b.getKey();break;default:d=b.getKey();}var e=a.keys[d];Lh.a(B.resolve(690),a,d,b);if(e){if(3==c||7==c||10==c){Lh.a(B.resolve(691));a.keys[d]=b;return}if(2==c){if(e.Ge)Lh.a(B.resolve(692)),
	a.keys[d]=b;else if(2==e.Ig)Lh.a(B.resolve(693));else a:if(Lh.a(B.resolve(694)),C.kk(void 0)||Lh.g(B.resolve(695),a),b=d,a.keys[b])for(c=0;c<a.ub.length;c++){if(a.ub[c]==b){Oh(a,c);break a}}else Lh.g(B.resolve(701));return}if(6==c){for(;e&&b.Ge!=e.Ge;)Lh.a(B.resolve(696)),d+="_",e=a.keys[d];if(e){Lh.a(B.resolve(697));return}}else{Lh.a(B.resolve(698));a.keys[d]=b;return}}Lh.a(B.resolve(699));c=d;a.keys[c]=b;a.ub.push(c);}}
	function Oh(a,b){if(a.ub.length<=b)return Lh.g(B.resolve(700)),null;var c=a.ub[b];a.ub.splice(b,1);b=a.keys[c];delete a.keys[c];return b}function Ph(a,b){return 0>=a.ub.length?null:a.keys[a.ub[b]]}Mh.prototype={toString:function(){return ["[|ControlRequestBatch",this.Ng,this.ub.length,"]"].join("|")},bc:function(){return this.ub.length},shift:function(){return Oh(this,0)},pop:function(){return Oh(this,this.ub.length-1)},Li:function(){return Ph(this,0)},wf:function(){return this.Ng}};
	var W=B.o(r.tk),Qh=B.o(r.Ab),Rh={1:"IDLE",2:"STAND BY",3:"WAITING RESP"};function Sh(a,b){this.Nl=this.Al=this.Fi=this.kj=this.$k=this.Ml=this.Qa=this.sc=null;this.Lh=0;this.c=this.status=this.L=1;this.Zh=0;this.F=null;this.Ys=!1;this.mb=a;this.b=b;this.Z=null;this.Uj={};this.dg(!1);this.pc();}function eh(a,b,c,d,e,f,k){e&&e.tr&&e.tr(a.mb);if(Th(a))Uh(a,new qb(c,e,d,b,f));else{var g=c.LS_reqId;null!=g&&null!=k&&(a.Uj[g]=k);x.u(a.Go,0,a,[a.c,b,c,d,e,f]);}}
	function Ch(a,b){b?W.a(B.resolve(710),a):a.Z&&W.a(B.resolve(711),a);a.Z=b;}function Vh(a,b,c){!0===b?(W.a(B.resolve(714),b,a),a.jp(a.L,c)):(W.a(B.resolve(715),b,a),x.u(a.jp,!1===b?0:b,a,[a.L,"async."+c]));}function Th(a){return a.mb.i instanceof je}
	function Uh(a,b){a=a.mb.i;var c=b.request;switch(b.Ig){case 1:a.subscribe(new oc(c,1));break;case 2:a.unsubscribe(new oc(c,2));break;case 3:a.jf(new oc(c,9));break;case 4:var d=new oc(c,3);d.N=null==c.LS_sequence?r.lb:c.LS_sequence;d.D=b.getKey();d.vi="false"!=c.LS_ack;d.B=c.LS_reqId;a.Nb(d);break;case 5:a.Ec(new oc(c,11));break;case 9:a.Ih(new oc(c,10));break;case 10:b=c.LS_op,"register"===b?(d=new oc(c,4),d.B=c.LS_reqId,a.register(d)):"activate"===b?(d=new oc(c,5),d.B=c.LS_reqId,d.subscriptionId=
	c.LS_subId,a.Re(d)):"deactivate"===b&&null!=c.PN_subscriptionId?(d=new oc(c,6),d.B=c.LS_reqId,d.subscriptionId=c.PN_subscriptionId,a.Ue(d)):"deactivate"===b&&null==c.PN_subscriptionId&&(d=new oc(c,7),d.B=c.LS_reqId,a.bi(d));}}function Wh(a,b,c){4==b?Nh(a.Ml,c):5==b?Nh(a.kj,c):6==b?Nh(a.Fi,c):8==b?Nh(a.Al,c):10==b?Nh(a.Nl,c):Nh(a.$k,c);}
	function Xh(a,b){var c=a.mb.Ua();var d=a.b.qb();var e=Da(a.b,!1),f=b.Li();f?(f=new Request((f.Ge&&!0!==f.Ge?f.Ge:c)+r.rg),f.fe=d||!1,f.td=e||null,d=f):d=null;if(null==d)return W.a(B.resolve(726)),1;W.a(B.resolve(727));e=!1;if(Th(a)){for(;0<b.bc();)c=b.shift(),Uh(a,c);return 5}if(a.Z){W.a(B.resolve(728));e=Yh(a,b,a.Z);if(null==e)return W.a(B.resolve(729)),1;jb(d,e.getFile());d.setData(e.getData());e=a.Z.Gg(d);if(!1===e)a.Z=null;else return null===e?2:5}if(f=a.Qa){f=d.Ea();var k=d.Da();f=!Ad(c,a.Qa.va,
	f,a.b.qb(),k,Ca(a.b,!1),a.sc.jh);}f&&(a.sc.pc(),a.Qa=null);for(;a.Qa||Bd(a.sc);){if(!a.Qa){e=Ed(a.sc,c,d.Ea(),a.b.qb(),d.Da(),Ca(a.b,!1));if(!e)return W.Ga(B.resolve(730),a.Qa),a.sc.pc(),3;a.Qa=new e("LS6__CONTROLFRAME");W.a(B.resolve(731),a.Qa);}e=Yh(a,b,a.Qa);if(null==e)return W.a(B.resolve(732)),1;jb(d,e.getFile());d.setData(e.getData());d.Mc=e.Mc||"POST";a.F.c=a.L;a.Qa.ta();a.Ys&&(d.ae=d.ae.replace(/LS_session=.*&/g,"LS_session=FAKE&"));e=a.Qa.za(d,a.F.c,x.sb(a.Ru,a),x.sb(a.ea,a));if(!1===e)W.a(B.resolve(733)),
	a.Qa=null;else{if(null===e)return W.a(B.resolve(734)),2;a.sc.pc();return 4}}!1!==e&&(C.ma(),W.g(B.resolve(735)));return 3}function Yh(a,b,c){c=c.ke();if(null==a.F)a.F=new Zh(a),a.F.uc=c,a.F.fill(b,a.Lh,a.mb.Fb(),a.b.qb(),Da(a.b,!1));else if(c!=a.F.uc){a.F.uc=c;b=a.F;c=a.Lh;var d=a.mb.Fb(),e=a.b.qb(),f=Da(a.b,!1),k=b.Ka;b.Ka=null;b.fill(k,c,d,e,f);if(b=0<k.bc()?k:null)for(c=b.wf();0<b.bc();)Wh(a,c,b.shift());}return a.F.Cl()?a.F=null:a.F.request}
	Sh.prototype={toString:function(){return ["[|ControlConnectionHandler",Rh[this.status],this.F,this.Lh,"]"].join("|")},dg:function(a){this.sc=new ud(yd,!1,!this.b.Ci||a);this.Qa=null;},ta:function(){W.a(B.resolve(704));this.Qa&&this.Qa.ta();},ka:function(a,b){this.L++;W.h()&&W.a(B.resolve(705),b+Rh[this.status]+" -> "+Rh[a]);this.status=a;},pc:function(){W.a(B.resolve(706),this);this.Lh=0;this.Ml=new Mh(4);this.$k=new Mh(1);this.Al=new Mh(8);this.Nl=new Mh(10);this.Z=null;this.Uj={};this.kj||(this.kj=
	new Mh(5));this.Fi||(this.Fi=new Mh(1));this.Tj=[this.Ml,this.$k,this.kj,this.Fi,this.Al,this.Nl];this.c++;var a=this.F?this.F.wf():null;null!==a&&6!==a&&5!==a?(C.ci(this.status,1)||W.g(B.resolve(707)),this.ta(),this.F=null,this.ka(1,"_reset"),Vh(this,!1,"reset1")):null===a&&(C.Kc(this.status,1)||W.g(B.resolve(708)),C.Kc(this.F,null)||W.g(B.resolve(709)),Vh(this,!1,"reset2"));},Go:function(a,b,c,d,e,f){if(6==d||5==d||this.c===a)W.j(B.resolve(712),this,c),Wh(this,d,new qb(c,e,d,b,f)),1==this.status?
	Vh(this,!0,"add"):W.a(B.resolve(713),this);},jp:function(a,b){if(a==this.L){for(a=0;1>a;){a++;this.ka(2,"dequeueControlRequests");W.a(B.resolve(716),b,this);if(null!=this.F){W.a(B.resolve(717));var c=Xh(this,this.F);}else a:{for(W.a(B.resolve(718)),c=0;c<this.Tj.length;){this.Zh=this.Zh<this.Tj.length-1?this.Zh+1:0;if(0<this.Tj[this.Zh].bc()){c=Xh(this,this.Tj[this.Zh]);break a}c++;}c=null;}if(1==c)W.j(B.resolve(719)),this.F=null;else{if(2==c){W.j(B.resolve(720));Vh(this,200,"later");return}if(3==c){W.Ga(B.resolve(721));
	this.F&&$h(this.F,!0);this.F=null;Vh(this,!1,"no");return}if(4==c){W.j(B.resolve(722));this.ka(3,"dequeueControlRequests");this.F&&$h(this.F);Vh(this,4E3,"http");return}if(5==c)W.j(B.resolve(723)),this.ka(3,"dequeueControlRequests"),this.F&&$h(this.F),this.F=null,this.ka(1,"dequeueControlRequests");else{W.j(B.resolve(724));this.ta();this.ka(1,"dequeueControlRequests");return}}}Vh(this,!1,"limit");}},Ru:function(a,b){if(this.F&&b==this.F.c){Qh.h()&&Qh.a(B.resolve(736),b,a);W.j(B.resolve(737),b);this.ka(1,
	"onReadyForNextRequest");this.F=null;b=this.mb;var c=null==b.i?null:b.i.fa;sh(rh(b),c,a);Vh(this,!1,"ready4next");}},ea:function(a,b){this.F&&b==this.F.c&&(W.j(B.resolve(738),this,a),this.ka(1,"onErrorEvent"),this.F=null,Vh(this,!1,"error"));}};function Zh(a){this.f=a;this.c=this.request=this.uc=this.Ka=null;}function $h(a,b){try{b||Th(a.f)||(a.f.mb.i.fg.Of=(new Date).getTime(),Zg.h&&Zg.a(B.resolve(600)));}catch(e){W.g(B.resolve(740),e);}for(var c=0,d;d=Ph(a.Ka,c);)(d=d.Qi())&&x.u(d.se,0,d,[b]),c++;}
	Zh.prototype={toString:function(){return this.Ka?this.Ka.toString():null},wf:function(){return this.Ka?this.Ka.wf():null},Li:function(){return this.Ka?this.Ka.Li():null},bc:function(){return this.Ka?this.Ka.bc():0},shift:function(){return this.Ka?this.Ka.shift():null},fill:function(a,b,c,d,e){if(!(0>=a.bc())){this.Ka=new Mh(a.wf());var f=this.uc,k=new Request,g=a.wf();jb(k,(4==g?"msg":5==g?"send_log":8==g?"heartbeat":"control")+f.xf());k.Mc="POST";k.fe=d||!1;k.td=e||null;this.request=k;d="";e=this.uc.encode(a,
	c,!0);if(null===e)this.request=this.Ka=null;else{f=this.uc.vl(this.request.getFile());k=this.uc.wl(e)+e.length;0<b&&k+f>b&&W.Ga(B.resolve(739),d);do d+=e,Nh(this.Ka,a.shift()),f+=k,0<a.bc()&&(e=this.uc.encode(a,c))&&(k=this.uc.wl(e)+e.length);while(e&&(0==b||f+k<b)&&0<a.bc());this.request.setData(this.uc.Sm(d));}}},Cl:function(){return 0>=this.bc()}};var ai,bi;for(bi in{se:!0})ai=bi;
	function ci(a,b,c,d,e,f,k){this._callSuperConstructor(ci,[b]);this.vm=d;this.th=e;this.N=f;this.c=c;this.mb=a;this.sw=k;}ci.prototype={se:function(a){this._callSuperMethod(ci,ai,[a]);if(!a&&(mg(this.mb,this.N,this.th),!this.sw)){a=this.mb;var b=this.N,c=this.th;ng.a(B.resolve(749),b,c);og(a,b,c);}},Vd:function(){return this.c==this.mb.lj&&this.vm.P[this.th]&&null!=this.vm.P[this.th].query?!1:!0},rf:function(){var a=this.mb,b=this.th,c=this.vm.P[b].query;ng.a(B.resolve(745),c);a.l.Nb(b,c,this);},sh:function(){}};
	Inheritance(ci,pg);var ng=B.o(r.Vr);function di(a,b,c,d){this.active=!1;this.lj=0;this.Nd={};this.Te={};this.Br=0;this.$=a;this.ja=b;this.nf=c;this.l=d;}function mg(a,b,c){ng.a(B.resolve(751),b,c);(b=a.Eb(b,c))&&(a=Dg(a.ja,b.Ed))&&a.Cq(b.D);}function ei(a,b){return a.Te[b]?a.Te[b]:b}function og(a,b,c){ng.a(B.resolve(750));var d=a.Nd[b];if(d&&d.P[c]&&(delete d.P[c],b==r.lb))for(var e in a.Te)if(a.Te[e]==c){delete a.Te[e];break}}
	di.prototype={ta:function(){this.active=!1;this.Nd={};this.Br=0;this.Te={};this.lj++;ng.a(B.resolve(741));},Gg:function(a,b,c,d){ng.a(B.resolve(743));var e=this.Nd[b];null==e&&(e={Qf:0,P:{}},this.Nd[b]=e);e.Qf++;a={LS_message:a,LS_reqId:E.ec()};var f=!1;c?f=!0:a.LS_outcome="false";b!=r.lb&&(a.LS_sequence=encodeURIComponent(b),f=!0,d&&(a.LS_max_wait=d));if(f){if(b==r.lb){d=e.Qf;var k=++this.Br;this.Te[k]=d;d=k;}else d=e.Qf;a.LS_msg_prog=d;}else null==c&&(a.LS_ack="false");d={};d.query=a;d.listener=c;
	e.P[e.Qf]=d;this.active&&(ng.j(B.resolve(744),a),b=new ci(this,this.nf,this.lj,e,e.Qf,b,f),this.l.Nb(e.Qf,a,b));},vi:function(a,b){b=a==r.lb?ei(this,b):b;ng.j(B.resolve(746),a,b);var c=this.Nd[a];c.P[b]&&(null!=c.P[b].query&&(ng.a(B.resolve(747)),c.P[b].query=null),null==c.P[b].listener&&(ng.a(B.resolve(748)),og(this,a,b)));},Eb:function(a,b){return (a=this.Nd[a])&&a.P[b]&&a.P[b].listener?a.P[b].listener:null}};var fi=B.o(r.Ab);
	function gi(a){this.tf=[];this.zl=!1;this.lsc={};this.lsc.LS_window=v["_"+a];this.Rb=this.lsc.window=this.lsc.LS_window;this.sn=this.Rb.LS_u;this.Ye=this.Rb.LS_w;this.sg=this.Rb.LS_e;this.Ur=this.Rb.LS_svrname;this.Sr=this.Rb.LS_n;this.rn=this.Rb.LS_s;this.Tr=this.Rb.LS_o;this.tg=this.Rb.LS_l;this.Rr=this.Rb.LS_MPNREG;this.Qr=this.Rb.LS_MPNOK;this.Pr=this.Rb.LS_MPNDEL;this.Ts=hi(this);}function sh(a,b,c){a.zl||(a.tf.push({p:b,d:c}),fi.h()&&fi.a(B.resolve(756)),x.u(a.Us,0,a));}
	function hi(a){return function(b){try{var c=b.split("\r\n");for(b=0;b<c.length;b++){var d=c[b];if(""!=d)try{var e=new lc(d);switch(mc(e,0)){case "U":try{a.sn(null,[e.I,e.eb].concat(e.Qm));}catch(p){fi.g(B.resolve(761),p);}break;case "REQOK":var f=a;if("REQOK"!=e.yd){var k=ii(f,e.B);null!=k&&k.ve(f);}break;case "SUBOK":a.Ye(6,null,e.I,e.vh,e.uh,-1,-1);break;case "SUBCMD":a.Ye(6,null,e.I,e.vh,e.uh,e.Jl-1,e.Tk-1);break;case "UNSUB":a.Ye(8,null,e.I);break;case "CONOK":a.sg(1,null,e.sessionId,"*"==e.Od?null:
	e.Od,e.na,e.cr);break;case "SERVNAME":a.Ur(e.hg);break;case "CLIENTIP":null!=a.i&&a.i.sj(e.mf);break;case "CONS":a.sg(5,null,e.Hh);break;case "LOOP":a.sg(2,null,e.Au);break;case "PROG":a.sg(7,null,e.D);break;case "CONERR":a.tg(e.s,null,null,e.J);break;case "REQERR":ji(a,e);break;case "ERROR":null!=a.i&&a.i.yc(e.s,e.J);break;case "MSGDONE":f=a;var g=e;L(g,2);f.Ye(5,g.D,g.N,0,0);break;case "MSGFAIL":a.tg(e.s,e.D,"MSG"+e.N,e.J);break;case "EOS":a.Sr(null,[e.I,e.eb]);break;case "CS":a.rn(null,[e.I,e.eb]);
	break;case "OV":a.Tr(null,[e.I,e.eb,e.mh]);break;case "CONF":a.Ye(9,null,e.I,e.frequency);break;case "PROBE":a.sn(null,[]);break;case "SYNC":f=a;var l=L(e,1);f.rn(null,l);break;case "NOOP":break;case "END":a.sg(4,null,e.s,e.J);break;case "MPNREG":a.Rr(e.deviceId,e.Ek);break;case "MPNOK":a.Qr(e.I,e.Be);break;case "MPNDEL":a.Pr(e.Be);break;default:throw Error("Unknown message: "+d);}}catch(p){throw fi.g(B.resolve(760),d,p),Error("Malformed message: "+d);}}}catch(p){a.tg(61,null,null,"Malformed message received");}}}
	function ji(a,b){var c=ii(a,b.B),d=null;null!=c&&(d=function(){c.ue(a,null,b.s,b.J);});null!=a.i&&oh(a.i,b.s,b.J,d);}function ii(a,b){if(null!=a.i){a=a.i.$;var c=a.Uj[b];delete a.Uj[b];if(null!=c)return c}return null}
	gi.prototype={toString:function(){return "[EvalQueue|"+this.tf.length+"]"},kf:function(a){this.i=a;},Us:function(){for(fi.h()&&fi.a(B.resolve(757),this.tf.length);0<this.tf.length;){var a=this.tf.shift();if(this.i&&this.i.lf(a.p))try{this.Ts(a.d);}catch(b){this.zl=!0,this.tf=[],console.log(b),fi.g(B.resolve(759),b,a.d),this.i.ea("eval");}else fi.Ga(B.resolve(758),a.p,a.d,this.i);}},S:function(){}};
	function hc(a){switch(a){case 1:return "No session";case 2:return "WS Streaming";case 3:return "prepare WS Streaming";case 4:return "WS Polling";case 5:return "prepare WS Polling";case 6:return "HTTP Streaming";case 7:return "prepare HTTP Streaming";case 8:return "HTTP Polling";case 9:return "prepare HTTP Polling";case 10:return "Shutting down"}}
	var ki={2:7,6:9,4:3,8:3,_2:3,_6:9,_4:3,_8:7},li={2:7,6:9,4:3,8:3,_2:3,_6:9,_4:3,_8:9},mi={2:3,6:7,4:5,8:9},fc={2:5,6:9,7:9,9:9},ni={3:!0,5:!0,7:!0,9:!0},Z=B.o(r.$e),gc=B.o(r.oc);
	function ti(a,b,c){this.da=E.qh();gc.h()&&gc.a(B.resolve(762),this.da);this.status=1;this.L=0;this.Sk=this.i=null;this.Wc="";this.wa=a;this.ja=b;this.b=a.Bb;this.M=a.Tb;this.Xb=a.le();this.Pb=new Kh(this.b);this.ev=new Wb(this.Xb);u.gf(this);ui(this);this.Tg=null;this.$=new Sh(this,a.Bb);this.lc=new di(this.$,this.ja,this.b,this);this.ca=c;this.Ql=0;this.gh=!1;}function Jg(a,b,c,d,e){eh(a.$,b,c,1,e,d,{ve:function(){},ue:function(f,k,g,l){f.tg(g,k,b,l);}});}
	function Kg(a,b,c,d,e){eh(a.$,b,c,2,e,d,{ve:function(){},ue:function(f,k,g,l){19!=g&&(e.Gi=!0);gc.g(B.resolve(803)+vi(c)+" caused the error: ",g,l);}});}function zg(a,b,c,d){eh(a.$,b,c,9,d,null,{ve:function(){},ue:function(e,f,k,g){d.Gi=!0;gc.g(B.resolve(804)+vi(c)+"] caused the error: "+k+" "+g);}});}
	function ph(a,b,c,d){b==a.L&&(b=ki[a.Wc+a.status]||a.status,gc.j(B.resolve(771),hc(a.status),hc(b)),1==b||10==b?(C.ma(),gc.g(B.resolve(772))):wi(a,!1,"_"==a.Wc,d,3==b||7==b?!1:!0,3==b||5==b?!1:!0,c,!0));}function qh(a,b,c,d){b==a.L&&(b=a.status,gc.j(B.resolve(773),hc(a.status)),ni[b]?a.qc(d,3==b||7==b?!1:!0,3==b||5==b?!1:!0,c):(C.ma(),gc.g(B.resolve(774))));}function rh(a){if(!a.Sa||a.Sa.zl)a.Sa=new gi(a.Xb),a.Sa.kf(a.i);return a.Sa}function bc(a,b){b&&(a=a.$,a.Lh=b,W.a(B.resolve(702),a));}
	function Eh(a){null!==a.Tg&&1E3<n.Ca()-a.Tg&&(a.Tg=null,Fh(a));}function ui(a){v.la(a.Xb,"LS_forceReload",function(){a.i&&a.i.ea("server.exit",{sd:!0});});}function wi(a,b,c,d,e,f,k,g){g||1==a.status||10==a.status?a.createSession(b,c,d,e,f,k,!1):(b&&Vg(),Eh(a),b=b?"api":k,a.Wc=c?"_":"",a.ka(e?f?9:5:f?7:3),a.i instanceof je?a.i.Fe(a.L,b):(ic(a,b),a.i.Fe(a.L,b,d)));}function ic(a,b){x.u(a.jw,a.b.Jm+(ih(a.Pb)||0),a,[a.L,b]);}
	function xi(a,b,c,d,e,f){var k=null!==a.Tg;d=d?Ah:b?Hh:a.gh||f?Hh:je;f&&(k=!1);a.i=new d(b,c,a,a.L,e,k,f,a.ca);e&&e.Rd();a.Pb.kf(a.i);a.Sa&&a.Sa.kf(a.i);a.ev.kf(a.i);}function Fh(a){var b=null!==a.Tg;a.i&&a.i.dg(b);a.$&&a.$.dg(b);}
	ti.prototype={ka:function(a){gc.h()&&gc.a(B.resolve(763),hc(this.status),"->",hc(a));this.status=a;this.L++;},Ba:function(a,b,c){1!=this.status&&10!=this.status&&(a&&(this.gh=!1),this.i&&this.i.Ba(a?"api":b,!1,c));},Hi:function(){1!=this.status&&10!=this.status&&this.i&&this.i.Hi();},Mh:function(a,b,c,d){a==this.L&&this.createSession(!1,this.Wc,c,2===this.status||6===this.status?!1:!0,2===this.status||4===this.status?!1:!0,b,d);},createSession:function(a,b,c,d,e,f,k){a&&Vg();Eh(this);a=a?"api":f;this.Wc=
	b?"_":"";this.$.pc();this.lc.ta();b=this.i?this.i.Fb():null;a="new."+a;this.Ba(!1,a,!1);this.ka(d?e?8:4:e?6:2);null!=this.i&&this.i.Rd(!1);xi(this,d,c,e);this.i.createSession(b,a,k);},qc:function(a,b,c,d){this.ka(b?c?8:4:c?6:2);xi(this,b,a,c,this.i);this.i.qc(d);},Jh:function(a,b,c){gc.a(B.resolve(764),b);a!=this.L?gc.a(B.resolve(765)):(b=mi[this.status]||this.status,a=3==b||7==b?!1:!0,b=3==b||5==b?!1:!0,this.ka(a?b?8:4:b?6:2),xi(this,a,c,b,this.i,!0),this.i.Jh());},Dm:function(){return "_"==this.Wc&&
	mi[this.status]==li[this.Wc+this.status]},gc:function(a,b,c){a==this.L&&(c?(gc.j(B.resolve(766)),this.ka(1)):(a=li[this.status]||this.status,7==a&&aa.$p()&&(a=9),gc.j(B.resolve(767),hc(this.status),hc(a)),1==a||10==a?(C.ma(),gc.g(B.resolve(768))):(this.ka(a),ic(this,b),this.i.Fe(this.L,b,!1))));},jw:function(a,b){a==this.L&&(a=this.status,gc.j(B.resolve(776),hc(this.status)),ni[a]?wi(this,!1,"_"==this.Wc,!1,3==a||7==a?!1:!0,3==a||5==a?!1:!0,"switch.timeout."+b,!0):(C.ma(),gc.g(B.resolve(777))));},El:function(){return this.i?
	this.i.A()||this.i.eq():null},Ri:function(){return this.i?this.i.Ri():r.Xd},Ua:function(){return this.i?this.i.Ua():this.M.Je},Fb:function(){return this.i?this.i.Fb():null},S:function(){this.Sa&&this.Sa.S();u.Sj(this);},Td:function(){this.Ba(!1,"unload",!0);this.ka(10);},le:function(){return this.Xb},Lb:function(a){gc.j(B.resolve(778));bc(this,a);a=this.lc;ng.a(B.resolve(742));if(!a.active){for(var b in a.Nd){var c=a.Nd[b],d;for(d in c.P){var e=c.P[d].query;if(null!=e){var f=new ci(a,a.nf,a.lj,c,d);
	a.l.Nb(d,e,f);}}}a.active=!0;}this.wa.Lb();this.ah(!1);this.Ql=0;},we:function(){0==this.Ql&&this.ca.Yb.Lb();this.Ql++;},Vf:function(a,b){if(a!=this.L)return null;gc.a(B.resolve(779));this.$.pc();this.lc.ta();this.wa.xe();b?this.ka(1):this.ka(this.status);this.ca.Yb.Vf(!b);return this.L},Ij:function(a){var b=Eg(this.ja,a[0]);b?(Z.h()&&Z.a(B.resolve(781),a),b.zh(a)):Z.a(B.resolve(780),this);},Bd:function(a){var b=Eg(this.ja,a[0]);b?(Z.h()&&Z.a(B.resolve(783),a),b.zq(a[0],a[1],a[2])):Z.a(B.resolve(782),
	this);},Ad:function(a){var b=Eg(this.ja,a[0]);b?(Z.h()&&Z.a(B.resolve(785),a),b.wq(a[0],a[1])):Z.a(B.resolve(784),this);},zd:function(a){var b=Eg(this.ja,a[0]);b?(Z.h()&&Z.a(B.resolve(787),a),b.uq(a[0],a[1])):Z.a(B.resolve(786),this);},Cd:function(a,b){Z.h()&&Z.a(B.resolve(788),a,b);this.ka(1);Ig(this.ja,a,b);},Hj:function(a,b,c){var d=Eg(this.ja,a);d?(Z.h()&&Z.a(B.resolve(789),a,b,c),d.Wf(a,b,c)):Z.a(B.resolve(790),this);this.ja.Wf(a);},hc:function(a){var b=Eg(this.ja,a);b?(Z.h()&&Z.a(B.resolve(791),
	a),b.hc(a)):Z.a(B.resolve(792),this);this.ja.hc(a);},ye:function(a,b,c){Z.h()&&Z.a(B.resolve(793),a,b,c);var d=this.ja;d.v[a]&&b==d.v[a].Ch&&(d.v[a].fm=!1);b=Eg(this.ja,a);null!=b?b.ye(a,c):Z.Ga(B.resolve(794),a);},dd:function(a,b,c,d,e){this.ja.dd(a);var f=Eg(this.ja,a);f?(Z.h()&&Z.a(B.resolve(796),a,b,c,d,e),f.dd(a,d,e,b,c)):Z.a(B.resolve(795),this);},uj:function(a,b){Z.h()&&Z.a(B.resolve(797),a,b);this.lc.vi(a,b);},wj:function(a,b){Z.h()&&Z.a(B.resolve(798),a,b);var c=this.lc;b=a==r.lb?ei(c,b):b;ng.j(B.resolve(752),
	a,b);var d=c.Eb(a,b);if(d){var e=Dg(c.ja,d.Ed);e&&e.Aq(d.D);}og(c,a,b);},vj:function(a,b,c,d){Z.h()&&Z.a(B.resolve(799),a,d,b,c);var e=this.lc;c=a==r.lb?ei(e,c):c;ng.j(B.resolve(754),a,c);var f=e.Eb(a,c);if(f){var k=Dg(e.ja,f.Ed);k&&k.Bq(f.D,b,d);}og(e,a,c);},bd:function(a,b){Z.h()&&Z.a(B.resolve(800),a,b);var c=this.lc;b=a==r.lb?ei(c,b):b;ng.j(B.resolve(753),a,b);var d=c.Eb(a,b);if(d){var e=Dg(c.ja,d.Ed);e&&e.bd(d.D);}og(c,a,b);},cd:function(a,b,c,d){Z.h()&&Z.a(B.resolve(801),a,d,b,c);var e=this.lc;c=
	a==r.lb?ei(e,c):c;ng.j(B.resolve(755),a,c);var f=e.Eb(a,c);if(f){var k=Dg(e.ja,f.Ed);k&&k.cd(f.D,b,d);}og(e,a,c);},xh:function(a){this.wa.xh(a);},yj:function(a){Z.h()&&Z.a(B.resolve(802),a);this.wa.yj(a);},sj:function(a){this.Sk&&a!=this.Sk&&Ac.hu()&&(Ac.er(),wi(this,!1,"_"==this.Wc,!1,!1,!1,"ip",!1));this.Sk=a;},fc:function(){this.wa.fc();},tm:function(a,b,c,d){this.lc.Gg(a,b,c,d);},Nb:function(a,b,c){var d=null==b.LS_sequence?r.lb:b.LS_sequence,e="false"!=b.LS_ack;eh(this.$,a,b,4,c,null,{ve:function(f){e&&
	f.Ye(4,a,d,0,0);},ue:function(f,k,g,l){f.tg(g,a,"MSG"+d,l,!0);}});},Ec:function(a,b){var c=this.L;a.LS_build=b;a.LS_phase=c;eh(this.$,null,a,5,null);},jf:function(){this.i&&this.i.jf(new oc({LS_op:"constrain",LS_reqId:E.ec(),LS_requested_max_bandwidth:0<this.b.vb?this.b.vb:"unlimited"},9));},ah:function(a){this.i&&this.i.ah(a);},yc:function(a){gc.g(B.resolve(805),a.stack||a);this.i&&this.i.yc(61,"Internal error: "+a);}};function vi(a){var b="{",c;for(c in a)b+=c+"="+a[c]+" ";return b+"}"}
	ti.prototype.unloadEvent=ti.prototype.Td;var yi={wh:Xa,Tf:Xa,yh:Xa,Lb:Xa,xe:Xa,yq:Xa,Cd:Xa,fc:Xa,ping:Ya,dd:Xa,hc:Xa,wq:Xa,zh:Xa,zq:Xa,uq:Xa,Wf:Xa,bd:Xa,Bq:Xa,cd:Xa,Aq:Xa,Cq:Xa,ye:Xa};function zi(a,b){this.w=a;this.id=b;}zi.methods=yi;
	zi.prototype={bk:function(a){this.target=a;},vq:function(a,b,c){H("ConnectionDetails"==a?this.w.Tb:"ConnectionOptions"==a?this.w.Bb:this.w.oa,b,c);},Ko:function(a){a==this.w.vc()&&Ai(this.w);},Lo:function(a){a==this.w.vc()&&(a=this.w,Bi.j(B.resolve(806)),H(a.oa,"connectionRequested",!1),a.l.Ba(!0,"api",!0));},Mo:function(a){a==this.w.vc()&&(a=this.w,H(a.oa,"connectionRequested",!1),a.l.Hi());},Sq:function(){if(null===this.w)throw"net";return !0},To:function(){x.u(this.w.Po,0,this.w);x.u(this.w.Po,1E3,this.w);},
	Vh:function(a,b){return a!=this.w.vc()?null:this.w.subscribe(this.id,b)},Ve:function(a,b){return a!=this.w.vc()?null:this.w.unsubscribe(b)},nd:function(a,b,c){return a!=this.w.vc()?null:this.w.nd(b,c)},Xg:function(a,b,c,d,e){if(a!=this.w.vc())return null;this.w.tm(b,c,null==d?null:{D:d,Ed:this.id},e);},Fp:function(a){this.w.Ec(a);},S:function(){this.w=null;}};for(var Ci in yi)zi.prototype[Ci]=Va(Ci,yi[Ci]);var Di=n.Cc(),Ei=r.We;isNaN(Ei)&&(Ei=0);var Bi=B.o(r.oc);
	function Fi(a,b,c,d,e,f,k){a=this.oa=new oa(a);a.parent=this;a.de=!0;c=this.Tb=new Ua(c);c.parent=this;c.de=!0;b=this.Bb=new I(b);b.parent=this;b.de=!0;this.iq=null;this.T=new xg(this,this.oa,this.Tb,this.Bb);if(d&&d.bj())this.Fc=d.Ps(this,x.sb(this.S,this),f),f=this.Fc.Qi(),null!=f&&(this.Ok=d.Os(this,f),this.Ok.addListener(this.T)),this.id=this.Fc.id;else{this.Fc=null;do this.id="NS"+Di++;while(v.Ui(this.id,"lsEngine"))}v.la(this.id,"lsEngine",this);this.l=new ti(this,this.T,k);Gi(this,e,r.tn);
	this.oa.Sg&&Ai(this);}function lg(a){var b=a.oe();a.iq!=b&&(a.iq=b,Fg(a.T,b),a.yh&&a.yh(b));}function Ai(a){Bi.j(B.resolve(808));H(a.oa,"connectionRequested",!0);var b=a.Bb.Db;if(null===b)wi(a.l,!0,!1,!1,!1,!1);else{var c=b==r.Eg||b==r.Yd;wi(a.l,!0,c,!c,b==r.$d||b==r.zb,b==r.zb||b==r.Xe||b==r.Yd);}}function Gi(a,b,c){c||(c="LOCAL"+Di++);var d=new zi(a,c);d.bk(b);b.target=d;a.T.Dq(c,d);}
	function Hi(a){var b=a.Bb.Db;Bi.j(B.resolve(807),b);if(null===b){var c=!0,d=!1,e=!1,f=!1;b=!1;}else c=!0,d=b==r.Eg||b==r.Yd,e=!d,f=b==r.$d||b==r.zb,b=b==r.zb||b==r.Xe||b==r.Yd;a=a.l;null!=a.i&&a.i.cc()?wi(a,c,d,e,f,b):(a.status=f?b?9:5:b?7:3,a.i.Hc=!0);}
	Fi.prototype={toString:function(){return "[LightstreamerEngine "+this.id+"]"},le:function(){return this.id},El:function(){return this.l.El()},vc:function(){return this.T.vc()},xe:function(){this.T.xe();},Lb:function(){this.T.Lb();},S:function(){this.l.Ba(!1,"suicide",!0);this.l.S();v.Is(this.id);this.Fc&&this.Fc.S();Hg(this.T,!0);this.T.S();this.Ok&&this.Ok.S();},hf:function(a,b,c){Cg(this.T,function(d){d.wh(a,b,c);});"requestedMaxBandwidth"==b?this.l.jf(c):"forcedTransport"==b?this.oa.Sg&&Hi(this):"reverseHeartbeatInterval"==
	b?this.l.ah(!1):("corsXHREnabled"==b||"xDomainStreamingEnabled"==b)&&Fh(this.l);return !0},xh:function(a){this.Fc&&Ii(this.Fc,a);},yj:function(a){if(this.Fc){var b=this.Fc;a!=b.he&&(b.he=a,b.qa.Gk(a,b.id,b.G));}},oe:function(){return this.l.Ri()},tm:function(a,b,c,d){var e=this.oe();if(e==r.Xd||e==r.oi)return !1;this.l.tm(a,b,c,d);return !0},Ec:function(a){this.l.Ec(a,Ei);return !0},subscribe:function(a,b){var c=this.T;if(c.T[a]&&c.w.El()){var d=E.Iu();c.Dd[a][d]=!0;var e={LS_subId:d};E.Ta(b,e);b=E.Ta(b,
	{LS_op:"add",LS_reqId:E.ec()});e=E.Ta(e,{LS_op:"delete",LS_reqId:E.ec()});c.v[d]=new Lg(a,b,e);wg.a(B.resolve(597));c.Vh(d,1);a=d;}else C.ma(),wg.g(B.resolve(596),c,a),a=void 0;return a},unsubscribe:function(a){var b=this.T;b.v[a]&&!b.v[a].Fh&&b.Ve(a,1);},nd:function(a,b){this.T.nd(a,b);},Po:function(){this.T.Ro();},fc:function(){this.T.fc();},yc:function(a){this.l.yc(a);}};function Ji(a,b,c){this.id=a;this.G=b;this.status=c;}Ji.prototype={oe:function(){return this.status}};
	var Ki={ag:function(a,b){return this.km(b+"_"+a)},tw:function(a,b,c){c=c.join("|");this.write(r.Zd+b+"_"+a,c);},Rk:function(a,b){this.V(r.Zd+b+"_"+a);},lm:function(a){return this.km(a)},kv:function(a){a=this.km(a);if(!a)return null;for(var b=[],c=0;c<a.length;c++){var d=a[c].split("_");if(2==d.length){var e=this.ag(d[1],d[0]);null!=e&&b.push(new Ji(d[0],d[1],e));}}return b},Gk:function(a,b,c){a=r.Zd+a;b+=c?"_"+c:"";c=this.read(a);if(!c)c="|";else if(-1<c.indexOf("|"+b+"|"))return !1;this.write(a,c+(b+
	"|"));return !0},Kh:function(a,b,c){a=r.Zd+a;b+=c?"_"+c:"";if(c=this.read(a))b="|"+b+"|",-1<c.indexOf(b)&&(c=c.replace(b,"|"),"|"==c?this.V(a):this.write(a,c));},getAllKeys:function(){for(var a=this.keys(),b=[],c=0;c<a.length;c++)0==a[c].indexOf(r.Zd)&&(a[c]=a[c].substring(r.Zd.length),b.push(a[c]));return b},km:function(a){a=r.Zd+a;a=this.read(a);if(!a)return null;a=a.split("|");""==a[0]&&a.shift();""==a[a.length-1]&&a.pop();return 0<a.length?a:null}},Li=E.Ta({read:function(a){return localStorage.getItem(a)},
	write:function(a,b){localStorage.setItem(a,b);},V:function(a){localStorage.removeItem(a);},keys:function(){for(var a=[],b=0;b<localStorage.length;b++)a.push(localStorage.key(b));return a}},Ki),Mi=function(){var a=!1,b={Mg:function(){return a},rl:function(){return this.Mg()?document.cookie.toString():null},Tm:function(c,d){this.Er(c,d,"");},Er:function(c,d,e){this.Mg()&&(c=encodeURIComponent(c)+"="+d+"; "+e+"path=/;",document.cookie=c);},Oj:function(c){if(!this.Mg())return null;c=encodeURIComponent(c)+
	"=";var d=this.rl();d=d.split(";");for(var e=0;e<d.length;e++)if(d[e]=n.trim(d[e]),0==d[e].indexOf(c))return d[e].substring(c.length,d[e].length);return null},nm:function(c){if(this.Mg()){var d=new Date;d.setTime(d.getTime()-864E5);this.Er(c,"deleting","expires="+d.toUTCString()+"; ");}},Hs:function(){if(m.ba()&&("http:"==document.location.protocol||"https:"==document.location.protocol)){a=!0;var c="LS__cookie_test"+n.Cc();this.Tm(c,"testing");var d=this.Oj(c);if("testing"==d&&(this.nm(c),d=this.Oj(c),
	null==d))return;a=!1;}}};b.Hs();b.areCookiesEnabled=b.Mg;b.getAllCookiesAsSingleString=b.rl;b.writeCookie=b.Tm;b.removeCookie=b.nm;b.readCookie=b.Oj;return b}(),Ni=E.Ta({read:function(a){return Mi.Oj(a)},write:function(a,b){Mi.Tm(a,b);},V:function(a){Mi.nm(a);},keys:function(){var a=Mi.rl().split(";");for(var b=0;b<a.length;b++)a[b]=n.trim(a[b]),a[b]=a[b].substring(0,a[b].indexOf("=")),a[b]=decodeURIComponent(a[b]);return a}},Ki),Oi=[],Pi=r.af+r.Pn;
	function Qi(a){this._callSuperConstructor(Qi);this.qa=a;this.hk=null;}function Ri(a,b,c,d){if(!c){c=b.split("_");if(2!=c.length)return !1;b=c[0];c=c[1];}var e=a.qa.ag(c,b);return e?d?d-e[r.mi]>Pi?(a.qa.Rk(c,b),!1):!0:!0:!1}
	Qi.prototype={start:function(){this.hk&&x.Pe(this.hk);this.hk=x.Jg(this.Uo,6E4,this);x.u(this.Uo,0,this);},V:function(){x.Pe(this.hk);for(var a=0;a<Oi.length;a++)if(Oi[a]==this){Oi.splice(a,1);break}},Uo:function(){for(var a=n.Ca(),b=this.qa.getAllKeys(),c=0;c<b.length;c++)0<b[c].indexOf("_")&&Ri(this,b[c],null,a);for(c=0;c<b.length;c++)if(-1>=b[c].indexOf("_")){a=b[c];for(var d=this.qa.lm(a),e=0;e<d.length;e++)0<d[e].indexOf("_")?Ri(this,d[e])||this.qa.Kh(a,d[e]):Ri(this,d[e],a)||this.qa.Kh(a,d[e]);}}};
	Inheritance(Qi,fd,!1,!0);var Si=new Qi(Li),Ti=new Qi(Ni),Ui=E.No()?Si:Ti,Vi={},Wi=E.Ta({read:function(a){return Vi[a]},write:function(a,b){Vi[a]=b;},V:function(a){delete Vi[a];},keys:function(){var a=[],b;for(b in Vi)a.push(b);return a}},Ki);function Xi(){return m.ba()&&"undefined"!==typeof SharedWorker&&"undefined"!==typeof Blob&&window.URL}var Yi=r.li,Zi=B.o(r.Sb);function $i(){this._callSuperConstructor($i);this.mc=this.Wd=null;}$i.es='var listeners={},nextId=0,MASTER="MASTER",REMOTE="REMOTE",INITIALIZATION="INITIALIZATION",REMOVE="REMOVE",ALL="ALL",FAILED="FAILED",KILL="KILL";onconnect=function(a){var b=a.ports[0];a=nextId++;listeners[MASTER]||(a=MASTER);listeners[a]=b;b.addEventListener("message",function(a){a=a.data;if(a.type==REMOVE)delete listeners[a.target];else if(a.type==KILL)terminate();else if(a.target===ALL)for(var c in listeners)listeners[c]!=b&&sendMessage(c,a,b);else sendMessage(a.target,a,b)});b.start();b.postMessage({type:INITIALIZATION,id:a});a!==MASTER&&listeners[MASTER].postMessage({type:REMOTE,id:a})};function sendMessage(a,b,d){(a=listeners[a])?a.postMessage(b):(b.type=FAILED,d.postMessage(b))}function terminate(){self.close();for(var a in listeners)listeners[a].close()};';
	$i.prototype={Hb:function(){return null!==this.mc},start:function(a){var b=new SharedWorker(a);a=new Promise(function(d,e){b.onerror=function(){Zi.j(B.resolve(810));e("SharedWorker broken");};});this.Wd=b.port;var c=this;this.Wd.onmessage=function(d){c.xj(d.data);};this.Wd.start();return a},S:function(){try{this.mc==Yi&&this.Wd.postMessage({type:"KILL"}),this.Wd.close();}catch(a){}this.Wd=null;},xj:function(a){try{if(Zi.h()){var b="RECEIVED",c;for(c in a)b+=" "+c.toString()+":"+a[c];Zi.a(b);}"INITIALIZATION"==
	a.type?(this.mc=a.id,this.dispatchEvent("onReady")):"REMOTE"==a.type?this.dispatchEvent("onRemote",[a.id]):"FAILED"==a.type?this.dispatchEvent("onMessageFail",[a.target,a.Ll]):this.dispatchEvent("onMessage",[a]);}catch(d){Zi.g(B.resolve(813),d);}},br:function(a){a||(a=this.mc);try{this.Wd.postMessage({type:"REMOVE",target:a});}catch(b){}},Nb:function(a,b,c,d){if(!this.Hb())return !1;b={type:b,sender:this.mc,target:a,Ll:c,Ac:d};if(Zi.h()){d="SENDING";for(var e in b)d+=" "+e.toString()+":"+b[e];Zi.a(d);}try{this.Wd.postMessage(b);}catch(f){Zi.g(B.resolve(814),
	f),this.dispatchEvent("onMessageFail",[a,c]);}return !0}};Inheritance($i,Tb);var aj=B.o(r.Sb),bj=r.li;function cj(){this._callSuperConstructor(cj);this.ee={};this.mc=null;this.dv=1;}function dj(a,b,c,d,e){try{a.ee[b]&&a.ee[b].xj?x.u(function(){try{a.ee[b].xj(b,a.mc,c,d,e);}catch(f){-2147467260!=f.tq&&(aj.g(B.resolve(816),f),a.dispatchEvent("onMessageFail",[b,d]));}},0):a.dispatchEvent("onMessageFail",[b,d]);}catch(f){a.dispatchEvent("onMessageFail",[b,d]);}}
	cj.prototype={Hb:function(){return null!==this.mc},start:function(a){this.ready=!0;if(a){this.ee[bj]=a;var b=this;x.u(function(){try{a.connect(b);}catch(c){-2147467260!=c.tq&&aj.g(B.resolve(815),c);}},0);}else this.mc=bj,this.dispatchEvent("onReady");},S:function(){},connect:function(a){x.u(this.ri,0,this,[a]);},ri:function(a){var b=this.dv++;this.ee[b]=a;this.dispatchEvent("onRemote",[b]);this.Nb(b,"INITIALIZATION",-1,[b]);},br:function(a){delete this.ee[a];},Nb:function(a,b,c,d){if(!this.Hb())return !1;
	if("ALL"==a)for(var e in this.ee)dj(this,e,b,c,d);else dj(this,a,b,c,d);return !0},xj:function(a,b,c,d,e){a={target:E.tc(a),type:E.tc(c),Ll:E.tc(d),sender:E.tc(b)};if(e)for(a.Ac=[],b=0;b<e.length;b++)a.Ac[b]=E.tc(e[b]);try{"INITIALIZATION"==a.type?(this.mc=a.Ac[0],this.dispatchEvent("onReady")):this.dispatchEvent("onMessage",[a]);}catch(f){-2147467260!=f.tq&&aj.g(B.resolve(817),f);}}};Inheritance(cj,Tb,!1,!0);var ej=B.o(r.Sb),fj=E.No()?Li:Ni,gj=n.Cc();
	function hj(a,b){this.G=a;this.w=b;this.ha=this.id=null;this.qa=Wi;}var Ag=r.mi;function Ii(a,b){a.he!=b?null==a.he?ej.Ga(B.resolve(821),b):ej.g(B.resolve(822),a.he,b):a.he=null;a.qa.Kh(b,a.id,a.G);}function ij(a,b){do a.id=gj++;while(v.Ui(a.id,"lsEngine"));b||(a.qa.Gk(a.G,a.id)?a.qa.ag(a.G,a.id)&&ij(a):ij(a));}function jj(a,b){a.ha.addListener({onReady:function(){kj(a);a.fk=x.u(a.ps,0,a);a.ha.removeListener(this);}});a.ha.start(b);}
	function kj(a){a.hj=n.Ca()+a.Dp;a.qa.tw(a.G,a.id,[a.hj,a.bb,a.host,r.We,r.ug,a.Og]);}function lj(a){a.qa.Rk(a.G,a.id);a.qa.Kh(a.G,a.id);a.im=!0;}
	hj.prototype={toString:function(){return ["[SharedStatus",this.id,this.G,"]"].join("|")},Qi:function(){return this.ha},Hg:function(){this.hr=!0;u.Fk(this);u.gf(this);},ps:function(){this.Km=x.Jg(this.lv,r.af,this);ej.j(B.resolve(820),this);},Gp:function(){var a=this.bb;a==r.nc&&(a=E.rm("LSF__"+E.je()+"_"+this.id+"_"+this.G),this.ha=new cj,v.la(this.id,r.ji,this.ha));Xc.me(a,!0)?(this.dk=500,jj(this)):(this.fk=x.u(this.Gp,this.dk,this),this.dk*=2);return a},lv:function(){if(this.im)ej.a(B.resolve(823)),
	this.im=!1;else{var a=!1;if(this.Hm){ej.a(B.resolve(824),this);var b=this.qa.lm(this.G);if(b){ej.a(B.resolve(826),this.G);for(var c=0;c<b.length;c++)if(b[c]!=this.id){var d=this.qa.ag(this.G,b[c]);if(d)if(d[r.Wm]!=r.We||d[r.On]!=r.ug)ej.a(B.resolve(828),b[c]);else if(d[Ag]==this.hj&&(this.Dp=n.Cc(5)),d[Ag]>this.hj){a:{var e=b[c];d=d[Ag];ej.a(B.resolve(830),e+" with a newer status");if(this.ph[e]){if(this.ph[e]==d||this.Ws[e]){d=!1;break a}ej.j(B.resolve(831),this.id);this.V();this.Hm&&x.aa(this.Hm);}this.ph[e]=
	d;d=!0;}a|=d;}else this.ph[b[c]]&&delete this.ph[b[c]];else ej.a(B.resolve(827),b[c]);}}else ej.a(B.resolve(825),this);}a||(ej.a(B.resolve(829)),this.qa.Gk(this.G,this.id),kj(this));}},V:function(){ej.j(B.resolve(832),this);x.Pe(this.Km);x.Pe(this.fk);this.fk=this.Km=null;this.bb!=r.nc?Xc.el(this.bb):this.Og!=r.nc&&window.URL.revokeObjectURL(this.Og);this.Og=this.bb=r.nc;Ii(this,this.he);this.G&&v.qv(this.G,this.w);this.ha&&(v.Qk(this.id,r.ji),v.Qk(this.id,r.pi));this.ha=null;lj(this);},Td:function(){this.V();},
	jm:function(){lj(this);},S:function(){this.V();u.mm(this);u.Sj(this);for(var a=this.ct?Ti:Ui,b=0;b<Oi.length;b++)Oi[b]==a&&a.Ii();}};hj.prototype.unloadEvent=hj.prototype.Td;hj.prototype.preUnloadEvent=hj.prototype.jm;var mj=0;function nj(a,b,c){this.receiver=a;this.target=c;this.id=mj++;this.buffer=[];this.ready=!1;this.Hd={};this.Hu=0;b&&(this.ha=b,b.addListener(this),b.Hb()&&this.Zl());}
	nj.prototype={S:function(a){this.ha&&!a&&this.ha.S();},Ou:function(){this.ha.Hb()&&this.Zl();},Zl:function(){if(!this.ready){this.ready=!0;for(var a=0;a<this.buffer.length;a++){var b=this.buffer[a],c=this.call(b.method,b.Ac,b.Ap);b.Ap&&b.iv(c);}this.buffer=[];}},Pu:function(a){var b=a.sender,c=a.Ll,d=a.type;a=a.Ac;"RESPONSE"==d?this.Hd[c]&&(this.Hd[c].ok(a[0]),delete this.Hd[c]):b===this.target&&(d=this.receiver[d].apply(this.receiver,a),"undefined"!==typeof d&&this.ha.Nb(b,"RESPONSE",c,[d]));},Vl:function(a,
	b){this.Hd[b]&&(this.Hd[b].qj(r.Zr),delete this.Hd[b]);},call:function(a,b,c,d){b=E.yi(b);if(this.ready){var e=this.id+"_"+this.Hu++;this.ha.Nb(this.target,a,e,b);if(c){var f=this;return new Promise(function(g,l){f.Hd[e]={ok:g,qj:l};d&&x.u(function(){f.Hd[e]&&l(r.$r);},d);})}}else{var k={target:this.target,method:a,Ac:b,Ap:c,Jw:d};this.buffer.push(k);if(c)return new Promise(function(g){k.iv=g;})}}};nj.prototype.onReady=nj.prototype.Zl;nj.prototype.onMessageFail=nj.prototype.Vl;
	nj.prototype.onMessage=nj.prototype.Pu;nj.prototype.onListenStart=nj.prototype.Ou;function oj(a,b){this.channel=new nj(this,a,b);}function pj(a,b){return b.Hk?function(){return this.channel.call(a,[this.wb].concat(E.yi(arguments)),b.Rm,b.dr)}:function(){return this.channel.call(a,arguments,b.Rm,b.dr)}}oj.prototype={};var qj,rj;for(rj in{S:!0})qj=rj;function sj(a,b,c){this._callSuperConstructor(sj,[a,c]);this.channel=new nj(this,b,c);}sj.prototype={S:function(){this._callSuperMethod(sj,qj);this.channel.S(!0);}};
	var tj=zi.methods;for(rj in tj)sj.prototype[rj]=pj(rj,tj[rj]);Inheritance(sj,zi);Inheritance(sj,oj,!0);function uj(a,b){this._callSuperConstructor(uj);this.ha=b;this.w=a;this.ha.addListener(this);}uj.prototype={Uu:function(a){var b=new sj(this.w,this.ha,a);this.dispatchEvent("onNewPushPage",[a,b]);},Vl:function(a){this.ha.br(a);this.dispatchEvent("onPushPageLost",[a]);},S:function(){this.ha.S();}};uj.prototype.onRemote=uj.prototype.Uu;uj.prototype.onMessageFail=uj.prototype.Vl;Inheritance(uj,Tb);
	var vj,wj;for(wj in{S:!0})vj=wj;var xj=B.o(r.Sb),yj=2E3;function zj(a,b){this._callSuperConstructor(zj,[a]);this.xp="remote";this.channel=new nj(this,b,r.li);Aj(this,b);}function Aj(a,b){b.Hb()?Bj(a,b):(b.addListener({onReady:function(){Bj(a,b);}}),x.u(a.qw,yj,a));}function Bj(a,b){b.mc==r.li&&(xj.j(B.resolve(833),a.Xb+" is a master but should be a slave: engine must die"),x.u(a.Tf,0,a,[!1,!0]));}zj.prototype={qw:function(a){a.Hb()||(yj*=2,this.Tf());},S:function(){this._callSuperMethod(zj,vj);this.channel.S(void 0);}};
	var Cj=ab.methods;for(wj in Cj)zj.prototype[wj]=pj(wj,Cj[wj]);Inheritance(zj,ab);Inheritance(zj,oj,!0);
	var Dj=function(){function a(){this.Xq=null;}function b(l,p){return "var callFun = "+function(t,q){window.name!=t||window!=top||window.Lightstreamer&&window.Lightstreamer.Fr||(window.name=q,window.close());}.toString()+"; callFun('"+l+"', '"+p+"');"}var c=0,d=0,e=!1,f=!1,k=B.o(r.Sb),g=[];a.prototype={xu:function(l,p){var t=null;try{g[l]&&(t=g[l]);}catch(J){t=null;}if(t&&(delete g[l],this.jq(t,l,p)))return !0;a:{t="javascript:"+('eval("'+b(l,l+"__TRASH")+'; ")');var q=null;k.a(B.resolve(834));if(f)t=!1;
	else{try{try{if(window.SymError){var G=!0;-5>d-c&&(G=!1);if(window.SymRealWinOpen&&G){c++;var D=window.SymRealWinOpen(t,l,"height=100,width=100",!0);}else e||(e=!0,k.Ga(B.resolve(836))),c=0,D=null;}else D=window.open(t,l,"height=100,width=100",!0);q=D;}catch(J){q=null;}}catch(J){k.a(B.resolve(835),J);t=!1;break a}if(q)try{d++;}catch(J){f=!0;}t=q;}}if(!1===t)return k.a(B.resolve(837)),!1;if(!t)return k.a(B.resolve(838)),!0;k.a(B.resolve(839));this.jq(t,l,p);return !0},jq:function(l,p,t){try{k.a(B.resolve(840));
	if(l.closed)return k.a(B.resolve(841)),!1;var q=l;if(t){if(l==l.top&&!l.Lightstreamer){k.a(B.resolve(842));try{l.name!=p&&l.name!=p+"__TRASH"||l.close();}catch(G){k.a(B.resolve(843),G);}return !1}q=l.parent;if(null==q)return k.a(B.resolve(844)),!1}if(!q.Lightstreamer)return k.a(B.resolve(845)),!1;if(!q.Lightstreamer.Fr)return k.a(B.resolve(846)),!1;k.a(B.resolve(847));this.Xq=q;g[p]=l;}catch(G){return k.a(B.resolve(848),G),!1}return !0}};return a}(),Ej={};function Fj(a){this.bb=a;}
	function Gj(a){if(Ej[a.bb])return Promise.resolve(null);var b=new Dj;return b.xu(a.bb,!0)?(b=b.Xq,null==b?(Ej[a.bb]=!0,Promise.resolve(null)):Promise.resolve(b)):Promise.resolve(null)}Fj.prototype={};var Hj=B.o(r.Sb);function Ij(a,b){fj.Rk(b,a);fj.Kh(b,a);}function Jj(a,b,c,d,e,f,k){this.G=b;this.yu=e;this.hm=c;this.Rq=d;this.Qd=f;this.$g=0;this.Qg={};this.He=0;this.client=a;this.pm=!1;this.Lg=k||r.Gr;this.qj=this.ok=null;this.rh=!1;}function Lj(a){a.pm=!0;a.qj();a.stop();}
	function Mj(a){return new Promise(function(b,c){a.ok=b;a.qj=c;})}function Nj(a,b){a.pm=!0;a.ok(b);a.stop();}function Oj(a){"CREATE"==a.Rq?(Hj.j(B.resolve(851)),Nj(a,null)):"WAIT"==a.Rq?(Hj.j(B.resolve(852),1E3),x.u(a.be,1E3,a,[a.He,!1])):(Hj.j(B.resolve(853)),Lj(a));}
	function Pj(a,b,c,d){if("ABORT"==a.hm)Hj.j(B.resolve(854)),Lj(a);else if("IGNORE"!=a.hm){Hj.j(B.resolve(855),d);if(1==b){var e=new ab(a.client);Gi(c,e);}else b=2==b?new cj:new $i,c=b.start(c),e=new zj(a.client,b),c.then(null,function(){Hj.j(B.resolve(856),d+" must die");e.Tf(!1,!0);});bb(e,d);Nj(a,e);}else Hj.j(B.resolve(857)),a.stop();}
	function Qj(a,b,c){if(a.$g!=b)return Promise.resolve(null);var d=r.af,e=r.af+r.Pn;return new Promise(function(f){if(c)for(var k in c){var g=fj.ag(a.G,k);if(g&&g[r.mi]!=c[k]){a.Qg[k]=!0;f({id:k,values:g});return}}var l={};if(k=fj.lm(a.G))for(var p=!1,t=0;t<k.length;t++)if(!a.Qg[k[t]])if(g=fj.ag(a.G,k[t]),!g||5>g.length)Ij(k[t],a.G),Hj.a(B.resolve(871),k[t]);else if(g[r.Wm]!=r.We||g[r.On]!=r.ug)Hj.a(B.resolve(872),g);else{var q=parseInt(g[r.mi]),G=n.Ca()-q,D=g[r.Vm]!=r.nc||"ATTACH:FAST"==a.hm;if(G<=
	(D?d:e)){if(D){a.Qg[k[t]]=!0;f({id:k[t],values:g});return}p=!0;l[k[t]]=q;}else D&&G<=e?(p=!0,l[k[t]]=q):6E4<G&&(Hj.j(B.resolve(873)),Ij(k[t],a.G));}p?(Hj.a(B.resolve(874)),x.u(function(){Qj(a,b,l).then(function(J){f(J);});},r.af)):c?(Hj.a(B.resolve(875)),f(null)):(Hj.a(B.resolve(876),a.Lg),x.u(function(){Qj(a,b,{}).then(function(J){f(J);});},a.Lg));})}
	Jj.prototype={stop:function(){Hj.j(B.resolve(850));this.He++;this.pm||Lj(this);},find:function(a){this.Qg=a||{};a=Mj(this);this.be(this.He,!1);return a},tl:function(){return this.Qg},be:function(a,b){if(this.He==a)if(a=++this.He,Hj.a(B.resolve(858)),this.yu)Hj.a(B.resolve(860)),Oj(this);else if(this.Qd){Hj.a(B.resolve(861));try{var c=this.Qd.Lightstreamer,d=c.Vt(this.G);Hj.a(B.resolve(862),d+" ("+this.G+").");if(null!=d){var e=d.le();if(c.Ui(e,r.pi)){Pj(this,3,c.Lp(e,r.pi),e);return}if(c.Ui(e,r.ji)){Pj(this,
	2,c.Lp(e,r.ji),e);return}}else 1==b&&(this.rh=!0);}catch(g){Hj.a(B.resolve(863),g);}this.Qd=null;this.be(this.He,!1);}else{Hj.a(B.resolve(864));var f=this,k=++this.$g;x.u(function(){k==f.$g&&f.$g++;},r.ds);Qj(this,this.$g).then(function(g){if(a==f.He)if(Hj.a(B.resolve(865)),null==g)Hj.a(B.resolve(866)),Oj(f);else{Hj.j(B.resolve(867),g.id);var l=g.values,p=l[r.Vm],t=l[r.Ir];if(p!==r.nc)try{Hj.a(B.resolve(868),g.id+" shares through shared worker",p),Pj(f,3,p,g.id);}catch(q){f.be(a,!1);}else t!==
	r.nc?(Hj.a(B.resolve(869),g.id+" shares through direct communication",t),g=Gj(new Fj(t)),null!=g?g.then(function(q){f.Qd=q;q||(f.rh=!0);f.be(a,!0);}):f.be(a,!1)):(Hj.j(B.resolve(870),l),f.be(a,!1));}});}}};
	var Rj={stop:function(){},find:function(){return Promise.resolve(null)},tl:function(){return {}}},Sj={stop:function(){},find:function(){return Promise.reject(null)},tl:function(){return {}}},Tj=function(){function a(k,g,l,p,t){if(!k)throw new z("The share name is missing");if(!b.test(k))throw new z("The given share name is not valid, use only alphanumeric characters");if(!d[l])throw new z("sharePolicyOnNotFound must be one of: CREATE, ABORT, WAIT");if(!c[g])throw new z("sharePolicyOnFound must be one of: ATTACH, ATTACH:FAST, IGNORE, ABORT");
	this.De=this.Tc(p,!0);if(!m.ba()){if(e[g])throw new z("ATTACH* can only be used if the LightstreamerClient is loaded inside a browser document");this.De=!0;}"file:"!=r.ug||p||(f.Ga(B.resolve(877)),p=!0);this.De=p;this.G=k;this.hd=g;this.Sh=l;this.Qd=t;this.Lg=null;this.qq=!1;f.h()&&f.a(B.resolve(878),"shareName="+this.G,"sharePolicyOnFound="+this.hd,"sharePolicyOnNotFound="+this.Sh,"preventCrossWindowShare="+this.De,"shareRef="+this.Qd);}var b=/^[a-zA-Z0-9]*$/,c={ATTACH:!0,"ATTACH:FAST":!0,IGNORE:!0,
	ABORT:!0},d={CREATE:!0,ABORT:!0,WAIT:!0},e={ATTACH:!0,"ATTACH:FAST":!0},f=B.o(r.Sb);a.prototype={Ps:function(k,g,l){k=new hj(this.G,k);if(this.De)k.hr||(ij(k,!0),v.Ho(k.G,k.w),ej.j(B.resolve(819)),k.Hg());else if(g=this.Bs()?null:g,!k.hr){k.Ws=l||{};k.hj=null;k.dk=500;k.Hm=g;k.he=null;k.host=location.host;k.bb=r.nc;k.Og=r.nc;k.im=!1;k.Dp=0;k.qa=fj;b:{for(g=0;g<Oi.length;g++)if(Oi[g]==Ui){Ui.jk();break b}Oi.push(Ui);Ui.jk();Ui.start();}k.ct=void 0;k.fk=null;k.Km=null;ij(k);v.Ho(k.G,k.w);k.ha=null;Xi()?
	(g=window.URL.createObjectURL(new Blob([$i.es])),k.ha=new $i,jj(k,g),v.la(k.id,r.pi,g),k.Og=g):k.bb=k.Gp();k.ph={};ej.j(B.resolve(818));k.Hg();}return k},Os:function(k,g){return new uj(k,g)},Bs:function(){return "IGNORE"===this.hd||this.qq},rh:function(){this.qq=!0;},Ns:function(k,g){g=new a(this.G,g?"IGNORE":this.hd,"ATTACH"==this.hd||"ATTACH:FAST"==this.hd?"CREATE":this.Sh,this.De,this.Qd);g.Lg=k;return g},Zs:function(k){if("IGNORE"==this.hd&&"CREATE"==this.Sh)return f.j(B.resolve(879)),Rj;if("IGNORE"!=
	this.hd&&"ABORT"!=this.hd||"ABORT"!=this.Sh)return f.j(B.resolve(881)),new Jj(k,this.G,this.hd,this.Sh,this.De,this.Qd,this.Lg);f.j(B.resolve(880));return Sj},Wt:function(){return this.G},bj:function(){return this.De||Xi()}};a.prototype.getShareName=a.prototype.Wt;Inheritance(a,da,!0,!0);return a}();function Uj(a){return {enableSharing:function(b,c,d,e,f){c==d&&"ABORT"==c?a.fl(null):a.fl(new Tj(b,c,d,e,f));},isMaster:function(){return a.Wp()}}}function Vj(a,b,c){this.Fd=a;this.gj=b;this.cg=c;}
	Vj.prototype={Mu:function(a,b,c){this.Fd.Vi(this.gj,this.cg)&&(Fb(b,1,"Unexpected item position"),this.Fd.fw(this.cg,c));},Wf:function(a,b){this.Fd.Vi(this.gj,this.cg)&&this.Fd.gw(a,b,this.cg);},Nu:function(a){if(this.Fd.Vi(this.gj,this.cg)){Fb(a.yf(),1,"Unexpected item position");a=a.ll();this.Fd.Rv(a.length-2);var b=this.Fd,c=this.gj,d=[];d[0]=b.Jc;d[1]=c;d.Sc=[];c=b.Kp()+2;for(var e=2,f=2;f<c;f++)f==b.keyCode+1?d[f]=this.cg:f==b.nb+1?d[f]="UPDATE":f<=b.Y.Jb+1?d[f]=r.Dg:(d[f]=a[e],a.Nm[e]?d[f]=r.Dg:
	d.Sc.push(f-1),e++);return this.Fd.update(d,!1,!0)}}};Vj.prototype.onSubscriptionError=Vj.prototype.Wf;Vj.prototype.onItemUpdate=Vj.prototype.Nu;Vj.prototype.onItemLostUpdates=Vj.prototype.Mu;var Wj=B.o(r.di);function Xj(a,b,c,d,e){this.fj=b;this.Hl=a;this.ns=d;this.Y=c;this.Ud=e;}
	Xj.prototype={Si:function(){return this.Hl},yf:function(){return this.fj},Gb:function(a){a=this.md(a);return (a=this.Ud[a])&&a.Qw?a.value:a},Af:function(){return null},wd:function(a){a=this.md(a);return !this.Ud.Nm[a]},Jf:function(){return this.ns},nl:function(a){for(var b=this.Ud.Sc,c=0;c<b.length;c++){var d=this.Y.getName(b[c]),e=this.Ud[b[c]+1];try{a(d,b[c],e);}catch(f){Wj.kh(f,B.resolve(882));}}},Ni:function(a){for(var b=2;b<this.Ud.length;b++){var c=b-1,d=this.Y.getName(c),e=this.Ud[b];try{a(d,c,
	e);}catch(f){Wj.kh(f,B.resolve(883));}}},md:function(a){a=isNaN(a)?this.Y.vd(a):a;if(null==a)throw new z("the specified field does not exist");if(0>=a||a>Yj(this.Y)+1)throw new z("the specified field position is out of bounds");return a+1},ll:function(){return this.Ud}};Xj.prototype.getItemName=Xj.prototype.Si;Xj.prototype.getItemPos=Xj.prototype.yf;Xj.prototype.getValue=Xj.prototype.Gb;Xj.prototype.getValueAsJSONPatchIfAvailable=Xj.prototype.Af;Xj.prototype.isValueChanged=Xj.prototype.wd;
	Xj.prototype.isSnapshot=Xj.prototype.Jf;Xj.prototype.forEachChangedField=Xj.prototype.nl;Xj.prototype.forEachField=Xj.prototype.Ni;var Zj=B.o(r.di),ak={Gb:function(){return null},Af:function(){return null},wd:function(){return !1}};function bk(a,b){this.jv=a;this.Hl=a.Si();this.fj=a.yf();this.Y=a.Y;this.dw=a.Jf();this.Rl=a.Ud.length-2;this.Bp={};for(a=1;a<=this.Rl;a++){var c=b.Gl.get(this.fj,a);null!=c&&(this.Bp[a]=ck(c));}}function dk(a,b){a=a.Bp[b];return null!=a?a:ak}
	bk.prototype={Si:function(){return this.Hl},yf:function(){return this.fj},Gb:function(a){a=this.md(a);return dk(this,a).Gb()},Af:function(a){a=this.md(a);return dk(this,a).Af()},wd:function(a){a=this.md(a);return dk(this,a).wd()},Jf:function(){return this.dw},nl:function(a){for(var b=1;b<=this.Rl;b++){var c=dk(this,b);if(c.wd()){var d=this.Y.getName(b);c=c.Gb();try{a(d,b,c);}catch(e){Zj.kh(e,B.resolve(884));}}}},Ni:function(a){for(var b=1;b<=this.Rl;b++){var c=this.Y.getName(b),d=dk(this,b).Gb();try{a(c,
	b,d);}catch(e){Zj.kh(e,B.resolve(885));}}},ll:function(){return this.jv.ll()},md:function(a){a=isNaN(a)?this.Y.vd(a):a;if(null==a)throw new z("the specified field does not exist");if(0>=a||a>Yj(this.Y))throw new z("the specified field position is out of bounds");return a}};bk.prototype.getItemName=bk.prototype.Si;bk.prototype.getItemPos=bk.prototype.yf;bk.prototype.getValue=bk.prototype.Gb;bk.prototype.getValueAsJSONPatchIfAvailable=bk.prototype.Af;bk.prototype.isValueChanged=bk.prototype.wd;
	bk.prototype.isSnapshot=bk.prototype.Jf;bk.prototype.forEachChangedField=bk.prototype.nl;bk.prototype.forEachField=bk.prototype.Ni;function ek(){this.Qb=null;this.Jb=0;}function Yj(a){return a.Qb?a.Jb+a.Qb.Jb:a.Jb}ek.prototype={ig:function(a){this.Jb=a;}};function fk(a){this._callSuperConstructor(fk);this.list=a;for(var b={},c=0;c<a.length;c++)b[a[c]]=c+1;this.gr=b;this.Jb=a.length;}
	fk.prototype={ig:function(){},ul:function(){return this.list.join(" ")},vd:function(a){return this.gr[a]?this.gr[a]:this.Qb?(a=this.Qb.vd(a),null!==a?a+this.Jb:null):null},getName:function(a){return a>this.Jb&&this.Qb?this.Qb.getName(a-this.Jb):this.list[a-1]||null},Xc:function(){return this.list}};Inheritance(fk,ek);function gk(a){this._callSuperConstructor(gk);this.name=a;}
	gk.prototype={ul:function(){return this.name},vd:function(a){return this.Qb?(a=this.Qb.vd(a),null!==a?a+this.Jb:null):null},getName:function(a){return this.Qb?this.Qb.getName(a-this.Jb):null},Xc:function(){return this.name}};Inheritance(gk,ek);
	var hk=function(){function a(b){this.ia=b||{};}a.prototype={dh:function(b,c,d){c in this.ia||(this.ia[c]={});this.ia[c][d]=b;},get:function(b,c){return b in this.ia&&c in this.ia[b]?this.ia[b][c]:null},hp:function(b,c){if(!(!b in this.ia)){c in this.ia[b]&&delete this.ia[b][c];for(var d in this.ia[b])return;delete this.ia[b];}},insertRow:function(b,c){this.ia[c]=b;},Pt:function(b){return b in this.ia?this.ia[b]:null},ip:function(b){b in this.ia&&delete this.ia[b];},st:function(){return this.ia},Cl:function(){for(var b in this.ia)return !1;
	return !0},Mi:function(b){for(var c in this.ia)this.ol(c,b);},bt:function(b){for(var c in this.ia)b(c);},ol:function(b,c){var d=this.ia[b],e;for(e in d)c(d[e],b,e);}};a.prototype.insert=a.prototype.dh;a.prototype.get=a.prototype.get;a.prototype.del=a.prototype.hp;a.prototype.insertRow=a.prototype.insertRow;a.prototype.getRow=a.prototype.Pt;a.prototype.delRow=a.prototype.ip;a.prototype.getEntireMatrix=a.prototype.st;a.prototype.forEachElement=a.prototype.Mi;a.prototype.forEachElementInRow=a.prototype.ol;
	a.prototype.forEachRow=a.prototype.bt;a.prototype.isEmpty=a.prototype.Cl;return a}();function ik(a){this.frequency=a;}ik.prototype={};function jk(a){this.ya=a;}jk.prototype={Rg:function(a){var b=this.ya.ed;this.ya.ed=new ik(a);b.frequency==this.ya.ed.frequency||this.ya.dispatchEvent("onRealMaxFrequency",[this.ya.ed.frequency]);}};function kk(a){this.ya=a;this.Ol=new ik(null);}
	function lk(a){var b=a.ya.ed;a.ya.ld.Mi(function(c){var d=c.ed;if("unlimited"==d.frequency||("unlimited"==b.frequency?0:d.frequency>b.frequency))b=c.ed;});b.frequency!=a.Ol.frequency&&(a.Ol=b,a.ya.dispatchEvent("onRealMaxFrequency",[a.Ol.frequency]));}kk.prototype={Rg:function(a){this.ya.ed=new ik(a);lk(this);}};function mk(a,b){this.ya=a;this.at=b;}mk.prototype={Rg:function(a){this.ya.ed=new ik(a);lk(this.at.bg);}};
	function nk(a){if(!n.isArray(a))throw new z("Please specifiy a valid array");for(var b=0;b<a.length;b++){if(!a[b])throw new z("A field name cannot be empty");if(-1<a[b].indexOf(" "))throw new z("A field name cannot contain spaces");}}var ok={0:"Init",1:"String",2:"FirstPatch",3:"Update",4:"Unchanged",5:"Null",6:"Error"},pk=B.o(r.Kr);function qk(a,b,c){this.id="JP<"+a+","+b+","+c+">";this.state=0;this.Bh=this.value=null;this.Ef=!1;}
	function ck(a){var b=a.state,c=a.value,d=a.Bh,e=a.Ef;return {Gb:function(){switch(b){case 6:throw Error("The value is not available");case 2:case 3:case 4:return JSON.stringify(c);default:return c}},Af:function(){switch(b){case 6:throw Error("The value is not available");case 2:case 3:return d;case 4:return [];default:return null}},wd:function(){switch(b){case 6:throw Error("The value is not available");default:return e}}}}function rk(a,b){a.state=b;pk.h()&&pk.a(a.id+" goto: "+ok[a.state]);}
	function sk(a,b){b="Unexpected event '"+b+"' in "+ok[a.state];rk(a,6);pk.$i()&&pk.g(a.id+" "+b);}function tk(a,b){a.Ef=!0;a.rb("internal error("+b+")");rk(a,6);pk.$i()&&pk.g(a.id+" "+b);}qk.prototype={rb:function(a){pk.h()&&pk.a(this.id+" evt: "+a+" in "+ok[this.state]);}};function uk(){this.Gl=new hk;}
	function vk(a,b,c){var d=c.yf();c.Ni(function(e,f){e=c.Gb(f);var k=c.wd(f),g=a.Gl.get(d,f);null==g&&(g=new qk(b,d,f),a.Gl.dh(g,d,f));f=g;if(k)if(null==e)f.Ef=!0,f.rb("null"),rk(f,5),f.value=null;else if(e.ku)switch(f.Ef=!0,f.rb("patch("+e+")"),f.state){case 1:rk(f,2);k=f.value;try{f.value=JSON.parse(f.value),f.Bh=JSON.parse(e),f.value=jsonpatch_min.apply_patch(f.value,f.Bh);}catch(l){tk(f,l+" <value="+k+",patch="+e+">");}break;case 0:case 5:case 6:sk(f,"patch");break;default:rk(f,3);k=f.value;try{f.Bh=
	JSON.parse(e),f.value=jsonpatch_min.apply_patch(f.value,f.Bh);}catch(l){e=l+" <value="+JSON.stringify(k)+",patch="+e+">",tk(f,e);}}else f.Ef=!0,f.rb("string("+e+")"),rk(f,1),f.value=e;else switch(f.Ef=!1,f.rb("unchanged"),f.state){case 0:case 6:sk(f,"unchanged");break;case 2:case 3:rk(f,4);break;default:pk.h()&&pk.a(f.id+" event has been ignored in "+ok[f.state]);}});}uk.prototype={};
	var wk=function(){function a(g,l,p){this._callSuperConstructor(a);g=(new String(g)).toUpperCase();if(!g||!d[g])throw new z("The given value is not a valid subscription mode. Admitted values are MERGE, DISTINCT, RAW, COMMAND");this.Ub=g;this.Y=this.Uc=this.$b=this.dc=this.Lf=this.Mf=null;this.Ib="RAW"===g?null:"yes";this.Vj=this.Jc=this.Ei=this.ti=this.Do=this.Hg=this.Md=this.ib=null;this.ed=new ik(null);this.bg=null;this.te=new hk;this.ad=new hk;this.Il=new uk;this.f=null;this.kb=1;this.kw=0;this.pd=
	null;this.Zj=this.rj=0;this.wm(this.Ub==r.qg?2:1);this.Om=this.keyCode=this.nb=null;this.ld=new hk;this.Uh=this.Qe=this.Sd=null;this.iw=r.un;if(l){if(!p||!n.isArray(p))throw new z("Please specify a valid field list");n.isArray(l)?this.ck(l):this.ck([l]);this.ym(p);}else if(p)throw new z("Please specify a valid item or item list");}function b(g,l){return g-l}function c(g){this.Cp=!0;this.yp=!1;this.state=k.Jn;this.ya=g;}var d={COMMAND:!0,RAW:!0,MERGE:!0,DISTINCT:!0},e=r.Dg,f=B.o(r.ko);a.prototype={toString:function(){return ["[|Subscription",
	this.kb,this.kw,this.pd,this.Jc,"]"].join("|")},Qo:function(){this.Jc=null;this.te=new hk;this.ad=new hk;this.Il=new uk;this.Me=null;this.Y.ig(0);this.dc.ig(0);3==this.behavior&&(this.Y.Qb=null,this.ld=new hk);f.a(B.resolve(886),this);},Ku:function(g,l,p){this.Kb();if(!this.dc)throw new z("Invalid Subscription, please specify an item list or item group");if(!this.Y)throw new z("Invalid Subscription, please specify a field list or field schema");this.kb=5;this.pd=g;this.f=p;this.rj++;Fb(this.rj,1,"Wrong count while adding");
	f.j(B.resolve(887),this);return !0},Yu:function(){this.kb=2;f.a(B.resolve(888),this);},$u:function(g){this.Jc=g;this.kb=3;f.a(B.resolve(889),this);},Qu:function(){var g=this.Hf();this.kb=5;this.Qo();g&&this.xq();f.a(B.resolve(890),this);},Vu:function(){this.fu();var g=this.Hf();this.kb=1;this.pd=null;delete this.Vj;3==this.behavior&&this.rv();this.Qo();this.rj--;Fb(this.rj,0,"Wrong count while removing");g&&this.xq();this.f=null;f.a(B.resolve(891),this);},Wu:function(g,l,p,t){this.kb=4;this.Zj++;Fb(this.Zj,
	1,"Wrong count starting push");f.j(B.resolve(892),this);3==this.behavior&&(this.Y.Qb=this.Uh);this.Uc&&1!=this.behavior&&this.Uv(l,g);this.dc.ig(p);this.Y.ig(t);this.Me=[];for(g=1;g<=p;g++)this.Me[g]=new c(this);this.dispatchEvent("onSubscription");},xq:function(){this.Zj--;Fb(this.Zj,0,"Wrong count ending push");f.j(B.resolve(893),this);this.dispatchEvent("onUnsubscription");},rv:function(){var g=this;this.ld.Mi(function(l,p,t){g.om(p,t);});},nv:function(){var g=this;this.ld.ol(function(l,p,t){g.om(p,
	t);});},Kt:function(){this.generateRequest();return this.Vj},Hp:function(){return null!=this.ib?{LS_requested_max_frequency:this.ib}:{}},generateRequest:function(){var g={LS_mode:this.Ub,LS_group:encodeURIComponent(this.dc.ul()),LS_schema:encodeURIComponent(this.Y.ul())};null!=this.Ei&&(g.LS_data_adapter=encodeURIComponent(this.Ei));null!=this.ti&&(g.LS_selector=encodeURIComponent(this.ti));null!=this.Hg&&(g.LS_start=this.Hg);null!=this.Do&&(g.LS_end=this.Do);null!=this.Ib&&(g.LS_snapshot="yes"===this.Ib?
	"true":"no"===this.Ib?"false":this.Ib);E.Ta(g,this.Hp());if(null!=this.Md){var l=this.Md;if("unlimited"==l||0<l)g.LS_requested_buffer_size=l;}if(1!=this.behavior||this.Gm)g.LS_supported_diffs="";f.a(B.resolve(894),this);return this.Vj=g},Qv:function(){if(this.Ub==r.qg&&null!=this.$b&&(this.nb=this.$b.vd("command"),this.keyCode=this.$b.vd("key"),!this.nb||!this.keyCode))throw new z("A field list for a COMMAND subscription must contain the key and command fields");},Uv:function(g,l){f.a(B.resolve(895),
	this,g,l);this.nb=g;this.keyCode=l;},Kb:function(){if(this.cc())throw new h("Cannot modify an active Subscription, please unsubscribe before applying any change");},fu:function(){if(!this.cc())throw new h("Subscription is not active");},sm:function(){if(this.Ub!=r.qg)throw new h("Second level field list is only available on COMMAND Subscriptions");},Uk:function(){if(this.Ub!=r.qg)throw new h("This method can only be used on COMMAND subscriptions");},lu:function(){return 1==this.kb},vu:function(){return 2==
	this.kb},fq:function(){return 3==this.kb},Hf:function(){return 4==this.kb},nu:function(){return 5==this.kb},cc:function(){return 1!=this.kb},uu:function(){return this.Hf()},ck:function(g){this.Kb();if(!n.isArray(g))throw new z("Please specifiy a valid array");for(var l=0;l<g.length;l++)if(g[l]){if(-1<g[l].indexOf(" "))throw new z("An item name cannot contain spaces");if(!isNaN(g[l]))throw new z("An item name cannot be a number");}else throw new z("An item name cannot be empty");this.Mf=null==g?null:
	new fk(g);this.Lf=null;this.dc=this.Mf;},Bt:function(){if(!this.Mf){if(this.Lf)throw new h("This Subscription was initiated using an item group, use getItemGroup instead of using getItems");throw new h("The item list/item group of this Subscription was not initiated");}return this.Mf.Xc()},Lv:function(g){this.Kb();this.Mf=null;this.dc=this.Lf=null==g?null:new gk(g);},At:function(){if(!this.Lf){if(this.Mf)throw new h("This Subscription was initiated using an item list, use getItems instead of using getItemGroup");
	throw new h("The item list/item group of this Subscription was not initiated");}return this.Lf.Xc()},ym:function(g){this.Kb();nk(g);this.$b=null==g?null:new fk(g);this.Uc=null;this.Y=this.$b;this.Qv();},vt:function(){if(!this.$b){if(this.Uc)throw new h("This Subscription was initiated using a field schema, use getFieldSchema instead of using getFields");throw new h("The field list/field schema of this Subscription was not initiated");}return this.$b.Xc()},kr:function(g){this.Kb();this.$b=null;this.Y=
	this.Uc=null==g?null:new gk(g);},ut:function(){if(!this.Uc){if(this.$b)throw new h("This Subscription was initiated using a field list, use getFields instead of using getFieldSchema");throw new h("The field list/field schema of this Subscription was not initiated");}return this.Uc.Xc()},Et:function(){return this.Ub},xm:function(g){this.Kb();this.Ei=g;f.a(B.resolve(896),this,g);},rt:function(){return this.Ei},Sv:function(g){this.Kb();this.ti=g;f.a(B.resolve(897),this,g);},Qt:function(){return this.ti},
	pr:function(g){g&&(g=new String(g),g=g.toLowerCase());var l=this.ib;if(this.cc()){if(!g&&0!=g)throw new h("Can't change the frequency from/to 'unfiltered' or to null while the Subscription is active");if("unfiltered"==g||"unfiltered"==this.ib)throw new h("Can't change the frequency from/to 'unfiltered' or to null while the Subscription is active");}if(g||0==g)if("unfiltered"==g||"unlimited"==g)this.ib=g;else try{this.ib=this.ua(g,!1,!0);}catch(t){throw new z("The given value is not valid for this setting; use null, 'unlimited', 'unfiltered' or a positive number instead");
	}else this.ib=null;if((this.vu()||this.fq()||this.Hf())&&String(l)!=String(this.ib)&&(this.f.nd(this,this.Hp()),3==this.behavior)){var p=this;this.ld.Mi(function(t){Db(p.Hf(),"Table not pushing");t.pr(p.ib);});}f.a(B.resolve(898),this,this.ib);},Nt:function(){return null==this.ib?null:String(this.ib)},Ov:function(g){this.Kb();if(g||0==g)if(g=new String(g),g=g.toLowerCase(),"unlimited"==g)this.Md=g;else try{this.Md=this.ua(g);}catch(l){throw new z("The given value is not valid for this setting; use null, 'unlimited' or a positive number instead");
	}else this.Md=null;f.a(B.resolve(899),this,this.Md);},Lt:function(){return null==this.Md?null:String(this.Md)},Am:function(g){this.Kb();if(g||0==g)if(g=new String(g),g=g.toLowerCase(),"no"==g)this.Ib=g;else{if(this.Ub==r.bs)throw new h("Snapshot is not permitted if RAW was specified as mode");if("yes"==g)this.Ib=g;else{if(isNaN(g))throw new z("The given value is not valid for this setting; use null, 'yes', 'no' or a positive number instead");if(this.Ub!=r.en)throw new h("Numeric values are only allowed when the subscription mode is DISTINCT");
	try{this.Ib=this.ua(g);}catch(l){throw new z("The given value is not valid for this setting; use null, 'yes', 'no' or a positive number instead");}}}else this.Ib=null;f.a(B.resolve(900),this,this.Ib);},Ot:function(){return this.Ib},Av:function(g){this.Kb();this.sm();nk(g);this.Sd=null==g?null:new fk(g);this.Qe=null;this.Uh=this.Sd;this.Tq();},mt:function(){if(!this.Sd){if(this.Qe)throw new h("The second level of this Subscription was initiated using a field schema, use getCommandSecondLevelFieldSchema instead of using getCommandSecondLevelFields");
	throw new h("The second level of this Subscription was not initiated");}return this.Sd.Xc()},zv:function(g){this.Kb();this.sm();this.Sd=null;this.Uh=this.Qe=null==g?null:new gk(g);this.Tq();},lt:function(){if(!this.Qe){if(this.Sd)throw new h("The second level of this Subscription was initiated using a field list, use getCommandSecondLevelFields instead of using getCommandSecondLevelFieldSchema");throw new h("The second level of this Subscription was not initiated");}return this.Qe.Xc()},yv:function(g){this.Kb();
	this.sm();this.Om=g;f.a(B.resolve(901),this,g);},kt:function(){return this.Om},Gb:function(g,l){return this.te.get(this.zr(g),this.yr(l))},nt:function(g,l,p){this.Uk();return this.ad.get(this.zr(g)+" "+l,this.yr(p,!0))},Ct:function(){this.Uk();if(!this.Uc&&this.$b)throw new h("This Subscription was initiated using a field list, key field is always 'key'");if(null==this.keyCode)throw new h("The position of the key field is currently unknown");return this.keyCode},jt:function(){this.Uk();if(!this.Uc&&
	this.$b)throw new h("This Subscription was initiated using a field list, command field is always 'command'");if(null==this.nb)throw new h("The position of the command field is currently unknown");return this.nb},yr:function(g,l){g=this.md(g,this.Y,l);if(null===g)throw new z("the specified field does not exist");if(!1===g)throw new z("the specified field position is out of bounds");return g},zr:function(g){g=this.md(g,this.dc);if(null===g)throw new z("the specified item does not exist");if(!1===g)throw new z("the specified item position is out of bounds");
	return g},md:function(g,l,p){g=isNaN(g)?l.vd(g):g;return null==g?null:0>=g||g>(p?Yj(l):l.Jb)?!1:g},Tq:function(){null==this.Uh?this.wm(2):this.wm(3);},kl:function(g){var l=this.dc.getName(g);Cb(this.Me[g]);this.Me[g].kl();this.dispatchEvent("onEndOfSnapshot",[l,g]);},Ks:function(g){var l=this.dc.getName(g);2==this.behavior?this.ad=new hk:3==this.behavior&&(this.ad=new hk,this.nv(g));this.dispatchEvent("onClearSnapshot",[l,g]);},mh:function(g,l){this.dispatchEvent("onItemLostUpdates",[this.dc.getName(g),
	g,l]);},fw:function(g,l){this.dispatchEvent("onCommandSecondLevelItemLostUpdates",[l,g]);},uv:function(g,l){this.dispatchEvent("onSubscriptionError",[g,l]);},gw:function(g,l,p){this.dispatchEvent("onCommandSecondLevelSubscriptionError",[g,l,p]);},update:function(g,l,p){Fb(4,this.kb,"Wrong table phase");var t=g[1];Cb(this.Me[t]);this.Me[t].update();var q=this.Me[t].Jf();l=new String(t);1!=this.behavior&&(l=this.cv(g,t,p));3!=this.behavior||p||this.cu(g);1==this.behavior?this.Cr(this.te,t,g,!0):this.Cr(this.ad,
	l,g,!0);g=new Xj(this.dc.getName(t),t,this.Y,q,g);1==this.behavior&&(vk(this.Il,this.Jc,g),g=new bk(g,this.Il));this.dispatchEvent("onItemUpdate",[g]);"DELETE"==this.ad.get(l,this.nb)&&this.ad.ip(l);},Cr:function(g,l,p,t){var q=p.length-2,G=1,D=2;for(p.Nm={};G<=q;G++,D++)p[D]!==e?g.dh(p[D],l,G):t&&(p[D]=g.get(l,G),p.Nm[D]=!0);},cv:function(g,l,p){if("undefined"==typeof g[this.keyCode+1]||"undefined"==typeof g[this.nb+1])return f.Ga(B.resolve(902)),null;var t=g[this.keyCode+1]==e?l+" "+this.te.get(l,
	this.keyCode):l+" "+g[this.keyCode+1];if(p)g[this.keyCode+1]=e,g[this.nb+1]==this.ad.get(t,this.nb)?g[this.nb+1]=e:(g.Sc.push(this.nb),g.Sc.sort(b));else{g.Sc=[];for(p=2;p<g.length;p++)g[p]&&g[p]==e?g[p]=this.te.get(l,p-1):this.te.dh(g[p],l,p-1),g[p]==this.ad.get(t,p-1)?g[p]=e:g.Sc.push(p-1);if(3==this.behavior&&(l=this.Kp()+2,l>g.length))for(p=g.length;p<l;p++)g[p]=e;}return t},cu:function(g){var l=g[1],p=g[this.keyCode+1]==e?this.te.get(l,this.keyCode):g[this.keyCode+1];g=g[this.nb+1];var t=this.Vi(l,
	p);"DELETE"==g?t&&this.om(l,p):t||this.ws(l,p);},Bu:function(g){this.Gm=!0;this.bg=new mk(this,g);},Vi:function(g,l){return null!==this.ld.get(g,l)},om:function(g,l){Sb(this.f,this.ld.get(g,l));this.ld.hp(g,l);lk(this.bg);},ws:function(g,l){var p=new a(this.iw);p.Bu(this);try{p.ck([l]),this.ld.dh(p,g,l);}catch(t){this.dispatchEvent("onCommandSecondLevelSubscriptionError",[14,"The received key value is not a valid name for an Item",l]);return}this.Sd?p.ym(this.Sd.Xc()):p.kr(this.Qe.Xc());p.xm(this.Om);
	p.Am("yes");p.ib=this.ib;p.addListener(new Vj(this,g,l));Rb(this.f,p);},Rv:function(g){this.Uh.ig(g);},Kp:function(){return Yj(this.Y)},addListener:function(g){this._callSuperMethod(a,"addListener",[g]);},removeListener:function(g){this._callSuperMethod(a,"removeListener",[g]);},Yg:function(){return this._callSuperMethod(a,"getListeners")},wm:function(g){this.behavior=g;switch(g){case 1:case 2:this.bg=new jk(this);break;case 3:this.bg=new kk(this);break;default:C.Ya(!1);}},Rg:function(g){this.bg.Rg(g);}};
	c.prototype.update=function(){this.state==k.Jn?this.state=k.Kn:this.state==k.Kn&&(this.state=k.Wr,this.Cp=!1);};c.prototype.kl=function(){this.yp=!0;};c.prototype.ew=function(){return null!=this.ya.Ib&&"no"!=this.ya.Ib};c.prototype.Jf=function(){return this.ew()?r.un==this.ya.Ub?this.Cp:r.qg==this.ya.Ub||r.en==this.ya.Ub?!this.yp:!1:!1};var k={Jn:0,Kn:1,Wr:2};a.prototype.isActive=a.prototype.cc;a.prototype.isSubscribed=a.prototype.uu;a.prototype.setItems=a.prototype.ck;a.prototype.getItems=a.prototype.Bt;
	a.prototype.setItemGroup=a.prototype.Lv;a.prototype.getItemGroup=a.prototype.At;a.prototype.setFields=a.prototype.ym;a.prototype.getFields=a.prototype.vt;a.prototype.setFieldSchema=a.prototype.kr;a.prototype.getFieldSchema=a.prototype.ut;a.prototype.getMode=a.prototype.Et;a.prototype.setDataAdapter=a.prototype.xm;a.prototype.getDataAdapter=a.prototype.rt;a.prototype.setSelector=a.prototype.Sv;a.prototype.getSelector=a.prototype.Qt;a.prototype.setRequestedMaxFrequency=a.prototype.pr;a.prototype.getRequestedMaxFrequency=
	a.prototype.Nt;a.prototype.setRequestedBufferSize=a.prototype.Ov;a.prototype.getRequestedBufferSize=a.prototype.Lt;a.prototype.setRequestedSnapshot=a.prototype.Am;a.prototype.getRequestedSnapshot=a.prototype.Ot;a.prototype.setCommandSecondLevelFields=a.prototype.Av;a.prototype.getCommandSecondLevelFields=a.prototype.mt;a.prototype.setCommandSecondLevelFieldSchema=a.prototype.zv;a.prototype.getCommandSecondLevelFieldSchema=a.prototype.lt;a.prototype.setCommandSecondLevelDataAdapter=a.prototype.yv;
	a.prototype.getCommandSecondLevelDataAdapter=a.prototype.kt;a.prototype.getValue=a.prototype.Gb;a.prototype.getCommandValue=a.prototype.nt;a.prototype.getKeyPosition=a.prototype.Ct;a.prototype.getCommandPosition=a.prototype.jt;a.prototype.addListener=a.prototype.addListener;a.prototype.removeListener=a.prototype.removeListener;a.prototype.getListeners=a.prototype.Yg;Inheritance(a,Tb,!1,!0);Inheritance(a,da,!0,!0);return a}();function xk(){}function yk(){this.Yb={Lb:xk,Vf:xk};}
	var zk=function(){function a(f,k){this.C=a;this._callSuperConstructor(a);this.Xk=new I;this.Yo=new Ua;this.connectionOptions=this.Xk;this.connectionDetails=this.Yo;this.connectionSharing=Uj(this);this.oa=new oa;this.Bb=this.Xk;this.Tb=this.Yo;f&&this.Tb.sr(f);k&&this.Tb.ir(k);f=this.oa;f.parent=this;f.de=void 0;f=this.Bb;f.parent=this;f.de=void 0;f=this.Tb;f.parent=this;f.de=void 0;this.Xa=new Nb(this.Bb);this.Le=this.W=null;this.Vg=this.Th=0;this.lw=++d;this.P=new Gb;this.ih=r.Xd;this.Bi=null;this.Dr=
	{};u.gf(this);this.ca=new yk;}var b=B.o(r.di),c=B.o(r.Sb),d=0,e=/^[a-zA-Z0-9_]*$/;a.us=function(){};a.qt=function(){if(m.pe()){var f=[];(void 0).forEach(function(k){f.push(k.toString());});return f}};a.Pd=function(f){B.Pd(f);};a.Nr=r.Mr;a.Or=r.on+" build "+r.We;a.simulateSilence=function(f){Vb=f;};a.prototype={toString:function(){return ["[|LightstreamerClient",this.lw,this.L,this.Pw,"]"].join("|")},bk:function(f){this.W=f;this.Xa.Wh(f);this.P.Wh(f);this.jr=this.Vg;this.Bi=x.Jg(f.Pk,5E3,f);},So:function(){this.W&&
	(this.Dr[this.W.le()]=!0,this.Xa.Wh(null),this.P.Wh(null),this.Bi&&(x.Pe(this.Bi),this.Bi=null),this.W.S(),this.W=null,this.xd&&(this.xd.S(),this.xd=null),this.oa.Sg?this.Jk(r.oi):this.Jk(r.Xd));this.search&&(this.search.stop(),this.search=null);},hf:function(f,k,g){this.W&&this.W.vq(f,k,g);return !0},sq:function(f,k){k!=this.oa&&this.dispatchEvent("onPropertyChange",[f]);},fl:function(f){if(this.Fu)throw new h("Sharing is not available when MPN is enabled");var k=m.cb()?navigator.userAgent.toLowerCase():
	null;null==k||-1==k.indexOf("ucbrowser")&&-1==k.indexOf("ubrowser")?(this.Vg++,x.u(this.wp,0,this,[f,this.Vg]),this.cw=null!=f):c.j(B.resolve(903));},wp:function(f,k){if(k==this.Vg)if(this.Th++,this.So(),(this.Le=f)&&!f.bj()&&c.j(B.resolve(904)),f&&f.bj()){k=this.Th;var g=this,l=f.Zs(this);this.search=l;this.search.find(this.Dr).then(function(p){k==g.Th&&(1==g.search.rh&&g.Le.rh(),null===p?g.Cm(k,l.tl()):g.bk(p));},function(){k==g.Th&&g.dispatchEvent("onShareAbort");});}else null==f&&this.oa.Sg&&this.Cm();},
	Xs:function(f,k){if(this.jr==this.Vg)if(this.So(),u.Fl()||u.Fa())b.j(B.resolve(905));else if(this.Le){b.j(B.resolve(907));var g=null;2>=this.oa.rd||(f?g=1E4:(g=200+500*n.Cc(this.oa.rd),5E3<g&&(g=5E3)));f=this.Le.Ns(g,k);this.wp(f,this.jr);}else C.ma(),b.g(B.resolve(906));},Td:function(){this.disconnect();this.W&&this.W.To();},Cm:function(f,k){if(!f||f==this.Th)return this.bk(new ab(this)),this.xd=new Fi(this.oa,this.Bb,this.Tb,this.Le,this.W,k,this.ca),bb(this.W,this.xd.le()),this.W.wb=this.xd.vc(),
	this.W},Wp:function(){return null!=this.xd},connect:function(){if(!this.Tb.Je)throw new h("Configure the server address before trying to connect");b.j(B.resolve(908));x.u(this.ys,0,this);},ys:function(){if(!this.ih||this.ih==r.Xd){null!=this.Le&&this.Le.bj()||this.xd||this.Cm();b.a(B.resolve(909));H(this.oa,"connectionRequested",!0);var f=this.W;f&&f.Ko();}},disconnect:function(){b.j(B.resolve(910));x.u(this.zs,0,this);},zs:function(){b.a(B.resolve(911));H(this.oa,"connectionRequested",!1);var f=this.W;
	f&&f.Lo();},oe:function(){return this.ih},Nb:function(f,k,g,l,p){if(!k)k=r.lb;else if(!e.test(k))throw new z("The given sequence name is not valid, use only alphanumeric characters plus underscore, or null");g=g||0==g?this.ua(g,!0):null;p=this.Tc(p,!0);x.u(this.xs,0,this,[f,k,l,g,p]);},xs:function(f,k,g,l,p){this.W&&this.W.Ob?this.P.Xg(f,k,g,l):p?this.P.Gh.add({yd:f,N:k,listener:g,timeout:l}):g&&this.P.fireEvent("onAbort",g,[f,!1]);},vv:function(f,k){this.dispatchEvent("onServerError",[f,k]);},ak:function(){var f=
	this.Xa;Mb.a(B.resolve(492));for(var k in f.yb){var g=f,l=f.yb[k];Eb(l.lu(),"Table removed");Mb.a(B.resolve(491),l);delete g.Se[l.Jc];l.Qu();l.Gm&&delete g.yb[l.pd];}f.Se={};f.c++;Jb(this.P);},wv:function(){var f=this.Xa;Mb.a(B.resolve(490));for(var k in f.yb)Pb(f,f.yb[k]);Kb(this.P);this.Dt().resolve(this.xd);},Jk:function(f){f!=this.ih&&(this.ih=f,this.dispatchEvent("onStatusChange",[f]));},Ec:function(f){return this.W&&this.W.Ob?(this.W.Fp(f),!0):!1},fc:function(){this.dispatchEvent("onServerKeepalive");},
	Qp:function(){var f=[],k=this.Xa.yb,g;for(g in k)k[g].Gm||f.push(k[g]);return f},subscribe:function(f){Rb(this.Xa,f);},unsubscribe:function(f){Sb(this.Xa,f);},addListener:function(f){this._callSuperMethod(a,"addListener",[f]);},removeListener:function(f){this._callSuperMethod(a,"removeListener",[f]);},Yg:function(){return this._callSuperMethod(a,"getListeners")},Dt:function(){null==this.lq&&(this.lq=E.defer());return this.lq},Yq:function(f){if(this.cw)throw new h("MPN is not available when sharing is enabled");
	if(null==f)throw new z("Device cannot be null");this.nj=f;this.ca.Yq(f);this.Fu=!0;},Re:function(f,k){if(null==f)throw new z("MpnSubscription is null");if(null==f.ml)throw new z("Invalid MpnSubscription, please specify a field list or field schema");if(null==f.items)throw new z("Invalid MpnSubscription, please specify an item list or item group");if(null==f.Ow())throw new z("Invalid MpnSubscription, please specify a notification format");if(f.cc())throw new h("MpnSubscription is already active");if(null==
	this.nj)throw new h("No MPN device registered");this.ca.subscribe(f,!!k);},Ue:function(f){if(!f.cc())throw new h("MpnSubscription is not active");if(null==this.nj)throw new h("No MPN device registered");this.ca.unsubscribe(f);},mw:function(f){if(null!=f&&"ALL"!=f&&"SUBSCRIBED"!=f&&"TRIGGERED"!=f)throw new z("The given value is not valid for this setting. Use null, ALL, TRIGGERED or SUBSCRIBED instead");if(null==this.nj)throw new h("No MPN device registered");this.ca.Yw(f);},Ft:function(f){if(null!=f&&
	"ALL"!=f&&"SUBSCRIBED"!=f&&"TRIGGERED"!=f)throw new z("The given value is not valid for this setting. Use null, ALL, TRIGGERED or SUBSCRIBED instead");if(null==this.nj)throw new h("No MPN device registered");return this.ca.Qp(f).Xw()},$s:function(f){if(null==f)throw new z("Subscription id must be not null");return this.ca.Mw(f)},du:function(f,k,g,l){this.Xk.Kd={mq:f,Lw:k,Ww:g,Ee:l};f=new wk("MERGE",g,["status"]);f.xm(k);f.Am("yes");var p=this;f.addListener({onItemUpdate:function(t){t=t.Gb("status");
	console.log("STATUS",t);t&&"connected"!=t&&(t=p.W)&&t.Mo();}});x.u(this.subscribe,0,this,[f]);}};a.__restoreWs=Ac.er;a.__disableWs=Ac.ie;a.__handleError5=r.Rp;a.addCookies=a.us;a.getCookies=a.qt;a.setLoggerProvider=a.Pd;a.LIB_NAME=a.Nr;a.LIB_VERSION=a.Or;a.prototype.connect=a.prototype.connect;a.prototype.disconnect=a.prototype.disconnect;a.prototype.getStatus=a.prototype.oe;a.prototype.sendMessage=a.prototype.Nb;a.prototype.getSubscriptions=a.prototype.Qp;a.prototype.subscribe=a.prototype.subscribe;
	a.prototype.unsubscribe=a.prototype.unsubscribe;a.prototype.addListener=a.prototype.addListener;a.prototype.removeListener=a.prototype.removeListener;a.prototype.getListeners=a.prototype.Yg;a.prototype.registerForMpn=a.prototype.Yq;a.prototype.subscribeMpn=a.prototype.Re;a.prototype.unsubscribeMpn=a.prototype.Ue;a.prototype.unsubscribeMpnSubscriptions=a.prototype.mw;a.prototype.findMpnSubscription=a.prototype.$s;a.prototype.getMpnSubscriptions=a.prototype.Ft;a.prototype.handleRemoteAdapterStatus=
	a.prototype.du;a.prototype.enableSharing=a.prototype.fl;a.prototype.isMaster=a.prototype.Wp;a.prototype.unloadEvent=a.prototype.Td;a.prototype.preUnloadEvent=a.prototype.Td;Inheritance(a,Tb,!1,!0);Inheritance(a,da,!0,!0);return a}(),Ak=[];Ak="Wong length!{Missing from first array{Missing from second array{Wrong  element{Not expecting a NULL{Expecting a different value{Expecting 2 different values{Expecting a valid value{Expecting a not valid value{ASSERT failed{Unexpected{New value for setting received from internal settings{New value for setting received from API{Broadcasting setting to shared LightstreamerClient instances{Setting changed, firing notification{Unexpectedly missing session id{Bind request generated{Create request generated{Recovery request generated{Destroy request generated{Force rebind request generated{New engine created{Engine{Subscribing subscription{Unsubscribing subscription{Enqueueing subscription update{Resuming subscription update{Executing subscription update{sending Subscription to the engine{Overriding old promise for table {Delaying subscription completion{Resuming subscription completion{Ignored old promise triggered for table {Ignored old promise failed for table {Restoring all pending Subscriptions{Pausing active Subscription{Pausing all active Subscriptions{Delaying subscription action{Resuming subscription action{Executing subscription action{Delaying subscription action{Resuming subscription action{Subscription action had to be delayed on multiple instances{An error occurred while executing an event on a listener{Dispatching event on listeners{Changing reference session{Command phase check{Adding notification{Unexpected progressive{Skipping replicated progressive{Unexpected progressive{Received event prog higher than expected{Received event prog different than expected{Received event prog different than actual{Unexpected message outcome sequence{Unexpected command received, ignoring{New WS connection oid={Closing WebSocket connection{Error closing WebSocket connection{Unexpected openSocket call{Error opening WebSocket connection{Timeout event [currentConnectTimeoutWS]{error on closing a timed out WS{Unexpected WebSocket _load call{Preparing to bind on WebSocket connection{Open path is disappeared{WebSocket transport sending oid={Error sending data over WebSocket{Unexpected send outcome while websocket is ready-to-send{WebSocket transport receiving oid={Error on WebSocket connection oid={WebSocket connection ready{WebSocket connection close event received{New sessionId{New CORS-XHR connection oid={CORS-XHR connection closed oid={Error non closing connection opened using CORS-XHR{CORS-XHR transport sending oid={Error opening CORS-XHR connection oid={CORS-XHR transport receiving oid={CORS-XHR connection error oid={CORS-XHR request completed oid={Error reading CORS-XHR status oid={Closing connection opened using IEXSXHR{Error non closing connection opened using IEXSXHR{IEXSXHR transport sending{Error opening connection using IEXSXHR{Error on connection opened using IEXSXHR{IEXSXHR transport receiving{Connection opened using IEXSXHR completed{Closing connection opened using html form; actually doing nothing{Html form transport sending{Error while sending request using html form{Closing connection opened using replace on forever-frame{Replace on forever-frame transport sending{Replace on forever-frame not available{Error while sending request using  replace on forever-frame{Loading XHR frame to perform non-cross-origin requests{Client is offline, will retry later to load XHR frame{XHR frame loaded{XHR frame loading timeout expired, try to reload{XHR frame loading timeout expired again, will not try again{Passing request to the XHR frame{Error passing request to the XHR frame{XHR transport sending{Closing connection opened using XHR{Error closing connection opened using XHR{Error reading XHR status{XHR transport receiving{Error on connection opened using XHR{Error on disposing XHR's callback{Error on disposing XHR{Streaming enabled on XHR{XHR transport receiving{XHR transport receiving{Verify connection class{This class is not available on the current environment{Cross-origin request is needed, this class is not able to make cross-origin requests{Cookies on request are required, this class can't guarantee that cookies will be actually sent{Cross-protocol request is needed, this class is not able to make cross-protocol requests{Extra headers are given, this class is not able to send requests containing extra headers{This class can't be used in the current context{Connection class is good{Searching for an appropriate connection class{Restart connection selector{oid={oid={oid={oid={oid={oid={oid={oid={oid={oid={There is probably another web application connected to the same Lightstreamer Server within this browser instance. That could prevent the current application from connecting to the Server. Please close the other application to unblock the current one{New client attached to engine{Dismissing client{Can't find subscription anymore{Can't find page anymore{Client or session unexpectedly disappeared while handling subscription{Notify back to the client that the subscription was handled{It has been detected that the JavaScript engine of this browser is not respecting the timeouts in setTimeout method calls. The Client has been disconnected from the Server in order to avoid reconnection loops. To try again, just refresh the page.{rhb max interval{rhb updated{rhb closed{rhb heartbeat ph {rhb current interval{rhb scheduled +{rhb task fired ph{rhb task discarded ph{ReverseHeartbeatTimer: assertion error{New session{Copying prog {Resetting session oid={Session state change{Mad timeouts? Avoid connection{Opening on server, send destroy{Opening new session{Unexpected phase during binding of session{Binding session{Binding session{Switch requested{Unexpected creation of a session while another one is still creating{Slow requested{Unexpected phase during slow handling{Closing session{Session shutdown{Make pause before next bind{Timeout event{Start session recovery. Cause: no response timeLeft={Start new session. Cause: no response{Timeout: switch transport{Timeout: recover session{Timeout: new session{Unexpected timeout event while session is _OFF{Error event{Start session recovery. Cause: socket failure while receiving{Start new session. Cause: socket failure while receiving{Start session recovery. Cause: socket failure while recovering{Switching transport{Start new session. Cause: {Unexpected loop event while session is an non-active status{Unexpected push event while session is an non-active status{Unexpected phase after create request sent{Unexpected phase after bind request sent{Status timeout in {Unexpected phase during OK execution{Unexpected empty start time{Synch event received{Available bandwidth event received{Error41 event received{Keepalive event received{OK event received{Initializing session{Unexpected session id received on bind OK{Sync event received{Loop event received{Ignore error{End event received{Sending request to the server to force a rebind on the current connection{force_rebind request caused the error: {Destroy the current session{destroy request caused the error: {constrain request {Client is offline, delaying connection to server{Unable to use available connections to connect to server{Unable to use available connections to connect to server{Connection request generated{Connection currently unavailable, delaying connection{Connection open to the server{Unexpected ws phase while opening connection{Open WebSocket to server{A control link was received while Websocket was already open: a WebSocket was wasted.{Unexpected ws phase during binding{WebSockets currently unavailable, delaying connection{Unexpected WebSocket failure{Connection to server bound upon WebSocket{Connection to server open upon WebSocket{Unexpected phase for an clean end of a WS{Unexpected connection error on a connection that was not yet open{WebSocket was broken before it was used{WebSocket was broken while we were waiting the first bind{can't be unable-to-open since the connection is already open{WebSocket was broken while we were waiting{Sync message received while session wasn't in receiving status{First sync message, check not performed{Huge delay detected by sync signals. Restored from standby/hibernation?{No delay detected by sync signals{Delay detected by sync signals{No delay detected by sync signals{Duplicated message{Unexpected request type was given to this batch{Unexpected request type was given to this batch; expecting ADD REMOVE DESTROY CONSTRAIN or MPN{Storing request{Substituting CONSTRAINT/FORCE_REBIND/MPN request{Replacing 'second' ADD request with a REMOVE request for the same subscription{REMOVE request already stored, skipping{ADD request for the involved subscription was not yet sent; there is no need to send the related REMOVE request or the original ADD one, removing both{ADD after REMOVE?{Same session id on different servers, store two different DESTROY requests{Verified duplicated DESTROY request, skipping{Duplicated ADD or CHANGE_SUB request, substitute the old one with the new one{Storing confirmed{Trying to remove by index non-existent request{Trying to remove by key non-existent request{Batch length limit changed{Preparing reverse heartbeat{Close current connection if any and applicable{ControlConnectionHandler state change '{Reset Controls handler status{Batch handler unexpectedly idle; a batch was waiting{Batch handler unexpectedly not idle; nothing ready to be sent was found{Batch object not null{Enabling control requests over WebSocket now{Disabling control requests over WebSocket now{New request to be sent{Still waiting previous batch{Ready to dequeue{Waiting for dequeue{starting dequeuing{Send previous batch{Send new batch{Some requests don't need to be sent anymore, keep on dequeing{Delaying requests; waiting for a connection{Can't find a connection to send batch{Request sent through HTTP connection{Request sent through WebSocket, keep on dequeuing{Request queue is now empty{Duplicated message{Empty batch, exit{Ready to send batch, choosing connection{WebSocket should be available, try to send through it{Empty request was generated, exit{Unable to find a connection for control requests, will try again later{Connection for control batch chosen{Empty request for HTTP was generated, exit{Connection failed, will try a different connection{Connection temporarily unavailable, will try later{Unexpected sending outcome{Control request got answer{Control request got answer{Error from network{A single request size exceeds the <request_limit> configuration setting for the Server. Trying to send it anyway although it will be refused{CCH error{Closing message handler{Activating message handler{Preparing message request{Forward prepared message to control handler{No ack was received for a message; forwarding it again to the control handler{Ack received for message{Ack received, stopping automatic retransmissions{Ack received, no outcome expected, clean structures{Not waiting for ack, purging{Message handled, clean structures{Message on the net notification{OK outcome received{DISCARDED outcome received{DENIED outcome received{ERROR outcome received{Enqueuing received data{Dequeuing received data{Data can't be handled{Unexpected error occurred while executing server-sent commands!{Malformed message: {Unexpected update{New session handler oid={SessionManager state change:{Session recovery{Session recovery: cancelled{Can't initiate session, giving up, disabling automatic reconnections{Unable to establish session of the current type. Switching session type{Unexpected fallback type; switching because the current session type cannot be established{Slow session detected. Switching session type{Unexpected fallback type; switching because of a slow connection was detected{Setting up new session type{Unexpected fallback type switching with new session{Switching current session type{Unexpected fallback type switching with a force rebind{Slow session switching{Failed to switch session type. Starting new session{Unexpected fallback type switching because of a failed force rebind{Session started{Session closed{Discarding update for dismissed page{Received new update{Discarding lost updates notification for dismissed page{Received lost updates event{Discarding end of snapshot notification for dismissed page{Received end of snapshot event{Discarding snapshot clearing notification for dismissed page{Received snapshot clearing event{Received server error event{Received subscription error event{Discarding subscription error notification for dismissed page{Received unsubscription event{Discarding unsubscription notification for dismissed page{Received reconfiguration OK event{Table of reconfiguration not found{Discarding subscription notification for dismissed page{Received subscription event{Received message ack{Received message-ok notification{Received message-deny notification{Received message-discarded notification{Received message-error notification{New control link received{unsubscription request {configuration request [{Fatal error: {Dismissing current session and stopping automatic reconnections.{Transport change requested{Opening a new session and starting automatic reconnections.{RUNNING EXECUTOR AT {Shared worker is broken{RESUMED TO {DELAYED TO {SharedWorker receiving error{SharedWorker sending error{Unexpected sharing error{Unexpected dispatching error{Unexpected error on dispatching{SharedStatus remote sharing is ready{SharedStatus local sharing is ready{Started refresh thread{Address already removed?{Removing wrong address?{Engine is probably dying, skip one cookie refresh{Checking status{No engines{Checking shared status to verify if there are similar engines alive{Engine found, no values though{Engine found, not compatible though{Write engine shared status{Found engine{There is a concurrent engine. Close engine {Stopped refresh thread{Remote engine{Trying to attach to a cross-page engine{Exception while trying to attach to a cross-page engine{You have Norton Internet Security or Norton\nPersonal Firewall installed on this computer.\nIf no real-time data show up, then you need\nto disable Ad Blocking in Norton Internet\nSecurity and then refresh this page{Cross-page engine not found{Probably blocked popup detected: firefox-safari case{Cross-page engine attached{Verify if the found cross-page engine can be used{can't use found cross-page engine: page is now closed{can't use found cross-page engine: uneffective popup detected, chrome case{problem closing the generated popup{Probably blocked popup detected: opera common case{can't use found cross-page engine: Lightstreamer singleton not available{can't use found cross-page engine: Lightstreamer singleton content unavailable{Ready to use found cross-page engine: looks ok{can't use found cross-page engine: exception throw while accessing it{Skipping already-used cookie{Stop search for an engine{No sharing was found, a new sharing will be created{No sharing was found, will keep on searching after a pause{No sharing was found, no sharing will be created, this client will fail{A sharing was found but attaching is disabled, this client will fail{A sharing was found, this will attach to{Engine{A sharing was found, but accordingly with the configuration it will be ignored{Searching for available sharing{Local engine found{Local engine not found. Can't search on other pages because of the current sharing configuration{Search remote engine in other page{RemoteEngine ={Can't access reference {Search remote engine in shared storage{Storage inspection complete{No valid engine found{Valid engine found: {Engine {Engine {invalid values{Unexpected missing values in sharing cookie{Skipping not compatible engine{Found a likely dead engine{Valid engine values found. Wait for popup-protection timeout{No compatible sharing detected{No valid engine values found. Check again in {Forcing preventCrossWindowShare because page is on file:///{New connection sharing{A new sharing will be immediately created{No way to obtain a sharing, this client will fail immediately{A sharing will now be searched{An exception was thrown while executing the Function passed to the forEachChangedField method{An exception was thrown while executing the Function passed to the forEachField method{An exception was thrown while executing the Function passed to the forEachChangedField method{An exception was thrown while executing the Function passed to the forEachField method{Subscription reset{Subscription entered the active state{Subscription waiting to be sent to server{Subscription queued to be sent to server{Subscription is now on hold{Subscription exits the active status; it can now be modified{Subscription is now subscribed to{Subscription is not subscribed to anymore{Subscription request generated{Received position of COMMAND and KEY fields from server{Adapter Set assigned{Selector assigned{Requested Max Frequency assigned{Requested Buffer Size assigned{Snapshot Required assigned{Second level Data Adapter Set assigned{key and/or command position not correctly configured{Sharing is not available on UCBrowser{Connection sharing is not available{Page is closing, won't search a new engine{no sharing on mourning room?{Sharing lost, trying to obtain a new one{Connect requested{Executing connect{Disconnect requested{Executing disconnect{Wong length!{Missing from first array{Missing from second array{Wrong  element{Not expecting a NULL{Expecting a different value{Expecting 2 different values{Expecting a valid value{Expecting a not valid value{ASSERT failed{Unexpected{New value for setting received from internal settings{New value for setting received from API{Broadcasting setting to shared LightstreamerClient instances{Setting changed, firing notification{Unexpectedly missing session id{Bind request generated{Create request generated{Recovery request generated{Destroy request generated{Force rebind request generated{New engine created{Engine{Subscribing subscription{Unsubscribing subscription{Enqueueing subscription update{Resuming subscription update{Executing subscription update{sending Subscription to the engine{Overriding old promise for table {Delaying subscription completion{Resuming subscription completion{Ignored old promise triggered for table {Ignored old promise failed for table {Restoring all pending Subscriptions{Pausing active Subscription{Pausing all active Subscriptions{Delaying subscription action{Resuming subscription action{Executing subscription action{Delaying subscription action{Resuming subscription action{Subscription action had to be delayed on multiple instances{An error occurred while executing an event on a listener{Dispatching event on listeners{Changing reference session{Command phase check{Adding notification{Unexpected progressive{Skipping replicated progressive{Unexpected progressive{Received event prog higher than expected{Received event prog different than expected{Received event prog different than actual{Unexpected message outcome sequence{Unexpected command received, ignoring{New WS connection oid={Closing WebSocket connection{Error closing WebSocket connection{Unexpected openSocket call{Error opening WebSocket connection{Timeout event [currentConnectTimeoutWS]{error on closing a timed out WS{Unexpected WebSocket _load call{Preparing to bind on WebSocket connection{Open path is disappeared{WebSocket transport sending oid={Error sending data over WebSocket{Unexpected send outcome while websocket is ready-to-send{WebSocket transport receiving oid={Error on WebSocket connection oid={WebSocket connection ready{WebSocket connection close event received{New sessionId{New CORS-XHR connection oid={CORS-XHR connection closed oid={Error non closing connection opened using CORS-XHR{CORS-XHR transport sending oid={Error opening CORS-XHR connection oid={CORS-XHR transport receiving oid={CORS-XHR connection error oid={CORS-XHR request completed oid={Error reading CORS-XHR status oid={Closing connection opened using IEXSXHR{Error non closing connection opened using IEXSXHR{IEXSXHR transport sending{Error opening connection using IEXSXHR{Error on connection opened using IEXSXHR{IEXSXHR transport receiving{Connection opened using IEXSXHR completed{Closing connection opened using html form; actually doing nothing{Html form transport sending{Error while sending request using html form{Closing connection opened using replace on forever-frame{Replace on forever-frame transport sending{Replace on forever-frame not available{Error while sending request using  replace on forever-frame{Loading XHR frame to perform non-cross-origin requests{Client is offline, will retry later to load XHR frame{XHR frame loaded{XHR frame loading timeout expired, try to reload{XHR frame loading timeout expired again, will not try again{Passing request to the XHR frame{Error passing request to the XHR frame{XHR transport sending{Closing connection opened using XHR{Error closing connection opened using XHR{Error reading XHR status{XHR transport receiving{Error on connection opened using XHR{Error on disposing XHR's callback{Error on disposing XHR{Streaming enabled on XHR{XHR transport receiving{XHR transport receiving{Verify connection class{This class is not available on the current environment{Cross-origin request is needed, this class is not able to make cross-origin requests{Cookies on request are required, this class can't guarantee that cookies will be actually sent{Cross-protocol request is needed, this class is not able to make cross-protocol requests{Extra headers are given, this class is not able to send requests containing extra headers{This class can't be used in the current context{Connection class is good{Searching for an appropriate connection class{Restart connection selector{oid={oid={oid={oid={oid={oid={oid={oid={oid={oid={There is probably another web application connected to the same Lightstreamer Server within this browser instance. That could prevent the current application from connecting to the Server. Please close the other application to unblock the current one{New client attached to engine{Dismissing client{Can't find subscription anymore{Can't find page anymore{Client or session unexpectedly disappeared while handling subscription{Notify back to the client that the subscription was handled{It has been detected that the JavaScript engine of this browser is not respecting the timeouts in setTimeout method calls. The Client has been disconnected from the Server in order to avoid reconnection loops. To try again, just refresh the page.{rhb max interval{rhb updated{rhb closed{rhb heartbeat ph {rhb current interval{rhb scheduled +{rhb task fired ph{rhb task discarded ph{ReverseHeartbeatTimer: assertion error{New session{Copying prog {Resetting session oid={Session state change{Mad timeouts? Avoid connection{Opening on server, send destroy{Opening new session{Unexpected phase during binding of session{Binding session{Binding session{Switch requested{Unexpected creation of a session while another one is still creating{Slow requested{Unexpected phase during slow handling{Closing session{Session shutdown{Make pause before next bind{Timeout event{Start session recovery. Cause: no response timeLeft={Start new session. Cause: no response{Timeout: switch transport{Timeout: recover session{Timeout: new session{Unexpected timeout event while session is _OFF{Error event{Start session recovery. Cause: socket failure while receiving{Start new session. Cause: socket failure while receiving{Start session recovery. Cause: socket failure while recovering{Switching transport{Start new session. Cause: {Unexpected loop event while session is an non-active status{Unexpected push event while session is an non-active status{Unexpected phase after create request sent{Unexpected phase after bind request sent{Status timeout in {Unexpected phase during OK execution{Unexpected empty start time{Synch event received{Available bandwidth event received{Error41 event received{Keepalive event received{OK event received{Initializing session{Unexpected session id received on bind OK{Sync event received{Loop event received{Ignore error{End event received{Sending request to the server to force a rebind on the current connection{force_rebind request caused the error: {Destroy the current session{destroy request caused the error: {constrain request {Client is offline, delaying connection to server{Unable to use available connections to connect to server{Unable to use available connections to connect to server{Connection request generated{Connection currently unavailable, delaying connection{Connection open to the server{Unexpected ws phase while opening connection{Open WebSocket to server{A control link was received while Websocket was already open: a WebSocket was wasted.{Unexpected ws phase during binding{WebSockets currently unavailable, delaying connection{Unexpected WebSocket failure{Connection to server bound upon WebSocket{Connection to server open upon WebSocket{Unexpected phase for an clean end of a WS{Unexpected connection error on a connection that was not yet open{WebSocket was broken before it was used{WebSocket was broken while we were waiting the first bind{can't be unable-to-open since the connection is already open{WebSocket was broken while we were waiting{Sync message received while session wasn't in receiving status{First sync message, check not performed{Huge delay detected by sync signals. Restored from standby/hibernation?{No delay detected by sync signals{Delay detected by sync signals{No delay detected by sync signals{Duplicated message{Unexpected request type was given to this batch{Unexpected request type was given to this batch; expecting ADD REMOVE DESTROY CONSTRAIN or MPN{Storing request{Substituting CONSTRAINT/FORCE_REBIND/MPN request{Replacing 'second' ADD request with a REMOVE request for the same subscription{REMOVE request already stored, skipping{ADD request for the involved subscription was not yet sent; there is no need to send the related REMOVE request or the original ADD one, removing both{ADD after REMOVE?{Same session id on different servers, store two different DESTROY requests{Verified duplicated DESTROY request, skipping{Duplicated ADD or CHANGE_SUB request, substitute the old one with the new one{Storing confirmed{Trying to remove by index non-existent request{Trying to remove by key non-existent request{Batch length limit changed{Preparing reverse heartbeat{Close current connection if any and applicable{ControlConnectionHandler state change '{Reset Controls handler status{Batch handler unexpectedly idle; a batch was waiting{Batch handler unexpectedly not idle; nothing ready to be sent was found{Batch object not null{Enabling control requests over WebSocket now{Disabling control requests over WebSocket now{New request to be sent{Still waiting previous batch{Ready to dequeue{Waiting for dequeue{starting dequeuing{Send previous batch{Send new batch{Some requests don't need to be sent anymore, keep on dequeing{Delaying requests; waiting for a connection{Can't find a connection to send batch{Request sent through HTTP connection{Request sent through WebSocket, keep on dequeuing{Request queue is now empty{Duplicated message{Empty batch, exit{Ready to send batch, choosing connection{WebSocket should be available, try to send through it{Empty request was generated, exit{Unable to find a connection for control requests, will try again later{Connection for control batch chosen{Empty request for HTTP was generated, exit{Connection failed, will try a different connection{Connection temporarily unavailable, will try later{Unexpected sending outcome{Control request got answer{Control request got answer{Error from network{A single request size exceeds the <request_limit> configuration setting for the Server. Trying to send it anyway although it will be refused{CCH error{Closing message handler{Activating message handler{Preparing message request{Forward prepared message to control handler{No ack was received for a message; forwarding it again to the control handler{Ack received for message{Ack received, stopping automatic retransmissions{Ack received, no outcome expected, clean structures{Not waiting for ack, purging{Message handled, clean structures{Message on the net notification{OK outcome received{DISCARDED outcome received{DENIED outcome received{ERROR outcome received{Enqueuing received data{Dequeuing received data{Data can't be handled{Unexpected error occurred while executing server-sent commands!{Malformed message: {Unexpected update{New session handler oid={SessionManager state change:{Session recovery{Session recovery: cancelled{Can't initiate session, giving up, disabling automatic reconnections{Unable to establish session of the current type. Switching session type{Unexpected fallback type; switching because the current session type cannot be established{Slow session detected. Switching session type{Unexpected fallback type; switching because of a slow connection was detected{Setting up new session type{Unexpected fallback type switching with new session{Switching current session type{Unexpected fallback type switching with a force rebind{Slow session switching{Failed to switch session type. Starting new session{Unexpected fallback type switching because of a failed force rebind{Session started{Session closed{Discarding update for dismissed page{Received new update{Discarding lost updates notification for dismissed page{Received lost updates event{Discarding end of snapshot notification for dismissed page{Received end of snapshot event{Discarding snapshot clearing notification for dismissed page{Received snapshot clearing event{Received server error event{Received subscription error event{Discarding subscription error notification for dismissed page{Received unsubscription event{Discarding unsubscription notification for dismissed page{Received reconfiguration OK event{Table of reconfiguration not found{Discarding subscription notification for dismissed page{Received subscription event{Received message ack{Received message-ok notification{Received message-deny notification{Received message-discarded notification{Received message-error notification{New control link received{unsubscription request {configuration request [{Fatal error: {Dismissing current session and stopping automatic reconnections.{Transport change requested{Opening a new session and starting automatic reconnections.{RUNNING EXECUTOR AT {Shared worker is broken{RESUMED TO {DELAYED TO {SharedWorker receiving error{SharedWorker sending error{Unexpected sharing error{Unexpected dispatching error{Unexpected error on dispatching{SharedStatus remote sharing is ready{SharedStatus local sharing is ready{Started refresh thread{Address already removed?{Removing wrong address?{Engine is probably dying, skip one cookie refresh{Checking status{No engines{Checking shared status to verify if there are similar engines alive{Engine found, no values though{Engine found, not compatible though{Write engine shared status{Found engine{There is a concurrent engine. Close engine {Stopped refresh thread{Remote engine{Trying to attach to a cross-page engine{Exception while trying to attach to a cross-page engine{You have Norton Internet Security or Norton\nPersonal Firewall installed on this computer.\nIf no real-time data show up, then you need\nto disable Ad Blocking in Norton Internet\nSecurity and then refresh this page{Cross-page engine not found{Probably blocked popup detected: firefox-safari case{Cross-page engine attached{Verify if the found cross-page engine can be used{can't use found cross-page engine: page is now closed{can't use found cross-page engine: uneffective popup detected, chrome case{problem closing the generated popup{Probably blocked popup detected: opera common case{can't use found cross-page engine: Lightstreamer singleton not available{can't use found cross-page engine: Lightstreamer singleton content unavailable{Ready to use found cross-page engine: looks ok{can't use found cross-page engine: exception throw while accessing it{Skipping already-used cookie{Stop search for an engine{No sharing was found, a new sharing will be created{No sharing was found, will keep on searching after a pause{No sharing was found, no sharing will be created, this client will fail{A sharing was found but attaching is disabled, this client will fail{A sharing was found, this will attach to{Engine{A sharing was found, but accordingly with the configuration it will be ignored{Searching for available sharing{Local engine found{Local engine not found. Can't search on other pages because of the current sharing configuration{Search remote engine in other page{RemoteEngine ={Can't access reference {Search remote engine in shared storage{Storage inspection complete{No valid engine found{Valid engine found: {Engine {Engine {invalid values{Unexpected missing values in sharing cookie{Skipping not compatible engine{Found a likely dead engine{Valid engine values found. Wait for popup-protection timeout{No compatible sharing detected{No valid engine values found. Check again in {Forcing preventCrossWindowShare because page is on file:///{New connection sharing{A new sharing will be immediately created{No way to obtain a sharing, this client will fail immediately{A sharing will now be searched{An exception was thrown while executing the Function passed to the forEachChangedField method{An exception was thrown while executing the Function passed to the forEachField method{An exception was thrown while executing the Function passed to the forEachChangedField method{An exception was thrown while executing the Function passed to the forEachField method{Subscription reset{Subscription entered the active state{Subscription waiting to be sent to server{Subscription queued to be sent to server{Subscription is now on hold{Subscription exits the active status; it can now be modified{Subscription is now subscribed to{Subscription is not subscribed to anymore{Subscription request generated{Received position of COMMAND and KEY fields from server{Adapter Set assigned{Selector assigned{Requested Max Frequency assigned{Requested Buffer Size assigned{Snapshot Required assigned{Second level Data Adapter Set assigned{key and/or command position not correctly configured{Sharing is not available on UCBrowser{Connection sharing is not available{Page is closing, won't search a new engine{no sharing on mourning room?{Sharing lost, trying to obtain a new one{Connect requested{Executing connect{Disconnect requested{Executing disconnect".split("{");
	B.resolve=function(a){return a+"] "+Ak[a]};function Bk(){}B.resolve=B.resolve;Bk.getMessage=function(a){return B.resolve(a)};
	var Ck=function(){var a={FATAL:5,ERROR:4,WARN:3,INFO:2,DEBUG:1},b={priority:function(c){return a[c]||0}};b.priority=b.priority;return b}(),Dk=function(){function a(b,c){this.pq=Ck.priority(b)?b:"INFO";this.Oo=c||"*";this.Pl=null;}a.prototype={Pd:function(b){b&&b.Zg&&b.Ep&&(this.Pl=b);},log:function(){},Vo:function(b,c,d,e){return b+" | "+c+" | "+e+" | "+d},zf:function(){return this.pq},Rh:function(b){this.pq=b=Ck.priority(b)?b:"INFO";null!=this.Pl&&this.Pl.Ep();},sl:function(){return this.Oo},xv:function(b){this.Oo=
	b||"*";}};a.prototype.log=a.prototype.log;a.prototype.setLoggerProvider=a.prototype.Pd;a.prototype.composeLine=a.prototype.Vo;a.prototype.getLevel=a.prototype.zf;a.prototype.setLevel=a.prototype.Rh;a.prototype.getCategoryFilter=a.prototype.sl;a.prototype.setCategoryFilter=a.prototype.xv;return a}(),Ek=function(){function a(b,c){if("undefined"==typeof console)throw new h("This appender can't work if a console is not available. Enable the Browser console if possible or change appender.");this._callSuperConstructor(a,
	[b,c]);}a.prototype={log:function(b,c,d,e){d=this.Vo(b,c,d,e);switch(c){case "DEBUG":if(console.debug){console.debug(d);return}break;case "INFO":if(console.info){console.info(d);return}break;case "WARN":if(console.warn){console.warn(d);return}default:if(console.error){console.error(d);return}}console.log(d);}};a.prototype.log=a.prototype.log;Inheritance(a,Dk);return a}(),Fk=function(){function a(b,c){this.lh=b;this.Pg=c;this.Rf="DEBUG";}a.prototype={fatal:function(b){this.fh()&&this.lh.qf(this.Pg,"FATAL",
	b);},fh:function(){return Ck.priority("FATAL")>=Ck.priority(this.Rf)},error:function(b){this.eh()&&this.lh.qf(this.Pg,"ERROR",b);},eh:function(){return Ck.priority("ERROR")>=Ck.priority(this.Rf)},warn:function(b){this.hh()&&this.lh.qf(this.Pg,"WARN",b);},hh:function(){return Ck.priority("WARN")>=Ck.priority(this.Rf)},info:function(b){this.aj()&&this.lh.qf(this.Pg,"INFO",b);},aj:function(){return Ck.priority("INFO")>=Ck.priority(this.Rf)},debug:function(b){this.Zi()&&this.lh.qf(this.Pg,"DEBUG",b);},Zi:function(){return Ck.priority("DEBUG")>=
	Ck.priority(this.Rf)},Rh:function(b){this.Rf=Ck.priority(b)?b:"DEBUG";}};a.prototype.fatal=a.prototype.fatal;a.prototype.isFatalEnabled=a.prototype.fh;a.prototype.error=a.prototype.error;a.prototype.isErrorEnabled=a.prototype.eh;a.prototype.warn=a.prototype.warn;a.prototype.isWarnEnabled=a.prototype.hh;a.prototype.info=a.prototype.info;a.prototype.isInfoEnabled=a.prototype.aj;a.prototype.debug=a.prototype.debug;a.prototype.isDebugEnabled=a.prototype.Zi;a.prototype.setLevel=a.prototype.Rh;return a}(),
	Gk=function(){function a(){this.ab=[];this.Pf={};}a.prototype={mj:function(){var b=100,c=0;if(0<this.ab.length){for(var d=0;d<this.ab.length;d++)Ck.priority(this.ab[d].zf())<b&&(b=Ck.priority(this.ab[d].zf()),c=d);return this.ab[c].zf()}return null},zm:function(b){for(var c in this.Pf)this.Pf[c].Rh(b);},Gs:function(b,c){if("*"===b.sl())return !0;b=b.sl().split(" ");for(var d=0;d<b.length;d++)if(b[d]==c)return !0;return !1},vs:function(b){b&&b.log&&b.zf&&(this.ab.push(b),b.Pd&&b.Pd(this));this.zm(this.mj());},
	ov:function(b){for(var c=0;c<this.ab.length;c++)if(this.ab[c]===b){this.ab.splice(c,1);this.zm(this.mj());break}},Ep:function(){this.zm(this.mj());},Zg:function(b){this.Pf[b]||(this.Pf[b]=new Fk(this,b),0<this.ab.length&&this.Pf[b].Rh(this.mj()));return this.Pf[b]},qf:function(b,c,d){var e="undefined"!=typeof window?window.name+" ":"";var f=new Date;var k=f.getHours();10>k&&(e+="0");e=e+k+":";k=f.getMinutes();10>k&&(e+="0");e=e+k+":";k=f.getSeconds();10>k&&(e+="0");e=e+k+","+f.getMilliseconds();k=
	Ck.priority(c);for(f=0;f<this.ab.length;f++)Ck.priority(this.ab[f].zf())<=k&&this.Gs(this.ab[f],b)&&this.ab[f].log(b,c,d,e);}};a.prototype.addLoggerAppender=a.prototype.vs;a.prototype.removeLoggerAppender=a.prototype.ov;a.prototype.getLogger=a.prototype.Zg;a.prototype.dispatchLog=a.prototype.qf;return a}();var ConnectionSharing=Tj;var ConsoleAppender=Ek;var LightstreamerClient=zk;var LogMessages=Bk;var SimpleLoggerProvider=Gk;var Subscription=wk;

	exports.ConnectionSharing = ConnectionSharing;
	exports.ConsoleAppender = ConsoleAppender;
	exports.LightstreamerClient = LightstreamerClient;
	exports.LogMessages = LogMessages;
	exports.SimpleLoggerProvider = SimpleLoggerProvider;
	exports.Subscription = Subscription;

	return exports;

}({}));

    if (typeof define === 'function' && define.amd) {
        define("lightstreamer", ["module"], function(module) {
            var namespace = (module.config()['ns'] ? module.config()['ns'] + '/' : '');
            define(namespace + 'LightstreamerClient', function() { return lightstreamerExports['LightstreamerClient'] });
define(namespace + 'Subscription', function() { return lightstreamerExports['Subscription'] });
define(namespace + 'ConnectionSharing', function() { return lightstreamerExports['ConnectionSharing'] });
define(namespace + 'LogMessages', function() { return lightstreamerExports['LogMessages'] });
define(namespace + 'ConsoleAppender', function() { return lightstreamerExports['ConsoleAppender'] });
define(namespace + 'SimpleLoggerProvider', function() { return lightstreamerExports['SimpleLoggerProvider'] });
        });
        require(["lightstreamer"]);
    }
    else if (typeof module === 'object' && module.exports) {
        exports['LightstreamerClient'] = lightstreamerExports['LightstreamerClient'];
exports['Subscription'] = lightstreamerExports['Subscription'];
exports['ConnectionSharing'] = lightstreamerExports['ConnectionSharing'];
exports['LogMessages'] = lightstreamerExports['LogMessages'];
exports['ConsoleAppender'] = lightstreamerExports['ConsoleAppender'];
exports['SimpleLoggerProvider'] = lightstreamerExports['SimpleLoggerProvider'];
    }
    else {
        var namespace = createNs(extractNs(), lsGlobalObject());
        namespace['LightstreamerClient'] = lightstreamerExports['LightstreamerClient'];
namespace['Subscription'] = lightstreamerExports['Subscription'];
namespace['ConnectionSharing'] = lightstreamerExports['ConnectionSharing'];
namespace['LogMessages'] = lightstreamerExports['LogMessages'];
namespace['ConsoleAppender'] = lightstreamerExports['ConsoleAppender'];
namespace['SimpleLoggerProvider'] = lightstreamerExports['SimpleLoggerProvider'];
    }

    function lsIsBrowser() {
        return typeof(window) !== 'undefined' && typeof(window.document) !== 'undefined';
    }

    function lsGlobalObject() {
        return lsIsBrowser() ? window : self;
    }
    
    function extractNs() {
        if (!lsIsBrowser()) {
            return null;
        }
        var scripts = window.document.getElementsByTagName("script");
        for (var i = 0, len = scripts.length; i < len; i++) {
            if ('data-lightstreamer-ns' in scripts[i].attributes) {        
                return scripts[i].attributes['data-lightstreamer-ns'].value;
            }
        }
        return null;
    }
    
    function createNs(ns, root) {
        if (! ns) {
            return root;
        }
        var pieces = ns.split('.');
        var parent = root || window;
        for (var j = 0; j < pieces.length; j++) {
            var qualifier = pieces[j];
            var obj = parent[qualifier];
            if (! (obj && typeof obj == 'object')) {
                obj = parent[qualifier] = {};
            }
            parent = obj;
        }
        return parent;
    }
}());
//# sourceMappingURL=lightstreamer-core.min.js.map
